<?php

namespace App\Http\Controllers\Parents\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use App\Models\Student;
use App\Models\StudentParent;
use App\Models\Parentstudent;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use Mail;
use DB;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */
	
	public function __construct()
    { 
       //$this->middleware('guest')->except('logout');
       // $this->middleware('guest:admin')->except('logout');
    }
	
    public function showLoginForm()
    {
      
        return view('parents.auth.login');
    }
	
	public function login(Request $request)
    {
        $this->validate($request, [
            'email'   => 'required',
            'password' => 'required|min:6'
        ]);
       
        if($request->remember == 'on'){
            $remember = true;
        }else{
            $remember = false;
        }
       
        $sid = explode('.',$request->email);
        $s_data = Student::where('id',$sid[0])->first();

        if($s_data){
            if (Auth::guard('parent')->attempt(['email' => $s_data->email, 'password' => $request->password], $remember)) {
                $student = Student::where('email',$s_data->email)->first();
                // echo '<pre>'; print_r($student);die;
                Auth::guard('parent')->login($student);
                $res =array('status'=>1);
                return json_encode($res);die;
            }else {
                $m = json_encode(array('password'=>'Email Or Password Is Incorrect'));
                $res =array('status'=>0,'msg'=>$m);
                return json_encode($res);die;
            }
        }else {
            $m = json_encode(array('password'=>'Email Or Password Is Incorrect'));
            $res =array('status'=>0,'msg'=>$m);
            return json_encode($res);die;
        }
    }

    // ----------------------------------------------------------------------------------- //

    
    public function submitParentLogin(Request $request){
        // echo '<pre>submitParentLogin request - '; print_r($request->all()); die;

        $this->validate($request, [
            'email' => 'required',
        ]);
        
        // echo strlen($request->email);
        $email = explode('.p',$request->email);
        if(strlen($request->email) <= 10){
            if(!isset($email[1])){
                return response()->json(['success' => 1,'message' => 'Invalid Student Id.']); die;
            }
        }
        
        // echo '<pre>em - '; print_r($em); die;

        DB::enableQueryLog();
        $parent = StudentParent::where('parent_guardian_1_mobile_no',$email[0])->orWhere('parent_guardian_1_email_id',$email[0])->orWhere('student_id',$email[0])->first();
        $otp=rand(1111,9999);
        // dd(DB::getQueryLog());

        if($parent){  
            // echo $parent->parent_guardian_1_email_id;
            // echo '<pre>'; print_r($parent); die;
            
            StudentParent::where('id',$parent->id)->update(array('otp'=>$otp));

            $message = $otp.' is your OTP to login your account.';
            // $this->sendMail($parent, $message);

            // return response()->json(['success' =>2,'message' =>'Otp sended successfully on your e-mail '.$parent->parent_guardian_1_email_id,'email'=>$parent->parent_guardian_1_email_id,'otp' => $otp]);
            return response()->json(['success' =>2,'message' =>'Otp sended successfully','email'=>$parent->parent_guardian_1_email_id,'otp' => $otp]);
        }else{
            return response()->json(['success' => 1,'message' => 'Invalid Email/Mobile/Student Id.']);
        }
    }

    public function viewParentOtpPage(Request $request){
        // echo '<pre>'; print_r($request->all()); die;
        $data['email'] = $request->email;
        $data['otp'] = $request->otp;
        // echo '<pre>data - '; print_r($data['product']->toArray()); die;
        $view = view('parents.auth.otpVerify',$data);
        return response()->json(['success'=>1,'view'=>$view->render()]);
    }

    public function parentOtpSubmit(Request $request){ 
        $this->validate($request, [
            'email' => 'required',
            'otp' => 'required',
        ]);
        $parent = StudentParent::where('otp',$request->otp)->first();
        if($parent){
            
                // Auth::login($parent);
                Auth::guard('parent')->login($parent);
                return response()->json(['success' =>1,'message'=>'Otp Verify successfully','id'=>$parent->id,'email'=>$parent->parent_guardian_1_email_id]);
            
        }else{
            return response()->json(['success' => 0,'message' => 'Invalid Otp.']);
        }
    }


    public function parentResendOtp(Request $request){
        $this->validate($request, [
            'email' => 'required',
        ]);

        $parent = StudentParent::where('parent_guardian_1_mobile_no',$request->email)->orWhere('parent_guardian_1_email_id',$request->email)->orWhere('student_id',$request->email)->first();
        if(!$parent){
            return response()->json(['success' => 0,'message' => 'Invalid User.']);
        }else{
            $otp=rand(1111,9999);
            StudentParent::where('parent_guardian_1_mobile_no',$request->email)->orWhere('parent_guardian_1_email_id',$request->email)->orWhere('student_id',$request->email)->update(array('otp'=>$otp));
            
            $message = $otp.' is your OTP to login your account.';
            // $this->sendMail($parent, $message);
            return response()->json(['success'=>1,'message'=>'Otp sended successfully on your e-mail '.$parent->parent_guardian_1_email_id,'otp'=>$otp]);
        }
    }

    public function sendMail($parent,$message){
        $data = array('name'=>$parent->parent_guardian_1_full_name,'msg'=>"$message");  
        // $email = $student->email;
        $email = env('MY_MAIL');
        $ml_done = Mail::send('email_templates.verify_otp', $data, function($message)use ($email) {
            $message->to($email, 'OPJGU')->subject('Login OTP');
            $message->from(env('MAIL_FROM_ADDRESS'),env('MAIL_FROM_NAME'));
        });
        echo $ml_done;
        if($ml_done){
            return true;
        }else{
            return false;
        }
    }


	public function logout()
    { 
       
        Auth::guard('parent')->logout();       
        return redirect()->route('parent.login');
    }
   
}
