<?php

namespace App\Http\Controllers\Student\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use App\Models\Student;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use DB;
use Mail;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */
	
	public function __construct()
    { 
       //$this->middleware('guest')->except('logout');
       // $this->middleware('guest:admin')->except('logout');
    }
	
    public function showLoginForm()
    {
      
        return view('student.auth.login');
    }
	
	public function login(Request $request)
    {
        $this->validate($request, [
            'email'   => 'required|email',
            'password' => 'required|min:6'
        ]);
       
        if($request->remember == 'on'){
            $remember = true;
        }else{
            $remember = false;
        }
       
      
        if (Auth::guard('student')->attempt(['email' => $request->email, 'password' => $request->password], $remember)) {            
			$student = Student::where('email',$request->email)->first();
            // echo '<pre>'; print_r($student);die;
			Auth::guard('student')->login($student);
            $res =array('status'=>1);
            return json_encode($res);die;
		}else {
            $m = json_encode(array('password'=>'Email Or Password Is Incorrect'));
			$res =array('status'=>0,'msg'=>$m);
			return json_encode($res);die;
        }
    }

    // ----------------------------------------------------------------------------------- //

    
    public function submitStudentLogin(Request $request){
        // echo '<pre>submitStudentLogin request - '; print_r($request->all()); die;

        $this->validate($request, [
            'email' => 'required',
        ]);


        DB::enableQueryLog();
        $student = Student::where('number',$request->email)->orWhere('email',$request->email)->orWhere('student_id',$request->email)->first();
        $otp=rand(1111,9999);
        // dd(DB::getQueryLog());

        // echo '<pre>student - '; print_r($student); die;
        if($student){  
            // echo '<pre>'; print_r($student); die;
            
            Student::where('id',$student->id)->update(array('otp'=>$otp));

            $message = $otp.' is your OTP to login your account.';
            // $this->sendMail($student, $message);

            return response()->json(['success' =>2,'message' =>'Otp sended successfully','email'=>$student->email,'otp' => $otp]);
        }else{
            return response()->json(['success' => 1,'message' => 'Invalid Email/Mobile/Student Id.']);
        }
    }

    public function viewStudentOtpPage(Request $request){
        // echo '<pre>'; print_r($request->all()); die;
        $data['email'] = $request->email;
        $data['otp'] = $request->otp;
        // echo '<pre>data - '; print_r($data['product']->toArray()); die;
        $view = view('student.auth.otpVerify',$data);
        return response()->json(['success'=>1,'view'=>$view->render()]);
    }

    public function studentOtpSubmit(Request $request){ 
        $this->validate($request, [
            'email' => 'required',
            'otp' => 'required',
        ]);
        $student = Student::where('otp',$request->otp)->first();
        if($student){
            
                // Auth::login($student);
                Auth::guard('student')->login($student);
                return response()->json(['success' =>1,'message'=>'Otp Verify successfully','id'=>$student->id,'email'=>$student->email]);
            
        }else{
            return response()->json(['success' => 0,'message' => 'Invalid Otp.']);
        }
    }


    public function studentResendOtp(Request $request){
        $this->validate($request, [
            'email' => 'required',
        ]);

        $student = Student::where('number',$request->email)->orWhere('email',$request->email)->orWhere('student_id',$request->email)->first();
        if(!$student){
            return response()->json(['success' => 0,'message' => 'Invalid User.']);
        }else{
            $otp=rand(1111,9999);
            Student::where('number',$request->email)->orWhere('email',$request->email)->orWhere('student_id',$request->email)->update(array('otp'=>$otp));
            
            $message = $otp.' is your OTP to login your account.';
            // $this->sendMail($student, $message);
            return response()->json(['success'=>1,'message'=>'Otp sended successfully on your e-mail '.$student->email,'otp'=>$otp]);
        }
    }

    public function sendMail($student,$message){
        $data = array('name'=>$student->first_name.' '.$student->last_name,'msg'=>"$message");  
        // $email = $student->email;
        $email = env('MY_MAIL');
        $ml_done = Mail::send('email_templates.verify_otp', $data, function($message)use ($email) {
            $message->to($email, 'OPJGU')->subject('Login OTP');
            $message->from(env('MAIL_FROM_ADDRESS'),env('MAIL_FROM_NAME'));
        });
        echo $ml_done;
        if($ml_done){
            return true;
        }else{
            return false;
        }
    }


	public function logout()
    { 
       
        Auth::guard('student')->logout();       
        return redirect()->route('student.login');
    }
   
}
