<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Student;
use App\Models\User;
use App\Models\FeeRaise;
use App\Models\FeeRaiseData;
use Illuminate\Support\Facades\Hash;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;

class FeesPaymentsController extends Controller
{
  protected $page;
  protected $modal;
 
    public function __construct(){
        $this->page = new \stdClass;
        
  }
  
    public function index()
    {
      // echo '<pre>student - '; print_r(Auth::guard('student')->user()->student_id); die;
      $data['fee_amount'] = FeeRaise::where('st_id',Auth::guard('student')->user()->student_id)->first();
      return view('student.fees_raise.fees_raise',$data);
    }
    
    public function student_fee_raise_data_ajax_list(Request $request){
      $student_id = Auth::guard('student')->user()->student_id;
      ## Read value
      $draw = $_POST['draw'];
      $row = $_POST['start'];
      $rowperpage = $_POST['length']; // Rows display per page
      $columnIndex = $_POST['order'][0]['column']; // Column index
      $columnName = $_POST['columns'][$columnIndex]['data']; // Column name
      $columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
      $searchValue = $_POST['search']['value']; // Search value
      $totalRecords = FeeRaise::where('raise_fee.st_id',$student_id)->get()->count();
      $totalRecordwithFilter = $totalRecords;
      
      // DB::enableQueryLog();
      $qry = FeeRaise::select('raise_fee.*','students.first_name','students.last_name','class_codes.title as cls_title','programs.title as pgrm_title','periods.title as semester_name')->orderBy($columnName, $columnSortOrder)->offset($row)->take($rowperpage)->where('first_name', 'LIKE','%'.$searchValue.'%');
      $qry->where('raise_fee.st_id',$student_id);
      if(isset($request->pay_status) && $request->pay_status == 0){
        $qry->where('raise_fee.payment_status',0);      }
      $qry->leftJoin('students','students.student_id','=','raise_fee.st_id');
      $qry->leftJoin('raise_fee_data','raise_fee_data.id','=','raise_fee.fee_data_id');
      $qry->leftJoin('periods','periods.id','=','raise_fee_data.semester');
      $qry->leftJoin('programs','programs.id','=','raise_fee_data.program_id');
      $qry->leftJoin('class_codes','class_codes.id','=','raise_fee_data.class_code_id');
      $result = $qry->get();
      // dd(DB::getQueryLog());
      $data = array();
      $i = 1;
      foreach ($result as $row)
      {
          // echo $status_url;die;
          if($row->payment_status == 0){
            $pay_status = 'Pending';
          }elseif($row->payment_status == 1){
            $pay_status = 'Success';
          }elseif($row->payment_status == 2){
            $pay_status = 'Failed';
          }

          if($row->payment_status != 1){
            $action = '<a href="javascript:void(0);" class="btn- btn-primary btn-sm" onclick="makeFeePayment(this,'.$row->id.','.$row->st_id.','.$row->fee_amount.'); return false;">Pay Now</div>';
            // $action = '<a href="'.route('student.fee_payment').'" target="_blank" class="btn- btn-primary btn-sm">Pay Now</div>';
          }else{
            $action = '';
          }
          $data[] = array(
              "id" => $row->st_id,
              "programs" => $row->pgrm_title,
              "semester" => $row->semester_name,
              "class_codes" => $row->cls_title,
              "name" => ucwords($row->first_name.' '.$row->last_name),
              "fee_amt" => '₹'.$row->fee_amount,
              "payment_status" => $pay_status,
              "date" => $row->last_date,
              "action" => $action,
          );
          $i++;
      }
      ## Response
      $response = array(
          "draw" => intval($draw) ,
          "iTotalRecords" => $totalRecords,
          "iTotalDisplayRecords" => $totalRecordwithFilter,
          "aaData" => $data
      );
      echo json_encode($response);
  }

  public function makeFeePayment(Request $request){
    // echo '<pre>'; print_r($request->all()); die;

    $fee_data = FeeRaise::where(['id'=>$request->id,'st_id'=>$request->st_id])->first();
    $fee_raise_data = FeeRaiseData::where(['id'=>$fee_data->fee_data_id])->first();

    if($fee_data->payment_status != 1){
      $rand = rand(1111,9999);
      $pay_res = array(
        'pay_id' => $rand,
        'amount' => $fee_data->fee_amount,
        'payment_date_time' => time(),
      );
      $data = array(
        'pay_id' => $rand,
        'payment_response' => json_encode($pay_res),
        'payment_status' => 1,
      );

      FeeRaise::where(['id'=>$request->id,'st_id'=>$request->st_id])->update($data);

      // echo '<pre>'; print_r($fee_raise_data); die;

      $data_2 = array(
        'count_st_pay' => $fee_raise_data->count_st_pay + 1,
        'count_st_pay_remaining' => $fee_raise_data->count_st_pay_remaining - 1,
        'total_pay_amount' => $fee_raise_data->total_pay_amount + $fee_data->fee_amount,
        'total_remaining_amount' => $fee_raise_data->total_fee_amount - $fee_data->fee_amount,
        'updated_at' => time(),
      );
      FeeRaiseData::where(['id'=>$fee_data->fee_data_id])->update($data_2);
      echo json_encode(['status'=>1,'msg'=>'Payment Created Successfully']);
    }else{
      echo json_encode(['status'=>2,'msg'=>'Payment has been already done']);
    }

    


  }

}
