<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Student;
use Session;
use DB;
use Validator;
use Mail;
use App\Models\Course;
use App\Models\FeeRaise;
use App\Models\FeeRaiseData;
use App\Models\FeeRaisePayment;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;
use Softon\Indipay\Facades\Indipay;

class PaymentController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {

    }
   
    public function index()
    {       
        $student_id = Auth::guard('student')->user()->student_id;
        $fee_data = FeeRaise::where(['st_id'=>$student_id])->first();
        if($fee_data->payment_status != 1){
            $title="Admission Fee";
            $qry = FeeRaise::select('raise_fee.*','students.first_name','students.last_name','students.email','students.number','class_codes.title as cls_title','programs.title as pgrm_title','periods.title as semester_name');
            $qry->where('raise_fee.st_id',$student_id);
            $qry->leftJoin('students','students.student_id','=','raise_fee.st_id');
            $qry->leftJoin('raise_fee_data','raise_fee_data.id','=','raise_fee.fee_data_id');
            $qry->leftJoin('periods','periods.id','=','raise_fee_data.semester');
            $qry->leftJoin('programs','programs.id','=','raise_fee_data.program_id');
            $qry->leftJoin('class_codes','class_codes.id','=','raise_fee_data.class_code_id');
            $qry->orderBy('updated_at','DESC');
            $student_data = $qry->first();
            // echo '<pre>'; print_r($student_data->toArray()); die;
            return view('student.payments.index',compact(['title','student_data']));
        }else{
            $data['fee_amount'] = FeeRaise::where('st_id',$student_id)->first();
            return redirect(route('student.fees_raise'));
        }
    }

    public function selectpayment(Request $request){       
        // echo '<pre>request - '; print_r($request->all()); die;

        $title = 'Select PaymentSetting';
        $string = json_encode($request->all());
        $view = view('student.payments.selectpayment',compact(['title','string']))->render();
        // echo $view; die;
        echo json_encode(['status'=>1,'view'=>$view]); die;
    }

    public function paycheckout(Request $request){ 
        
        // echo '<pre>request - '; print_r($request->all()); die;
        $radio_demo= $request->radio_demo;
        $request = json_decode($request->string);
        $data['title'] = 'Checkout';
        $data['opname'] = 'Checkout';

        $qry = FeeRaise::select('raise_fee.*','students.first_name','students.last_name','students.email','students.number');
        $qry->where(['raise_fee.id'=>$request->id,'raise_fee.st_id'=>$request->st_id]);
        $qry->leftJoin('students','students.student_id','=','raise_fee.st_id');
        $qry->orderBy('updated_at','DESC');
        $st_info = $qry->first();


        $data['name'] = $st_info->first_name.' '.$st_info->last_name;
        $data['fee_id'] = $request->id;
        $data['student_id'] = $request->st_id;
        $data['email'] = $st_info->email;
        $data['phone'] = $st_info->number;
        $data['college'] = 'OP Jindal';        
        $total=$data['tot_amount'] = $st_info->fee_amount;
        //$data['lset_id'] = $request->lset_id;
        // echo '<pre>data - '; print_r($data); die;
        
        /*$paydata = \App\Model\PaymentSetting::where('school_id',10)->get();
        
        foreach ($paydata as $value);
            if($value->payableby == 'school'){
                $data['debit'] = 0;
                $data['credit'] = 0;
                $data['hdfc_nb'] = 0;
                $data['netbanking'] = 0;            
            }else{*/
                //for debit card
                $card_charge = 1.25;//$value->debitcard; //Calculate with debit card
                $calculate_per = ($total*$card_charge)/100;
                    
                $tax_per = 18;//$value->servicetax; //Add service tax
                $calculate_tax_per = ($calculate_per*$tax_per)/100;
                $total_amount_with_tax = ($calculate_per + $calculate_tax_per); 
                $data['debit'] = round($total_amount_with_tax,2);

                //for credit card
                $card_charge = 1.5;//$value->creditcard; //calculate with credit card
                $calculate_per = ($total*$card_charge)/100;
                    
                $tax_per = 18;//$value->servicetax; //Add service tax
                $calculate_tax_per = ($calculate_per*$tax_per)/100;
                $total_amount_with_tax = ($calculate_per + $calculate_tax_per);
                $data['credit'] = round($total_amount_with_tax,2);
                //for credit card
                //calculate with credit card
                $card_charge = 3.5;
                $calculate_per = ($total*$card_charge)/100;
                    
                $tax_per = 18;//$value->servicetax; //Add service tax
                $calculate_tax_per = ($calculate_per*$tax_per)/100;
                $total_amount_with_tax = ($calculate_per + $calculate_tax_per);
                $data['incredit'] = round($total_amount_with_tax,2);
                //for Netbanking hdfc
                $card_charge = 35;//$value->nbhdfc; //calculate with hdfc net bankinhg
                $calculate_per = ($total*$card_charge)/100;
                    
                $tax_per = 18;//$value->servicetax; //Add service tax
                $calculate_tax_per = ($calculate_per*$tax_per)/100;
                $total_amount_with_tax = ($calculate_per + $calculate_tax_per); 
                $data['hdfc_nb'] = round($total_amount_with_tax,2);

                //calculate with upi
                $card_charge = 1;//$value->upitax; //calculate with hdfc net bankinhg
                $calculate_per = ($total*$card_charge)/100;
                    
                $tax_per = 18;//$value->servicetax; //Add service tax
                 $calculate_tax_per = ($calculate_per*$tax_per)/100;
                $total_amount_with_tax = ($calculate_per + $calculate_tax_per); 
                $data['upi'] = round($total_amount_with_tax,2);
                
                //calculate with wallet
                $card_charge =  1.8;//$value->wallettax; //calculate with hdfc net bankinhg
                $calculate_per = ($total*$card_charge)/100;
                    
                $tax_per = 18;//$value->servicetax; //Add service tax
                 $calculate_tax_per = ($calculate_per*$tax_per)/100;
                $total_amount_with_tax = ($calculate_per + $calculate_tax_per); 
                $data['wallet'] = round($total_amount_with_tax,2);
                
                //calculate with netbanking
                if(($total > 0) && ($total < 1000)){
                    $card_charge = 35;//$value->netbanking1_amount;
                }
                if(($total > 999) && ($total < 5000)){
                    $card_charge = 35;//$value->netbanking2_amount;
                }
                if(($total > 4999)){
                    $card_charge = 35;//$value->netbanking3_amount;
                }
                
                $tax_per = 18;//$value->servicetax; //Add service tax
                $calculate_tax_per = ($card_charge*$tax_per)/100;
                $total_amount_with_tax = ($calculate_tax_per + $card_charge); 
                $data['netbanking'] = round($total_amount_with_tax,2);    
       // }
       $data['guard'] = 'Student';
        if($radio_demo=='ccavenue'){
                $view = view('student.payments.checkout',$data)->render();
        }elseif($radio_demo=='payumoney'){
            $view = view('student.payments.checkout_payumoney',$data)->render();
        }elseif($radio_demo=='paytm'){
            $view = view('student.payments.checkout_paytm',$data)->render();
        } 
        // echo $view; die;
        echo json_encode(['status'=>1,'view'=>$view]);
    }
    
    function payumoney_success(){
        return 'payment done';
    }
    
    function payumoney_failed(){
        return 'failed';
    }
    
    function paymentfee_paytm(Request $request){ 

        // $this->submit_fee_payment($request); die;
        $card='';
        //dd($request);
        if($request->radio_demo == 'debit_card'){
           $price = $request->debit_card;
           $card_type = 'DC';
           $card_name = '';
        }
        if($request->radio_demo == 'credit_card'){
            $price = $request->credit_card;
            $card_type = 'CC';
            $card_name = '';   
        }
        if($request->radio_demo == 'incredit_card'){
            $price = $request->incredit_card;
            $card_type = 'CC';
            $card_name = '';   
        }
        if($request->radio_demo == 'netbanking'){
            $price = $request->netbanking;
            $card_type = 'NB';
            $card_name = '';            
        }
        if($request->radio_demo == 'upi'){
            $price = $request->upi;
            $card_type = 'UPI';
            $card_name = '';            
        }
        if($request->radio_demo == 'wallet'){
            $price = $request->wallet;
            $card_type = 'PPI';
            $card_name = '';            
        }
        if($request->radio_demo == 'incredit_card'){
            $price = $request->incredit_card;
            $card_type = 'CC';
            $card_name = ''; 
            $card="_INCC";
        }
        $name=$request->name;
        
        //return $request->all();
        $lset_id=NULL;
        $randomNumber = time();
        $orderId = 'OID_'.$request->college.'_'.$randomNumber.$card;
        $email=$request->email;
        $phone=$request->phone;
        
        $insdata = array(
            'st_id'=>$request->student_id,
            'fee_id'=>$request->fee_id,
            'fee_amt' => $request->actualamount,
            'total_amt'=>$price,
            'pay_mode'=>'Online',
            'pay_status'=>0,
            'pay_via'=>$card_type,
            'transaction_id'=>'',
            'order_id'=>$orderId,
            'pay_date'=>date("Y-m-d H:i:s"),
            'payment_gateway' => 'Paytm',
            'card_name'=>'',
            'status'=>0,
            'created_at'=>time(),
            'updated_at'=>time(),
        );
        
        $id=FeeRaisePayment::insertGetId($insdata);
        // $id=rand(10,99);
        
        $mp1 = $request->course.$name.'_'.$email.'_'.$phone.'_'.$request->actualamount.'_'.$id.'_';

        $order_id = $orderId;
        //$order = new Order();
        //$order->order_id = $order_id;
        //$order->status = 'pending';
        //$order->price = ( $request->price ) ? $request->price : '';
        //$order->transaction_id = '';
        //$order->save();
        $data_for_request = $this->handlePaytmRequest( $order_id, $price,$card_type,$email,$phone,$mp1,$id,$request->fee_id);
        $paytm_txn_url = 'https://securegw.paytm.in/theia/processTransaction';
        //$paytm_txn_url = 'https://securegw-stage.paytm.in/theia/api/v1/showPaymentPage?mid=Detecv45165291249497&orderId='.$order_id;
        $paramList = $data_for_request['paramList'];
        $checkSum = $data_for_request['checkSum'];
        return view( 'student.payments.payment_paytm', compact( 'paytm_txn_url', 'paramList', 'checkSum' ) );
    }
        
        
    public function handlePaytmRequest( $order_id, $amount,$card_type,$email,$phone,$mp1,$id,$fee_id) {
        //Load all functions of encdec_paytm.php and config-paytm.php
        $this->getAllEncdecFunc();
        $this->getConfigPaytmSettings($order_id);
        $checkSum = "";
        $paramList = array();
        // Create an array having all required parameters for creating checksum.
        $paramList["MID"] = 'Detecv79991130248813';//Detecv45165291249497
        $paramList["ORDER_ID"] = $order_id;
        $paramList["CUST_ID"] = $order_id;
        $paramList["INDUSTRY_TYPE_ID"] = 'PrivateEducation'; //Retail
        $paramList["CHANNEL_ID"] = 'WEB';
        $paramList["TXN_AMOUNT"] = $amount;
        $paramList["WEBSITE"] = 'WEBPROD'; //WEBSTAGING
        $paramList["MERC_UNQ_REF"] = $mp1;
        $paramList["PAYMENT_MODE_ONLY"] = 'Yes';
        $paramList["PAYMENT_TYPE_ID"] = $card_type;
        
        $paramList["MOBILE_NO"] = $phone;
        $paramList["EMAIL"] = $email;
        // echo 'here student'; die;
        // $paramList["CALLBACK_URL"] = url( 'https://jgu.payanyfee.com/paytmpaymentstatus' );
        $paramList["CALLBACK_URL"] = url('student/submit-fee-payment/'.$id.'/'.$fee_id);
        
        $paytm_merchant_key = '@%#_1vZ8JkvQuA@w'; //6yCpRVLpLep&!7m5
        //Here checksum string will return by getChecksumFromArray() function.
        $checkSum = getChecksumFromArray( $paramList, $paytm_merchant_key );
        return array(
            'checkSum' => $checkSum,
            'paramList' => $paramList
        );
    }



    /**
     * Config Paytm Settings from config_paytm.php file of paytm kit
     */
    function getConfigPaytmSettings($order_id) {
        define('PAYTM_ENVIRONMENT', 'PROD'); // PROD/TEST
        define('PAYTM_MERCHANT_KEY', '@%#_1vZ8JkvQuA@w'); //Change this constant's value with Merchant key downloaded from portal
        define('PAYTM_MERCHANT_MID', 'Detecv79991130248813'); //Change this constant's value with MID (Merchant ID) received from Paytm
        define('PAYTM_MERCHANT_WEBSITE', 'WEBPROD'); //Change this constant's value with Website name received from Paytm "WEBSTAGING"
        $PAYTM_STATUS_QUERY_NEW_URL='https://securegw-stage.paytm.in/merchant-status/getTxnStatus';
        $PAYTM_TXN_URL='https://securegw-stage.paytm.in/theia/processTransaction';
        //$PAYTM_TXN_URL='https://securegw-stage.paytm.in/theia/api/v1/showPaymentPage?mid=Detecv45165291249497&orderId='.$order_id;
        if (PAYTM_ENVIRONMENT == 'PROD') {
            $PAYTM_STATUS_QUERY_NEW_URL='https://securegw.paytm.in/merchant-status/getTxnStatus';
            $PAYTM_TXN_URL='https://securegw.paytm.in/theia/processTransaction';
        }
        
        
        define('PAYTM_REFUND_URL', '');
        define('PAYTM_STATUS_QUERY_URL', $PAYTM_STATUS_QUERY_NEW_URL);
        define('PAYTM_STATUS_QUERY_NEW_URL', $PAYTM_STATUS_QUERY_NEW_URL);
        define('PAYTM_TXN_URL', $PAYTM_TXN_URL);
    }

    
    public function invoiceMail($mydata)
    {
        //contact updation mail to 
      
        $data['mydata'] = $mydata;

        echo '<pre>'; print_r($mydata->toArray());
        $mydata['email'] = env('MY_MAIL');
        echo '<pre>'; print_r($mydata->toArray());
        $view = view('student.payments.invoice_mail', $data);
        echo "Email view - ".$view; die;

        $ml_done = Mail::send('student.payments.invoice_mail', $data, function($message)use ($mydata) {
            $message->to($mydata['email'], 'OPJGU')->subject('Fee Confirmation');
            $message->from(env('MAIL_FROM_ADDRESS'),env('MAIL_FROM_NAME'));
        });

        // Mail::send('student.payment.invoice_mail',$mydata,function ($message) use ($mydata)
        // {
        //   //have to add cc here
        //   $message->to('fee@jgu.edu.in')->subject('Fee Confirmation');
        //   $message->from('fee@jgu.edu.in', 'OP Jindal Global University');
        // });

        return true;

    }

    public function viewInvoice(Request $request){
        $qry = FeeRaise::select('raise_fee.*','students.first_name','students.last_name','students.email','students.number','class_codes.title as cls_title','programs.title as pgrm_title','periods.title as semester_name');
        $qry->where('raise_fee.st_id',$request->student_id);
        $qry->leftJoin('students','students.student_id','=','raise_fee.st_id');
        $qry->leftJoin('raise_fee_data','raise_fee_data.id','=','raise_fee.fee_data_id');
        $qry->leftJoin('periods','periods.id','=','raise_fee_data.semester');
        $qry->leftJoin('programs','programs.id','=','raise_fee_data.program_id');
        $qry->leftJoin('class_codes','class_codes.id','=','raise_fee_data.class_code_id');
        $qry->orderBy('updated_at','DESC');
        $data['value'] = $qry->first();
        $data['value']->payment_mode = 'Online';
        // echo '<pre>'; print_r($data); die;
        return view('student.payments.viewInvoice',$data);
    }
    
    public function submit_fee_payment(Request $request,$id,$fee_id){
        
        echo "<br>Id - ".$id;
        echo '<pre>submit_fee_payment request - '; print_r($request->all()); //die;
        
        $request2=$response=$request->all();
        $total_payment=0;$status='';$seat_alloted=0;
        $order_id = $request['ORDERID'];
        $orderid_arra = explode('_', $response['ORDERID']);
        $otherdata_arra = explode('_', $response['MERC_UNQ_REF']);
        $name=str_replace("-", " ", $otherdata_arra[3]);

        $fee_data = FeeRaise::where(['id'=>$fee_id])->orderBy('updated_at','DESC')->first();
        $fee_raise_data = FeeRaiseData::where(['id'=>$fee_data->fee_data_id])->orderBy('updated_at','DESC')->first();

        if($fee_data->payment_status != 1){
            $rand = rand(1111,9999);
            // $pay_res = array(
            //     'pay_id' => $rand,
            //     'amount' => $fee_data->fee_amount,
            //     'payment_date_time' => time(),
            // );
            $data = array(
                'pay_id' => $rand,
                'payment_response' => json_encode($response),
                'payment_status' => 1,
            );

            FeeRaise::where(['id'=>$fee_id])->update($data);

            $data_2 = array(
                'count_st_pay' => $fee_raise_data->count_st_pay + 1,
                'count_st_pay_remaining' => $fee_raise_data->count_st_pay_remaining - 1,
                'total_pay_amount' => $fee_raise_data->total_pay_amount + $fee_data->fee_amount,
                'total_remaining_amount' => $fee_raise_data->total_fee_amount - $fee_data->fee_amount,
                'updated_at' => time(),
            );
            FeeRaiseData::where(['id'=>$fee_data->fee_data_id])->update($data_2);


        }else{
            echo 'Payment has been already done';
        }

        // ------------------------------------------------------------------------------------------------

        echo '<pre>paytmpaymentstatus - '; print_r($request->all()); //die;

		if ( $request['STATUS'] ) {
			$transaction_id = $request['TXNID'];


                if ( 'TXN_SUCCESS' === $request['STATUS'] ) {
                    $status=$request['STATUS'];                        
                }
                
                
                $insdata = array(
                    'st_id'=>$fee_data->st_id,
                    'fee_id'=>$fee_id,
                    'fee_amt' => $otherdata_arra[6],
                    'total_amt'=>$response['TXNAMOUNT'],
                    'pay_mode'=>'Online',
                    'pay_status'=>$response['STATUS'],
                    'pay_via'=>@$response['PAYMENTMODE']?$response['PAYMENTMODE']:'NULL',
                    'transaction_id'=>$response['TXNID'],
                    'order_id'=>$response['ORDERID'],
                    'pay_date'=>@$response['TXNDATE']?$response['TXNDATE']:date("Y-m-d H:i:s"),
                    'payment_gateway' => 'Paytm',
                    'card_name'=>@$response['BANKNAME']?$response['BANKNAME']:'',
                    'status'=>1,
                    'updated_at'=>time(),
                );
                
    
                // DB::table('payment_fee')->insert($insdata); 
                $pay_data = array(
                'transaction_id' => $response['TXNID'],
                'status'=>1,
                'pay_status'=>$response['STATUS'],
                'pay_date'=>@$response['TXNDATE']?$response['TXNDATE']:date("Y-m-d H:i:s"),
                'card_name'=>@$response['BANKNAME']?$response['BANKNAME']:'',
                'updated_at' => time(),
                );
                FeeRaisePayment::where('id', $id)->update([$pay_data]);
                
                //To mail
                $maildata['email'] = $otherdata_arra[4];
                $maildata['feeamount'] = $otherdata_arra[6];
                $maildata['amount'] = $response['TXNAMOUNT'];
                $maildata['name'] = $otherdata_arra[3];
                $maildata['email'] = $otherdata_arra[4];
                $maildata['phone'] = $otherdata_arra[5];
                $maildata['student_id'] = $fee_data->st_id;
                $maildata['order_id'] = $response['ORDERID'];
                $maildata['tid'] = $response['TXNID'];
                $maildata['payment_via'] = @$response['PAYMENTMODE']?$response['PAYMENTMODE']:'NULL';;
                $maildata['payment_status'] = $response['STATUS'];
                $maildata['admissiont_status'] = $status;
    
                // $this->invoiceMail_old($fee_data->st_id);
                $this->invoiceMail($maildata);
                return redirect()->route('student.view_invoice', ['fee_id'=>$fee_id,'student_id' => $fee_data->st_id]); die;
                
                $data['response'] = $insdata;
                
                return view('student.payments.paymentstatus_msg',$data);
		} 



    }
    


    /**
     * Get all the functions from encdec_paytm.php
     */
    function getAllEncdecFunc() {
        function encrypt_e($input, $ky) {
            $key   = html_entity_decode($ky);
            $iv = "@@@@&&&&####$$$$";
            $data = openssl_encrypt ( $input , "AES-128-CBC" , $key, 0, $iv );
            return $data;
        }
        function decrypt_e($crypt, $ky) {
            $key   = html_entity_decode($ky);
            $iv = "@@@@&&&&####$$$$";
            $data = openssl_decrypt ( $crypt , "AES-128-CBC" , $key, 0, $iv );
            return $data;
        }
        function pkcs5_pad_e($text, $blocksize) {
            $pad = $blocksize - (strlen($text) % $blocksize);
            return $text . str_repeat(chr($pad), $pad);
        }
        function pkcs5_unpad_e($text) {
            $pad = ord($text[strlen($text) - 1]);
            if ($pad > strlen($text))
                return false;
            return substr($text, 0, -1 * $pad);
        }
        function generateSalt_e($length) {
            $random = "";
            srand((double) microtime() * 1000000);
            $data = "AbcDE123IJKLMN67QRSTUVWXYZ";
            $data .= "aBCdefghijklmn123opq45rs67tuv89wxyz";
            $data .= "0FGH45OP89";
            for ($i = 0; $i < $length; $i++) {
                $random .= substr($data, (rand() % (strlen($data))), 1);
            }
            return $random;
        }
        function checkString_e($value) {
            if ($value == 'null')
                $value = '';
            return $value;
        }
        function getChecksumFromArray($arrayList, $key, $sort=1) {
            if ($sort != 0) {
                ksort($arrayList);
            }
            $str = getArray2Str($arrayList);
            $salt = generateSalt_e(4);
            $finalString = $str . "|" . $salt;
            $hash = hash("sha256", $finalString);
            $hashString = $hash . $salt;
            $checksum = encrypt_e($hashString, $key);
            return $checksum;
        }
        function getChecksumFromString($str, $key) {
            $salt = generateSalt_e(4);
            $finalString = $str . "|" . $salt;
            $hash = hash("sha256", $finalString);
            $hashString = $hash . $salt;
            $checksum = encrypt_e($hashString, $key);
            return $checksum;
        }
        function verifychecksum_e($arrayList, $key, $checksumvalue) {
            $arrayList = removeCheckSumParam($arrayList);
            ksort($arrayList);
            $str = getArray2StrForVerify($arrayList);
            $paytm_hash = decrypt_e($checksumvalue, $key);
            $salt = substr($paytm_hash, -4);
            $finalString = $str . "|" . $salt;
            $website_hash = hash("sha256", $finalString);
            $website_hash .= $salt;
            $validFlag = "FALSE";
            if ($website_hash == $paytm_hash) {
                $validFlag = "TRUE";
            } else {
                $validFlag = "FALSE";
            }
            return $validFlag;
        }
        function verifychecksum_eFromStr($str, $key, $checksumvalue) {
            $paytm_hash = decrypt_e($checksumvalue, $key);
            $salt = substr($paytm_hash, -4);
            $finalString = $str . "|" . $salt;
            $website_hash = hash("sha256", $finalString);
            $website_hash .= $salt;
            $validFlag = "FALSE";
            if ($website_hash == $paytm_hash) {
                $validFlag = "TRUE";
            } else {
                $validFlag = "FALSE";
            }
            return $validFlag;
        }
        function getArray2Str($arrayList) {
            $findme   = 'REFUND';
            $findmepipe = '|';
            $paramStr = "";
            $flag = 1;
            foreach ($arrayList as $key => $value) {
                $pos = strpos($value, $findme);
                $pospipe = strpos($value, $findmepipe);
                if ($pos !== false || $pospipe !== false)
                {
                    continue;
                }
                if ($flag) {
                    $paramStr .= checkString_e($value);
                    $flag = 0;
                } else {
                    $paramStr .= "|" . checkString_e($value);
                }
            }
            return $paramStr;
        }
        function getArray2StrForVerify($arrayList) {
            $paramStr = "";
            $flag = 1;
            foreach ($arrayList as $key => $value) {
                if ($flag) {
                    $paramStr .= checkString_e($value);
                    $flag = 0;
                } else {
                    $paramStr .= "|" . checkString_e($value);
                }
            }
            return $paramStr;
        }
        function redirect2PG($paramList, $key) {
            $hashString = getchecksumFromArray($paramList, $key);
            $checksum = encrypt_e($hashString, $key);
        }
        function removeCheckSumParam($arrayList) {
            if (isset($arrayList["CHECKSUMHASH"])) {
                unset($arrayList["CHECKSUMHASH"]);
            }
            return $arrayList;
        }
        function getTxnStatus($requestParamList) {
            return callAPI(PAYTM_STATUS_QUERY_URL, $requestParamList);
        }
        function getTxnStatusNew($requestParamList) {
            return callNewAPI(PAYTM_STATUS_QUERY_NEW_URL, $requestParamList);
        }
        function initiateTxnRefund($requestParamList) {
            $CHECKSUM = getRefundChecksumFromArray($requestParamList,PAYTM_MERCHANT_KEY,0);
            $requestParamList["CHECKSUM"] = $CHECKSUM;
            return callAPI(PAYTM_REFUND_URL, $requestParamList);
        }
        function callAPI($apiURL, $requestParamList) {
            $jsonResponse = "";
            $responseParamList = array();
            $JsonData =json_encode($requestParamList);
            $postData = 'JsonData='.urlencode($JsonData);
            $ch = curl_init($apiURL);
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt ($ch, CURLOPT_SSL_VERIFYHOST, 0);
            curl_setopt ($ch, CURLOPT_SSL_VERIFYPEER, 0);
            curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                    'Content-Type: application/json',
                    'Content-Length: ' . strlen($postData))
            );
            $jsonResponse = curl_exec($ch);
            $responseParamList = json_decode($jsonResponse,true);
            return $responseParamList;
        }
        function callNewAPI($apiURL, $requestParamList) {
            $jsonResponse = "";
            $responseParamList = array();
            $JsonData =json_encode($requestParamList);
            $postData = 'JsonData='.urlencode($JsonData);
            $ch = curl_init($apiURL);
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt ($ch, CURLOPT_SSL_VERIFYHOST, 0);
            curl_setopt ($ch, CURLOPT_SSL_VERIFYPEER, 0);
            curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                    'Content-Type: application/json',
                    'Content-Length: ' . strlen($postData))
            );
            $jsonResponse = curl_exec($ch);
            $responseParamList = json_decode($jsonResponse,true);
            return $responseParamList;
        }
        function getRefundChecksumFromArray($arrayList, $key, $sort=1) {
            if ($sort != 0) {
                ksort($arrayList);
            }
            $str = getRefundArray2Str($arrayList);
            $salt = generateSalt_e(4);
            $finalString = $str . "|" . $salt;
            $hash = hash("sha256", $finalString);
            $hashString = $hash . $salt;
            $checksum = encrypt_e($hashString, $key);
            return $checksum;
        }
        function getRefundArray2Str($arrayList) {
            $findmepipe = '|';
            $paramStr = "";
            $flag = 1;
            foreach ($arrayList as $key => $value) {
                $pospipe = strpos($value, $findmepipe);
                if ($pospipe !== false)
                {
                    continue;
                }
                if ($flag) {
                    $paramStr .= checkString_e($value);
                    $flag = 0;
                } else {
                    $paramStr .= "|" . checkString_e($value);
                }
            }
            return $paramStr;
        }
        function callRefundAPI($refundApiURL, $requestParamList) {
            $jsonResponse = "";
            $responseParamList = array();
            $JsonData =json_encode($requestParamList);
            $postData = 'JsonData='.urlencode($JsonData);
            $ch = curl_init($apiURL);
            curl_setopt ($ch, CURLOPT_SSL_VERIFYHOST, 0);
            curl_setopt ($ch, CURLOPT_SSL_VERIFYPEER, 0);
            curl_setopt($ch, CURLOPT_URL, $refundApiURL);
            curl_setopt($ch, CURLOPT_POST, true);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            $headers = array();
            $headers[] = 'Content-Type: application/json';
            curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
            $jsonResponse = curl_exec($ch);
            $responseParamList = json_decode($jsonResponse,true);
            return $responseParamList;
        }
    }

    public function AllTransactions()
    {
        $data['title'] = 'Admission Fee Report';
        $data['opname'] = 'Admission Fee Report';
       
        $lset_id=Session::get('students_lset_id');
        $data['admission_report']=DB::table('payment_fee')
            ->join('schools','schools.id','=','payment_fee.subschool')
            ->join('courses','courses.id','=','payment_fee.applyfor')
            ->select('schools.school_name as schoolname','courses.course_name as coursesname','payment_fee.*')
            ->where(['lset_id'=>$lset_id,'payment_mode'=>'Online'])//'status'=>1,
            ->orderBy('created_at','DESC')->get();
        
        
        return view('frontend.summer_school.latest-paymentlist',$data);
    }

    public function paytmpaymentstatus(Request $request){
        echo '<pre>paytmpaymentstatus - '; print_r($request->all()); die;

        $request2=$response=$request->all();
        $total_payment=0;$status='';$seat_alloted=0;
        $order_id = $request['ORDERID'];
       //dd($response);
        $orderid_arra = explode('_', $response['ORDERID']);
        $otherdata_arra = explode('_', $response['MERC_UNQ_REF']);
        //dd($otherdata_arra);
        /*
        0 => "1"
        1 => "Admission"
        2 => "2019-2020"
        3 => "vivek kumar"
        4 => "vivekbcagcg@gmail.com"
        5 => "09555315492"
        6 => "500000"
        7 => "7"
        8 => "12345"*/
        //$getdata = DB::table('payment_fee')->where('order_id',$order_id)->get();
        //$standard_id=$getdata[0]->standard_id;
        $name=str_replace("-", " ", $otherdata_arra[3]);
        //dd($request); TXN_FAILURE  TXN_SUCCESS
		//if ( 'TXN_SUCCESS' === $request['STATUS'] ) {
		if ( $request['STATUS'] ) {
			$transaction_id = $request['TXNID'];
			/*$paytmChecksum = "";
            
            $paytmParams = array();
            foreach($request2 as $key => $value){
            	if($key == "CHECKSUMHASH"){
            		$paytmChecksum = $value;
            	} else {
            		$paytmParams[$key] = $value;
            	}
            }
           
            $this->getAllEncdecFunc();
            $isValidChecksum = verifychecksum_e($paytmParams, "@%#_1vZ8JkvQuA@w", $paytmChecksum);
            
            if($isValidChecksum == "TRUE") {*/
            $getcheck = DB::table('payment_fee')->where('id',$otherdata_arra[7])->where('tid','')->count();
            //$request['STATUS']= 'TXN_SUCCESS';
            //$response['STATUS']='TXN_SUCCESS';
            if($otherdata_arra[1] == 'SummerSchool'){
                if ( 'TXN_SUCCESS' === $request['STATUS'] ) {
                    $status=$request['STATUS'];                        
                }
                $paydata= DB::table('summer_school_payment_fee')->where('id',$otherdata_arra[7])->first();
                //echo '<pre>';print_r($orderid_arra);die;
                //Insert into transaction table
                $insdata = array(
                    'school'=>$orderid_arra[0],
                    'subschool'=>$orderid_arra[1],
                    'name'=>$otherdata_arra[3],
                    'student_id'=>$paydata->student_id,
                    'email'=>$otherdata_arra[4],
                    'phone'=>$otherdata_arra[5],
                    'feeamount'	=> $otherdata_arra[6],
                    'amount'=>$response['TXNAMOUNT'],
                    'payment_mode'=>'Online',
                    'payment_status'=>$response['STATUS'],
                    'payment_via'=>@$response['PAYMENTMODE']?$response['PAYMENTMODE']:'NULL',
                    'tid'=>$response['TXNID'],
                    'order_id'=>$response['ORDERID'],
                    'transaction_date'=>@$response['TXNDATE']?$response['TXNDATE']:date("Y-m-d H:i:s"),
                    'payment_getway' => 'Paytm',
                    'card_name'=>'',
                    'admissiont_status'=>$status,
                );
    
                $getcheck = DB::table('summer_school_payment_fee')->where('id',$otherdata_arra[7])->where('tid','')->count();
                //dd($getcheck);
                $getcollege = DB::table('schools')->find($orderid_arra[1]);
                if($getcheck == 1){
                   // DB::table('payment_fee')->insert($insdata); 
                    DB::table('summer_school_payment_fee')
                    ->where('id', $otherdata_arra[7])
                    ->update([
                        'tid' => $response['TXNID'],
                        'status'=>1,
                        'payment_status'=>$response['STATUS'],
                        'transaction_date'=>@$response['TXNDATE']?$response['TXNDATE']:date("Y-m-d H:i:s"),
                        'card_name'=>@$response['BANKNAME']?$response['BANKNAME']:'',
                    ]);
                    
                    //To mail
                    $maildata['email'] = $otherdata_arra[4];
                    $maildata['subcollege'] = $getcollege->school_name;
                    $maildata['feeamount'] = $otherdata_arra[6];
                    $maildata['amount'] = $response['TXNAMOUNT'];
                    $maildata['name'] = $otherdata_arra[3];
                    $maildata['email'] = $otherdata_arra[4];
                    $maildata['phone'] = $otherdata_arra[5];
                    $maildata['student_id'] = $paydata->student_id;
                    $maildata['order_id'] = $response['ORDERID'];
                    $maildata['tid'] = $response['TXNID'];
                    $maildata['payment_via'] = @$response['PAYMENTMODE']?$response['PAYMENTMODE']:'NULL';;
                    $maildata['payment_status'] = $response['STATUS'];
                    $maildata['admissiont_status'] = $status;
        
                    $this->invoiceMail($maildata);
                }
                
                $data['response'] = $insdata;
                $data['subcollege'] = $getcollege->school_name;
                
                return view('student.payments.paymentstatus_msg',$data);
            } 
		} 
    }
    

}
