<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Admin;
use App\Models\User;
use App\Models\Member;
use App\Models\Companyinfo;
use App\Models\Countries;
use App\Models\State;
use App\Models\City;
use App\Models\Role;
use App\Models\Designation;
use App\Models\NatureBusiness;
use App\Models\Category;
use App\Models\SubCategory;
use App\Models\MembershipPlan;
use App\Models\CoreActivity;
use App\Models\Activity;
use App\Models\UploadImage;
use Validator;
use Illuminate\Support\Facades\Hash;
use DB;

class BuyerController extends Controller
{
    protected $page;
    protected $module;
    protected $single_heading;
    protected $modal;
    protected $route;
    

    public function __construct(){
        $this->page = new \stdClass;
        $this->modal = 'App\Models\User';
        $this->route = new \stdClass;
        $this->module = 'members';
        $this->single_heading = 'Member';
        $this->route->add = route('members.create');
        $this->route->store = route('members.store');
        $this->route->edit = route("members.edit", ":id");
        $this->route->list = route('admin.members.list');
        $this->route->destroy = route("members.destroy", ":id");
        $this->route->status = route('admin.members.status');
        $this->route->approve_status = route('admin.members.approve_status');
        $this->route->upload = route("admin.members.upload");
    }
    


    public function create_buyer()
        {  
             $all_countries = Countries::all(); 
             return view('admin.'.$this->module.'.buyer.add_buyer', [
                'route'=>$this->route,
                'all_countries'=>$all_countries,
               
            ]);
        }



public function store_buyer(Request $request)
    { 
        if($request->is_seller == 1){
        
        $category_sell = implode(',', $request->category_sell);
        $category_buy = implode(',', $request->category_buy);
        $id = $request->id;
        if($id){
            return $this->update_data($request);
        }else{
            $validator =Validator::make($request->all(),
            [
                'fname'              => 'required',
                'lname'              => 'required',
                'email'              => 'required',
                'mobile'             => 'required|min:10|max:10',
                'organization_name'  => 'required',
                'nature_business'    => 'required',
                'designation'        => 'required',
                'membership_plan'    => 'required',
                'country'            => 'required',
                'state'              => 'required',
                'city'               => 'required',
                'postcode'           => 'required',
                'category_sell'      => 'required',
                'category_buy'       => 'required',
                'core_activity'      => 'required',
                'activity'           => 'required',
                'membership_plan'    => 'required',
                'about'              => 'required',
                'password'           => 'required',
                'status'             => 'required',
                'address'            => 'required',
                'file_id'            => 'required',
            ]);
        
            if ($validator->fails()) {
                return $validator->validate();
            }else{ 
                $obj = User::firstOrNew(['id' =>$id]);
                $obj->fname = $request->fname;
                $obj->lname = $request->lname;
                $obj->email = $request->email;
                $obj->mobile = $request->mobile;                
                $obj->country = $request->country;
                $obj->state = $request->state;
                $obj->city = $request->city;               
                $obj->password = Hash::make($request->password);
                $obj->address = $request->address;
                $obj->file_id = $request->file_id;
                $obj->is_seller = 1;
                $obj->status = $request->status;
                $obj->is_approve = $request->is_approve;
                $obj->created_at = date('Y-m-d h:i:s');
                $obj->updated_at = date('Y-m-d h:i:s');
                $obj->save();
                $obj->id;

                $insert_users =  Companyinfo::insert([
                    'nature_business' => $request->nature_business,
                    'designation' => $request->designation,
                    'membership_plan' => $request->membership_plan,
                    'organization_name' => $request->organization_name,
                    'postcode' => $request->postcode,
                    'role' => $request->role,
                    'user_type' => $request->user_type,
                    'type' => $request->type,
                    'category_buy' => $category_buy,
                    'category_sell' => $category_sell,
                    'core_activity' => $request->core_activity,
                    'activity' => $request->activity,
                    'brief_company' => $request->about,
                    'user_id' => $obj->id,
                    'created_at' => date('Y-m-d h:i:s'),
                    'updated_at' =>date('Y-m-d h:i:s'),
                ]);

               
                // echo  '<pre>'; print_r($insert_users);die;
               
                return response()->json(['success'=>1,'message'=>$this->single_heading.' created successfully.']);
            }
        }
      }else{
        $id = $request->id;
        if($id){
            return $this->update_data($request);
        }else{
            $validator =Validator::make($request->all(),
            [
                'fname'              => 'required',
                'lname'              => 'required',
                'email'              => 'required',
                'mobile'             => 'required|min:10|max:10',
                'country'            => 'required',
                'state'              => 'required',
                'city'               => 'required',
                'postcode'           => 'required',
                'address'            => 'required',
                'password'           => 'required',
                'status'             => 'required',
                'file_id'            => 'required',
                
            ]);
        
            if ($validator->fails()) {
                return $validator->validate();
            }else{ 
                $obj = User::firstOrNew(['id' =>$id]);
                $obj->fname = $request->fname;
                $obj->lname = $request->lname;
                $obj->email = $request->email;
                $obj->mobile = $request->mobile;                
                $obj->country = $request->country;
                $obj->state = $request->state;
                $obj->city = $request->city;               
                $obj->password = Hash::make($request->password);
                $obj->address = $request->address;
                $obj->file_id = $request->file_id;
                $obj->is_seller = 0;
                $obj->status = $request->status;
                $obj->is_approve = $request->is_approve;
                $obj->created_at = date('Y-m-d h:i:s');
                $obj->updated_at = date('Y-m-d h:i:s');
                $obj->save();
                $obj->id;

                $insert_users =  Companyinfo::insert([
                    'postcode' => $request->postcode,
                    'user_id' => $obj->id,
                    'created_at' => date('Y-m-d h:i:s'),
                    'updated_at' =>date('Y-m-d h:i:s'),
                ]);

               
                // echo  '<pre>'; print_r($insert_users);die;
               
                return response()->json(['success'=>1,'message'=>$this->single_heading.' created successfully.']);
            }
        }
      }
    }
    
     public function buyer_index()
    {
        //echo $this->route->add;die;
        $this->page->title = $this->module.' List';
        $all_countries = Countries::all(); 
        return view('admin.'.$this->module.'.buyer.buyer_list', [
            'page' => $this->page,
            'route'=>$this->route,
            'module'=>$this->module,
            'all_countries'=>$all_countries,
            'single_heading'=>$this->single_heading
        ]);
    }

    public function buyer_list(Request $request)
    {
        ## Read value
        $draw = $_POST['draw'];
        $row = $_POST['start'];
        $rowperpage = $_POST['length']; // Rows display per page
        $columnIndex = $_POST['order'][0]['column']; // Column index
        $columnName = $_POST['columns'][$columnIndex]['data']; // Column name
        $columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
        $searchValue = $_POST['search']['value']; // Search value

       $totalRecordwithFilter =User::where('users.is_seller',0)->where('is_approve',1);

       $user =User::where('users.is_seller',0)->where('is_approve',1);
 
        if($request->customer_id){
            $totalRecordwithFilter->where('users.id',$request->customer_id);
            $user->where('users.id',$request->customer_id);
        }
        if($request->name){
            $totalRecordwithFilter->where('users.fname',$request->name);
            $user->where('users.fname','LIKE','%'.$request->name.'%'); 
        }
        if($request->country){
            $totalRecordwithFilter->where('users.country',$request->country);
            $user->where('users.country',$request->country);
        }
        if($request->state){
            $totalRecordwithFilter->where('users.state',$request->state);
            $user->where('users.state',$request->state);
        }
        if($request->city){
            $totalRecordwithFilter->where('users.city',$request->city);
            $user->where('users.city',$request->city);
        }
        
        if($searchValue){
            $totalRecordwithFilter->where('users.id',$searchValue);
            $user->where('users.id','LIKE','%'.$searchValue.'%')->orWhere('users.fname', 'LIKE','%'.$searchValue.'%')->orWhere('users.email', 'LIKE','%'.$searchValue.'%');

        }

       $totalithFilter =$totalRecordwithFilter->count();
       $qry = $user->orderBy($columnName, $columnSortOrder)->offset($row)->take($rowperpage)->get();
       $result=$qry;

        $data = array();
        $i=1;
       
        foreach ($result as $row) {
          
            $cats = Category::select(DB::raw('group_concat(name) as names'))
                                ->whereIn('id',explode(',',$row->category_sell))
                                ->first();
            $core_activity = CoreActivity::where('id',$row->core_activity)->first();
            $activity = Activity::where('id',$row->activity)->first();
            $status_url = $this->route->status;
             //echo '<pre>'; print_r($core_activity->name);die;
            if($row->status == 1){   
                $status = '<div class="form-check form-switch">  <input class="form-check-input" type="checkbox" id="active_check" checked="" onchange=status_change("'.$status_url.'",this,'.$row->id.');>   </div>';   
             }else{  
                 $status = '<div class="form-check form-switch"> <input class="form-check-input" type="checkbox" id="unactive_check" onchange=status_change("'.$status_url.'",this,'.$row->id.');> </div>';   
            }
            $approve_status_url = $this->route->approve_status;
            if($row->is_approve == 1){   
                $account_status = '<div class="form-check form-switch">  <input class="form-check-input" type="checkbox" id="active_check" checked="" onchange=approve_status_change("'.$approve_status_url.'",this,'.$row->id.');>   </div>';   
             }else{  
                 $account_status = '<div class="form-check form-switch"> <input class="form-check-input" type="checkbox" id="unactive_check" onchange=approve_status_change("'.$approve_status_url.'",this,'.$row->id.');> </div>';   
            }
            
            $edit_url = route("admin.buyer.edit", $row->id);
            $destroy_url = $this->route->destroy;
            // $destroy_url1 = 'modal-xl';
            $action ='<div class="d-flex  order-actions">';
            $action .='<a href="'.$edit_url.'"><i class="bx bxs-edit"></i></a>';
            $action .='&nbsp;&nbsp;<a href="#!" class="" onclick=delete_row("'.$destroy_url.'",'.$row->id.')><i class="bx bxs-trash""></i></a>';
             $action .='</div>';
            $data[] = array(
                "sno"=>'<input class="form-check-input me-3 filed_check" name="check[]"  type="checkbox"  value="'.$row->id.'"><a href="user-profile/'.$row->id.'">'.$row->id.'</a>',
                "created_at" => date('Y-m-d h:i A',strtotime($row->created_at)),
                "fname" => $row->fname.' '.$row->lname,
                "mobile" => $row->mobile,
                "email" => $row->email,
                "address" => $row->address,
                "status" => $status,
                "is_approve" => $account_status,
                "action" => $action,
            );
        
        $i++;
        }

        $totalRecords =User::all()->count();
        ## Response
        $response = array(
          "draw" => intval($draw),
          "iTotalRecords" => $totalRecords,
          "iTotalDisplayRecords" => $totalithFilter,
          "aaData" => $data
        );

        echo json_encode($response);
    }
 public function edit($id)
    {  
        $users = User::where('id',$id)->first(); 
        if($users->is_seller == 1){
        $all_countries = Countries::all();
        $info = $this->modal::find($id);
        $roles = Role::all();         
        $user_info = Companyinfo::where('user_id',$id)->first(); 
        $users = User::where('id',$id)->first(); 
        $all_state = State::where('country_id', $users->country)->get(); 
        $all_cities = City::where('state_id', $users->state)->get(); 
        $categories = Category::where('status',1)->get();
        $sub_categories = SubCategory::where('status',1)->get();
        $designations = Designation::where('status',1)->get(); 
        $nature_business = NatureBusiness::where('status',1)->get(); 
        $membership_plans = MembershipPlan::where('status',1)->get();
        $core_activities = CoreActivity::where('status',1)->get();
        return view('admin.'.$this->module.'.edit', [
            'info' => $info, 
            'user_info' => $user_info,
            'roles' => $roles,
            'users' => $users,
            'route'=>$this->route,
            'module'=>$this->module,
            'all_countries'=>$all_countries,
            'core_activities'=>$core_activities,
            'all_state'=> $all_state,
            'all_cities'=> $all_cities,
            'categories'=>$categories,
            'sub_categories'=>$sub_categories,
            'designations'=>$designations,
            'membership_plans'=>$membership_plans,
            'nature_business'=>$nature_business,
            'single_heading'=>$this->single_heading
        ]);
        }else{
        
        $info = $this->modal::find($id);       
        $user_info = Companyinfo::where('user_id',$id)->first(); 
        $users = User::where('id',$id)->first(); 
        $all_countries = Countries::all();
        $all_state = State::where('country_id', $users->country)->get(); 
        $all_cities = City::where('state_id', $users->state)->get(); 

        return view('admin.'.$this->module.'.buyer.edit_buyer', [
            'info' => $info, 
            'user_info' => $user_info,
            'users' => $users,
            'route'=>$this->route,
            'module'=>$this->module,
            'all_countries'=>$all_countries,
            'all_state'=> $all_state,
            'all_cities'=> $all_cities,
            'single_heading'=>$this->single_heading
        ]);
       }
    }

    public function update_data(Request $request)
    { 
        if($request->is_seller == 1){

        
            $category_sell = implode(',', $request->category_sell);
            $category_buy = implode(',', $request->category_buy);
            $validator =Validator::make($request->all(),
            [
                    'fname'              => 'required',
                    'lname'              => 'required',
                    'email'              => 'required',
                    'mobile'             => 'required|min:10|max:10',
                    'organization_name'  => 'required',
                    'nature_business'    => 'required',
                    'designation'        => 'required',
                    'country'            => 'required',
                    'state'              => 'required',
                    'city'               => 'required',
                    'postcode'           => 'required', 
                    'category_sell'      => 'required',
                    'category_buy'       => 'required',
                    'core_activity'       => 'required',
                    'activity'       => 'required',
                    'membership_plan'    => 'required',
                    'about'              => 'required',
                    //'password'           => 'required',
                    'status'             => 'required',
                    'address'             => 'required',
                    'created_at' => date('Y-m-d h:i:s'),
                    'updated_at' =>date('Y-m-d h:i:s'),
            ]);
           
            if ($validator->fails()) {
                return $validator->validate();
            }else{  
                    $obj = User::firstOrNew(['id' =>$request->id]);
                    $obj->fname = $request->fname;
                    $obj->lname = $request->lname;
                    $obj->email = $request->email;
                    $obj->mobile = $request->mobile;                
                    $obj->country = $request->country;
                    $obj->state = $request->state;
                    $obj->city = $request->city;         
                    if ($request->password)       {
                        $obj->password = Hash::make($request->password);
                    }
                    $obj->address = $request->address;
                    $obj->file_id = $request->file_id;
                    $obj->status = $request->status;
                    $obj->is_approve = $request->is_approve;
                    $obj->created_at = date('Y-m-d h:i:s');
                    $obj->updated_at = date('Y-m-d h:i:s');
                    $obj->save();
                    $obj->id;


                    $update_users =  Companyinfo::where('company_info.user_id',$request->id)->update([
                        'nature_business' => $request->nature_business,
                        'designation' => $request->designation,
                        'membership_plan' => $request->membership_plan,
                        'organization_name' => $request->organization_name,
                        'postcode' => $request->postcode,
                        'user_type' => $request->user_type,
                        'type' => $request->type,
                        'category_buy' => $category_buy,
                        'category_sell' => $category_sell,
                        'core_activity' => $request->core_activity,
                        'activity' => $request->activity,
                        'brief_company' => $request->about,
                        'user_id' => $obj->id,
                    ]);

                return response()->json(['success'=>1,'message'=>$this->single_heading.' updated successfully.']);
            }
        }else{
            $validator =Validator::make($request->all(),
            [
                    'fname'              => 'required',
                    'lname'              => 'required',
                    'email'              => 'required',
                    'mobile'             => 'required|min:10|max:10',
                    'country'            => 'required',
                    'state'              => 'required',
                    'city'               => 'required',
                    'postcode'           => 'required', 
                    'address'             => 'required',
                    //'password'           => 'required',
                    'status'             => 'required',
                    'created_at' => date('Y-m-d h:i:s'),
                    'updated_at' =>date('Y-m-d h:i:s'),
            ]);
           
            if ($validator->fails()) {
                return $validator->validate();
            }else{  
                    $obj = User::firstOrNew(['id' =>$request->id]);
                    $obj->fname = $request->fname;
                    $obj->lname = $request->lname;
                    $obj->email = $request->email;
                    $obj->mobile = $request->mobile;                
                    $obj->country = $request->country;
                    $obj->state = $request->state;
                    $obj->city = $request->city;               
                    if ($request->password)       {
                        $obj->password = Hash::make($request->password);
                    }
                    $obj->address = $request->address;
                    $obj->file_id = $request->file_id;
                    $obj->status = $request->status;
                    $obj->is_approve = $request->is_approve;
                    $obj->created_at = date('Y-m-d h:i:s');
                    $obj->updated_at = date('Y-m-d h:i:s');
                    $obj->save();
                    $obj->id;


                    $update_users =  Companyinfo::where('company_info.user_id',$request->id)->update([
                        'postcode' => $request->postcode,
                        'user_id' => $obj->id,
                    ]);

                return response()->json(['success'=>1,'message'=>$this->single_heading.' updated successfully.']);
            }
        }
    }


 public function seller_index()
    {
        //echo $this->route->add;die;
        $this->page->title = $this->module.' List';
        $categories = Category::where('status',1)->get();
        $nature_business = NatureBusiness::where('status',1)->get();
        $all_countries = Countries::all(); 
        $designations = Designation::where('status',1)->get();
        return view('admin.'.$this->module.'.seller.seller_list', [
            'page' => $this->page,
            'route'=>$this->route,
            'module'=>$this->module,
            'categories'=>$categories,
            'nature_business'=>$nature_business,
            'all_countries'=>$all_countries,
            'designations'=>$designations,
            'single_heading'=>$this->single_heading
        ]);
    }


   


   
    public function destroy($id)
    {

        $info = User::where('id',$id)->first();
        $user_info = Companyinfo::where('user_id',$id)->first();
        $info->delete();
        $user_info->delete();
        
        return response()->json(['success'=>1,'message'=>$this->single_heading.' delete successfully.']);
    }

     public function status(Request $request)
    {
         $status = $this->modal::find($request->id);        
         $status->status = $request->status; 
         $status->save();
          return response()->json(['success'=>1]);
    }

    public function approve_status(Request $request)
    {
         $status = $this->modal::find($request->id);        
         $status->is_approve = $request->is_approve; 
         $status->save();
          return response()->json(['success'=>1]);
    }

    public function destroy_multiple(Request $request)
    {
        $ids = $request->ids;
        $this->modal::destroy($ids);
        return response()->json(['success'=>1,'message'=>$this->single_heading.' deleted successfully.']);
    } 
      
    public function upload(Request $request)
    {
        $type = $request->type;
        $path = $type . '_path';
        $name = $type . '_name';
        $file_path = $request->$path;
        $file_name = $request->$name;
        $ext_arr = array('jpg','png','jpeg' );
        if (!empty($request->file($file_name)))
        {
            //Move Uploaded File
            $file = $request->file($file_name);
            $ext = $file->getClientOriginalExtension();
            if (in_array($ext, $ext_arr))
            {
                $destinationPath = public_path() . '/' . $file_path;
                $file_name = time() . "_" . $file->getClientOriginalName();
                $file->move($destinationPath, $file_name);
                $file_data = UploadImage::create(['file' => $file_path . $file_name, ]);
                return response()->json(['status' => 1, 'file_id' => $file_data->id, 'file_path' => asset($file_data->file) ]);
            }
            else
            {
                return response()->json(['status' => 0, 'msg' => 'File type not allowed']);
            }
        }
    }

    public function get_sub_category(Request $request)
    {   
       
        $category_ids = User::select('users.*','company_info.category_sell','company_info.core_activity')->leftJoin('company_info','users.id','=','company_info.user_id')->where('users.id',$request->id)->first();
        $category_sell_ids = $category_ids->category_sell;
        $category_ids_array = explode(",",$category_sell_ids);  
         
        $cat = '';
       
        $categories = SubCategory::whereIn('category',$category_ids_array)->where('status',1)->get();
        foreach($categories as $category){
            $selected='';
            if($request->sub_cat == $category->id){$selected='selected';}
            $cat .='<option value="'.$category->id.'" '.$selected.'>'.$category->name.'</option>';
        }
        //return $cat;
        return response()->json(['status'=>1,'cat'=>$cat,'category_sell_ids'=> $category_sell_ids]);
    
    
    }


    
    
}
