<?php
namespace App\Http\Controllers\admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Report;
use App\Models\UploadImage;
use App\Models\Student;
use App\Models\StudentInfo;
use App\Models\StudentParent;
use App\Models\ClassCategory;
use App\Models\ClassCode;
use App\Models\Program;
use App\Models\Campus;
use App\Models\Periods;
use App\Models\FeeRaise;
use App\Models\FeeRaiseData;
use Validator;
use DB;
use Illuminate\Support\Facades\Hash;
class FeeRaiseController extends Controller
{
    protected $page;
    protected $module;
    protected $single_heading;
    protected $modal;
    protected $route;
    public function __construct()
    {
        $this->page = new \stdClass;
        $this->modal = 'App\Models\Report';
        $this->route = new \stdClass;
        $this->module = 'reports';
        $this->single_heading = 'Report';
    }
   
    public function fee_raise(Request $request){

        $data = array(
            'route' => $this->route,
            'module' => $this->module,
        );
        $data['programs'] = Program::get();
        $data['classCodes'] = ClassCode::get();
        $data['semesters'] = Periods::get();

        return view('admin.fee_raise.fees_raise',$data);
    }
    
    public function selectFeeData(Request $request){
        // echo '<pre>'; print_r($request->all()); die;

        $students = Student::where(['program'=>$request->program_id,'class_code'=>$request->cls_code,'class_period'=>$request->semester])->get();

        $view = '';
        if($students->toArray()){
            // $view .= '<option id="all_opt" value="0" onclick="reset_select_data(this); return false;">All</option>';
            foreach($students as $student){
                $view .= '<option class="all_st_opt" value="'.$student->student_id.'">'.ucwords($student->first_name.' '.$student->last_name).'</option>';
            }
        }else{
            $view = '<option value="">No students found!!</option>';
        }
        return json_encode(['status'=>1,'view'=>$view,'student_cnt'=>count($students)]);
    }

    
    public function submitFeeData(Request $request){
        // echo '<pre>'; print_r($request->all()); die;

        $validator = Validator::make($request->all() , [
            'program' => 'required',
            'class_codes' => 'required', 
            'semester' => 'required', 
            'fee_amount' => 'required', 
            'last_date' => 'required',
            'class_students' => 'required',
        ]);
        if ($validator->fails()){
            return $validator->validate();
        }
        else{
            if(in_array('0',$request->class_students)){
                $students = Student::where(['program'=>$request->program,'class_code'=>$request->class_codes,'class_period'=>$request->semester])->get();

                $fee_data = array(
                    'program_id' => $request->program,
                    'semester' => $request->semester,
                    'class_code_id' => $request->class_codes,
                    'total_students' => count($students),
                    'total_fee_amount' => count($students) * $request->fee_amount,
                    'date' => date('Y-m-d'),
                    'created_at' => time(),
                    'updated_at' => time(),
                );
                FeeRaiseData::insert($fee_data);
                $f_data_id = DB::getPdo()->lastInsertId();

                if($students->toArray()){
                    foreach($students as $student){
                        $data = array(
                            'st_id' => $student->student_id,
                            'fee_data_id' => $f_data_id,
                            'fee_amount' => $request->fee_amount,
                            'last_date' => $request->last_date,
                            'status' => 1,
                            'created_at' => time(),
                            'updated_at' => time(),
                        );
                        // echo '<pre>'; print_r($data); //die;
                        FeeRaise::insert($data);
                    }
                }
            }else{
                $cnt_students = 0;
                foreach($request->class_students as $student_id){
                    if($student_id == 1){
                        continue;
                    }
                    $cnt_students++;
                }
                $fee_data = array(
                    'program_id' => $request->program,
                    'semester' => $request->semester,
                    'class_code_id' => $request->class_codes,
                    'total_students' => $cnt_students,
                    'total_fee_amount' => $cnt_students * $request->fee_amount,
                    'date' => date('Y-m-d'),
                    'created_at' => time(),
                    'updated_at' => time(),
                );
                FeeRaiseData::insert($fee_data);
                $f_data_id = DB::getPdo()->lastInsertId();

                foreach($request->class_students as $student_id){
                    if($student_id == 1){
                        continue;
                    }
                    $data = array(
                        'st_id' => $student_id,
                        'fee_data_id' => $f_data_id,
                        'fee_amount' => $request->fee_amount,
                        'last_date' => $request->last_date,
                        'status' => 1,
                        'created_at' => time(),
                        'updated_at' => time(),
                    );
                    FeeRaise::insert($data);
                }
            }
            return json_encode(['status'=>1]);
        }
    }

    public function fee_raise_data_ajax_list(Request $request){
        ## Read value
        $draw = $_POST['draw'];
        $row = $_POST['start'];
        $rowperpage = $_POST['length']; // Rows display per page
        $columnIndex = $_POST['order'][0]['column']; // Column index
        $columnName = $_POST['columns'][$columnIndex]['data']; // Column name
        $columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
        $searchValue = $_POST['search']['value']; // Search value
        $totalRecords = FeeRaiseData::all()->count();
        $totalRecordwithFilter = $totalRecords;
        
        // DB::enableQueryLog();
        $qry = FeeRaiseData::select('raise_fee_data.*','class_codes.title as cls_title','programs.title as pgrm_title','periods.title as semester_name')->orderBy($columnName, $columnSortOrder)->offset($row)->take($rowperpage);
        $qry->leftJoin('periods','periods.id','=','raise_fee_data.semester');
        $qry->leftJoin('programs','programs.id','=','raise_fee_data.program_id');
        $qry->leftJoin('class_codes','class_codes.id','=','raise_fee_data.class_code_id');
        $result = $qry->get();
        // dd(DB::getQueryLog());
        $data = array();
        $i = 1;
        foreach ($result as $row)
        {
            // echo $status_url;die;
           
             // $action = '<a href="javascript:void(0);" onclick="viewFeeData(this,'.$row->id.','.$row->st_id.'); return false;"><i class="bx bx-show"></i></div>';
             $action = '<a href="'.url('admin/view-fee-data/'.$row->id).'"><i class="bx bx-show"></i></div>';
            $data[] = array(
                "id" => $row->id,
                "programs" => $row->pgrm_title,
                "semester" => $row->semester_name,
                "class_codes" => $row->cls_title,
                "fee_amt" => '₹'.number_format($row->total_fee_amount,2),
                "paid_fee_amt" => '₹'.number_format($row->total_pay_amount,2),
                "remaining_fee_amt" => '₹'.number_format($row->total_remaining_amount,2),
                "action" => $action,
            );
            $i++;
        }
        ## Response
        $response = array(
            "draw" => intval($draw) ,
            "iTotalRecords" => $totalRecords,
            "iTotalDisplayRecords" => $totalRecordwithFilter,
            "aaData" => $data
        );
        echo json_encode($response);
    }

    public function paid_fee_raise_data_ajax_list(Request $request){
        ## Read value
        $draw = $_POST['draw'];
        $row = $_POST['start'];
        $rowperpage = $_POST['length']; // Rows display per page
        $columnIndex = $_POST['order'][0]['column']; // Column index
        $columnName = $_POST['columns'][$columnIndex]['data']; // Column name
        $columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
        $searchValue = $_POST['search']['value']; // Search value
        $totalRecords = FeeRaise::where('payment_status',1)->get()->count();
        $totalRecordwithFilter = $totalRecords;
        
        // DB::enableQueryLog();
        $qry = FeeRaise::select('raise_fee.*','students.first_name','students.last_name','class_codes.title as cls_title','programs.title as pgrm_title','periods.title as semester_name')->orderBy($columnName, $columnSortOrder)->offset($row)->take($rowperpage);
        $qry->where('first_name', 'LIKE','%'.$searchValue.'%');
        $qry->where('payment_status',1);
        $qry->leftJoin('students','students.student_id','=','raise_fee.st_id');
        $qry->leftJoin('raise_fee_data','raise_fee_data.id','=','raise_fee.fee_data_id');
        $qry->leftJoin('periods','periods.id','=','raise_fee_data.semester');
        $qry->leftJoin('programs','programs.id','=','raise_fee_data.program_id');
        $qry->leftJoin('class_codes','class_codes.id','=','raise_fee_data.class_code_id');
        $result = $qry->get();
        // dd(DB::getQueryLog());
        $data = array();
        $i = 1;
        foreach ($result as $row)
        {
            // echo $status_url;die;
            $pay_status = '';
            if($row->payment_status == 1){
                $pay_status = '<span class="text-success">Paid</span>';
            }
           
            $action = '<a href="javascript:void(0);" onclick="viewFeeData(this,'.$row->id.','.$row->st_id.'); return false;"><i class="bx bx-show"></i></div>';
            $data[] = array(
                "id" => $row->st_id,
                "first_name" => ucwords($row->first_name.' '.$row->last_name),
                "fee_amount" => '₹'.number_format($row->fee_amount,2),
                "last_date" => $row->last_date,
                "pay_status" => ucwords($row->first_name.' '.$row->last_name),
            );
            $i++;
        }
        ## Response
        $response = array(
            "draw" => intval($draw) ,
            "iTotalRecords" => $totalRecords,
            "iTotalDisplayRecords" => $totalRecordwithFilter,
            "aaData" => $data
        );
        echo json_encode($response);
    }

    public function unpaid_fee_raise_data_ajax_list(Request $request){
        ## Read value
        $draw = $_POST['draw'];
        $row = $_POST['start'];
        $rowperpage = $_POST['length']; // Rows display per page
        $columnIndex = $_POST['order'][0]['column']; // Column index
        $columnName = $_POST['columns'][$columnIndex]['data']; // Column name
        $columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
        $searchValue = $_POST['search']['value']; // Search value
        $totalRecords = FeeRaise::where('payment_status',0)->get()->count();
        $totalRecordwithFilter = $totalRecords;
        
        // DB::enableQueryLog();
        $qry = FeeRaise::select('raise_fee.*','students.first_name','students.last_name','class_codes.title as cls_title','programs.title as pgrm_title','periods.title as semester_name')->orderBy($columnName, $columnSortOrder)->offset($row)->take($rowperpage)->where('first_name', 'LIKE','%'.$searchValue.'%');
        $qry->where('payment_status',0);
        $qry->leftJoin('students','students.student_id','=','raise_fee.st_id');
        $qry->leftJoin('raise_fee_data','raise_fee_data.id','=','raise_fee.fee_data_id');
        $qry->leftJoin('periods','periods.id','=','raise_fee_data.semester');
        $qry->leftJoin('programs','programs.id','=','raise_fee_data.program_id');
        $qry->leftJoin('class_codes','class_codes.id','=','raise_fee_data.class_code_id');
        $result = $qry->get();
        // dd(DB::getQueryLog());
        $data = array();
        $i = 1;
        foreach ($result as $row)
        {
            // echo $status_url;die;
            $pay_status = '';
            if($row->payment_status == 0){
                $pay_status = '<span class="text-primary">Pending</span>';
            }
           
            $action = '<a href="javascript:void(0);" onclick="viewFeeData(this,'.$row->id.','.$row->st_id.'); return false;"><i class="bx bx-show"></i></div>';
            $data[] = array(
                "id" => $row->st_id,
                "first_name" => ucwords($row->first_name.' '.$row->last_name),
                "fee_amount" => '₹'.number_format($row->fee_amount,2),
                "last_date" => $row->last_date,
                "pay_status" => ucwords($row->first_name.' '.$row->last_name),
            );
            $i++;
        }
        ## Response
        $response = array(
            "draw" => intval($draw) ,
            "iTotalRecords" => $totalRecords,
            "iTotalDisplayRecords" => $totalRecordwithFilter,
            "aaData" => $data
        );
        echo json_encode($response);
    }

    public function failed_fee_raise_data_ajax_list(Request $request){
        ## Read value
        $draw = $_POST['draw'];
        $row = $_POST['start'];
        $rowperpage = $_POST['length']; // Rows display per page
        $columnIndex = $_POST['order'][0]['column']; // Column index
        $columnName = $_POST['columns'][$columnIndex]['data']; // Column name
        $columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
        $searchValue = $_POST['search']['value']; // Search value
        $totalRecords = FeeRaise::where('payment_status',2)->get()->count();
        $totalRecordwithFilter = $totalRecords;
        
        // DB::enableQueryLog();
        $qry = FeeRaise::select('raise_fee.*','students.first_name','students.last_name','class_codes.title as cls_title','programs.title as pgrm_title','periods.title as semester_name')->orderBy($columnName, $columnSortOrder)->offset($row)->take($rowperpage)->where('first_name', 'LIKE','%'.$searchValue.'%');
        $qry->where('payment_status',2);
        $qry->leftJoin('students','students.student_id','=','raise_fee.st_id');
        $qry->leftJoin('raise_fee_data','raise_fee_data.id','=','raise_fee.fee_data_id');
        $qry->leftJoin('periods','periods.id','=','raise_fee_data.semester');
        $qry->leftJoin('programs','programs.id','=','raise_fee_data.program_id');
        $qry->leftJoin('class_codes','class_codes.id','=','raise_fee_data.class_code_id');
        $result = $qry->get();
        // dd(DB::getQueryLog());
        $data = array();
        $i = 1;
        foreach ($result as $row)
        {
            // echo $status_url;die;
            $pay_status = '';
            if($row->payment_status == 2){
                $pay_status = '<span class="text-danger">Failed</span>';
            }
           
            $action = '<a href="javascript:void(0);" onclick="viewFeeData(this,'.$row->id.','.$row->st_id.'); return false;"><i class="bx bx-show"></i></div>';
            $data[] = array(
                "id" => $row->st_id,
                "first_name" => ucwords($row->first_name.' '.$row->last_name),
                "fee_amount" => '₹'.number_format($row->fee_amount,2),
                "last_date" => $row->last_date,
                "pay_status" => ucwords($row->first_name.' '.$row->last_name),
            );
            $i++;
        }
        ## Response
        $response = array(
            "draw" => intval($draw) ,
            "iTotalRecords" => $totalRecords,
            "iTotalDisplayRecords" => $totalRecordwithFilter,
            "aaData" => $data
        );
        echo json_encode($response);
    }

    public function viewFeeData($id){
        // echo '<pre>'; print_r($request->all()); die;
        DB::enableQueryLog();
        $qry = FeeRaiseData::select('raise_fee_data.*','class_codes.title as cls_title','programs.title as pgrm_title','periods.title as semester_name')->where(['raise_fee_data.id'=>$id]);
        $qry->leftJoin('raise_fee','raise_fee.fee_data_id','=','raise_fee_data.id');
        $qry->leftJoin('periods','periods.id','=','raise_fee_data.semester');
        $qry->leftJoin('programs','programs.id','=','raise_fee_data.program_id');
        $qry->leftJoin('class_codes','class_codes.id','=','raise_fee_data.class_code_id');
        $data['fee_data'] = $qry->first();
        // dd(DB::getQueryLog());
        
        $data['programs'] = Program::get();
        $data['classCodes'] = ClassCode::get();
        $data['semesters'] = Periods::get();

        // echo '<pre>'; print_r($data['fee_data']->toArray()); die;
        // return view('admin.fee_raise.fees_raise_view',$data);
        return view('admin.fee_raise.free_report',$data);
        // echo json_encode(['status'=>1,'view'=>$view]);
    }
   
}

