<?php
namespace App\Http\Controllers\admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\StudentNew;
use App\Models\Student;
use App\Models\StudentInfo;
use App\Models\StudentParent;
use App\Models\ClassCategory;
use App\Models\ClassCode;
use App\Models\Program;
use App\Models\Campus;
use App\Models\Periods;
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xls;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use PhpOffice\PhpSpreadsheet\Writer\Csv;
use App\Models\Bankdetail;
use App\Models\Otherdetail;
use App\Models\UploadImage;
use Validator;
use DB;
use Illuminate\Support\Facades\Hash;
class StudentsController extends Controller
{
    protected $page;
    protected $module;
    protected $single_heading;
    protected $modal;
    protected $route;
    public function __construct()
    {
        $this->page = new \stdClass;
        $this->modal = 'App\Models\Student';
        $this->route = new \stdClass;
        $this->module = 'students';
        $this->single_heading = 'Student';
        $this->route->list = route('admin.students.list');
        $this->route->import_file = route('admin.students.import_file');
        $this->route->add = route('students.create');
        $this->route->store = route('students.store');
        $this->route->edit = route("students.edit", ":id");
        $this->route->destroy = route("students.destroy", ":id");
        $this->route->status = route('admin.students.status');
        $this->route->upload = route("admin.students.upload");
        // $this->route->import_list = route("admin.students.list_import");
    }
    public function index()
    {
        //echo $this->route->add;die;
        $this->page->title = $this->module . ' List';
        return view('admin.' . $this->module . '.index', ['page' => $this->page, 'route' => $this->route, 'module' => $this->module, 'single_heading' => $this->single_heading]);
    }
    public function list(Request $request)
    {
        ## Read value
        $draw = $_POST['draw'];
        $row = $_POST['start'];
        $rowperpage = $_POST['length']; // Rows display per page
        $columnIndex = $_POST['order'][0]['column']; // Column index
        $columnName = $_POST['columns'][$columnIndex]['data']; // Column name
        $columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
        $searchValue = $_POST['search']['value']; // Search value
        $totalRecords = $this->modal::all()
            ->count();
        $totalRecordwithFilter = $totalRecords;
        
        DB::enableQueryLog();
        $qry = $this->modal::select('students.*','students_info.address','students_info.birth_date','class_codes.title as cls_title','programs.title as pgrm_title')->orderBy($columnName, $columnSortOrder)->offset($row)->take($rowperpage)->where('first_name', 'LIKE','%'.$searchValue.'%');
        $qry->leftJoin('students_info','students_info.student_id','=','students.student_id');
        $qry->leftJoin('programs','programs.id','=','students.program');
        $qry->leftJoin('class_codes','class_codes.id','=','students.class_code');
        $result = $qry->get();
        // dd(DB::getQueryLog());
        $data = array();
        $i = 1;
        foreach ($result as $row)
        {
            $status_url = $this
                ->route->status;
            // echo $status_url;die;
            if ($row->status == 1)
            {
                $status = '<div class="form-check form-switch">  <input class="form-check-input" type="checkbox" id="active_check" checked="" onchange=status_change("' . $status_url . '",this,' . $row->id . ');>   </div>';
            }
            else
            {
                $status = '<div class="form-check form-switch"> <input class="form-check-input" type="checkbox" id="unactive_check" onchange=status_change("' . $status_url . '",this,' . $row->id . ');> </div>';
            }
           
            $edit_url = $this->route->edit;
            $destroy_url = $this->route->destroy;
            $action = '<div class="d-flex  order-actions">';
            $action .= '<a href="student-detail/'.$row->id.'"><i class="bx bxs-edit"></i></a>';
            $action .= '&nbsp;&nbsp;<a href="#!" class="" onclick=delete_row("' . $destroy_url . '",' . $row->id . ')><i class="bx bxs-trash""></i></a>';
            $action .= '</div>';
            $data[] = array(
                "sno" => '<input class="form-check-input me-3 filed_check" name="check[]"  type="checkbox"  value="' . $row->id . '"> ' . $i,
                "admission_number" => ucwords($row->admission_number),
                "student_id" => '<a href="student-detail/'.$row->id.'">'.$row->student_id.'</a>',
                "name" => ucwords($row->first_name.' '.$row->last_name),
                "program" => $row->pgrm_title,
                "intake" => $row->intake,
                "class_code" => $row->cls_title,
                "email" => $row->email,
                "number" => $row->number,
                "admission_date" => $row->admission_date,
                "birth_date" => $row->birth_date,
                "parent_name_1" => $row->parent_name_1,
                "parent_name_2" => $row->parent_name_2,
                "address" => $row->address,
                "status" => $status,
                "created_at" => date('Y-m-d h:i A', strtotime($row->created_at)) ,
                "action" => $action,
            );
            $i++;
        }
        ## Response
        $response = array(
            "draw" => intval($draw) ,
            "iTotalRecords" => $totalRecords,
            "iTotalDisplayRecords" => $totalRecordwithFilter,
            "aaData" => $data
        );
        echo json_encode($response);
    }
    public function create()
    {
        return view('admin.' . $this->module . '.add', ['route' => $this->route, 'module' => $this->module, 'single_heading' => $this->single_heading]);
    }
    public function store(Request $request)
    {
        $id = $request->id;
        
       
        
        if ($id)
        {
            return $this->update_data($request);
        }
        else
        {
            $validator = Validator::make($request->all() , ['first_name' => 'required','last_name' => 'required', 'intake' => 'required', 'number' => 'required', 'email' => 'required', 'birth_date' => 'required', 'admission_number' => 'required', 'program' => 'required', 'address' => 'required', 'status' => 'required', 'class_code' => 'required', 'admission_date' => 'required', 'parent_name_1' => 'required', 'parent_name_2' => 'required']);
            if ($validator->fails())
            {
                return $validator->validate();
            }
            else
            {
                $obj = $this->modal::firstOrNew(['id' => $id]);
                $obj->first_name = $request->first_name;
                $obj->last_name = $request->last_name;
                $obj->student_id = $request->student_id;
                $obj->number = $request->number;
                $obj->email = $request->email;
                $obj->birth_date = $request->birth_date;
                $obj->file_id = $request->file_id;
                $obj->intake = $request->intake;
                $obj->program = $request->program;
                $obj->admission_number = $request->admission_number;
                $obj->class_code = $request->class_code;
                $obj->admission_date = $request->admission_date;
                $obj->parent_name_1 = $request->parent_name_1;
                $obj->parent_name_2 = $request->parent_name_2;
                $obj->address = $request->address;
                $obj->status = $request->status;
                $obj->save();
                return response()->json(['success' => 1, 'message' => $this->single_heading . ' created successfully.']);
            }
        }
    }
    public function edit($id)
    {
        $info = $this->modal::find($id);
        return view('admin.' . $this->module . '.edit', ['info' => $info, 'route' => $this->route, 'module' => $this->module, 'single_heading' => $this->single_heading]);
    }
    public function update_data(Request $request)
    { 
        // echo '<pre>'; print_r($request->all());die;
      
        $validator = Validator::make($request->all() , ['first_name' => 'required', 'last_name' => 'required', 'number' => 'required', 'email' => 'required', 'birth_date' => 'required', 'admission_number' => 'required', 'student_id' => 'required', 'student_status' => 'required', 'disabilities' => 'required', 'admission_date' => 'required']);
        if ($validator->fails())
        {
            return $validator->validate();
        }
        else
        {
                $obj = $this->modal::firstOrNew(['id' => $request->id]);
                $obj->first_name = $request->first_name;
                $obj->last_name = $request->last_name;
                $obj->number = $request->number;
                $obj->address = $request->address;
                $obj->student_id = $request->student_id;
                $obj->email = $request->email;
                $obj->birth_date = $request->birth_date;
                $obj->intake = $request->intake;
                $obj->file_id = $request->file_id;
                $obj->program = $request->program;
                $obj->admission_number = $request->admission_number;
                $obj->class_code = $request->class_code;
                $obj->admission_date = $request->admission_date;
                $obj->parent_name_1 = $request->parent_name_1;
                $obj->parent_name_2 = $request->parent_name_2;   
                $obj->alternate_email = $request->alternate_email;
                $obj->alternate_number = $request->alternate_number;
                $obj->phone_code = $request->phone_code;
                $obj->bursary_requirements = $request->bursary_requirements;
                $obj->phd_sponsored = $request->phd_sponsored;
                $obj->sponsored = $request->sponsored;
                $obj->institution = $request->institution;
                $obj->refugee = $request->refugee;
                $obj->asylum = $request->asylum;
                $obj->permanent_residency = $request->permanent_residency;
                $obj->wheel_chair = $request->wheel_chair;
                $obj->contact_language = $request->contact_language;
                $obj->correspondence_language = $request->correspondence_language;
                $obj->is_agency = $request->is_agency;
                $obj->advisor_name = $request->advisor_name;
                $obj->student_status = $request->student_status;
                $obj->area_research = $request->area_research;
                $obj->educational_intervention = $request->educational_intervention;
                $obj->disabilities = $request->disabilities;
                $obj->current_activity = $request->current_activity;
                $obj->exam_center = $request->exam_center;
                $obj->domicile = $request->domicile;
                $obj->national_id = $request->national_id;
                $obj->sadc_citizenship = $request->sadc_citizenship;
                $obj->citizenship = $request->citizenship;
                $obj->nationality = $request->nationality;
                $obj->country = $request->country;
                $obj->place_birth_date = $request->place_birth_date;
                $obj->place_lang_birth_date = $request->place_lang_birth_date;
                $obj->print_lang_name = $request->print_lang_name;
                $obj->short_lang_name = $request->short_lang_name;
                $obj->last_lang_name = $request->last_lang_name;
                $obj->middle_lang_name = $request->middle_lang_name;
                $obj->first_lang_name = $request->first_lang_name;
                $obj->filed_interest = $request->filed_interest;
                $obj->gender = $request->gender;
                $obj->print_name = $request->print_name;
                $obj->short_name = $request->short_name;
                $obj->middle_name = $request->middle_name;
                $obj->salution = $request->salution;
                $obj->mid_joinee = $request->mid_joinee;
                $obj->parent_name_1 = $request->parent_name_1;
                $obj->parent_name_2 = $request->parent_name_2;
                $obj->status = $request->status;
                $obj->save();
            
                 // Other Detail Insert
                $obj_other_detail = Otherdetail::firstOrNew(['id' => $request->id]);
                $obj_other_detail->id = $request->id;
                $obj_other_detail->sid = $obj->id;
                $obj_other_detail->speak = $request->speak;
                $obj_other_detail->write = $request->write;
                $obj_other_detail->read = $request->read;
                $obj_other_detail->language = $request->language;
                $obj_other_detail->mustering = $request->mustering;
                $obj_other_detail->arms_service = $request->arms_service;
                $obj_other_detail->registration_number = $request->registration_number;
                $obj_other_detail->valid_till = $request->valid_till;
                $obj_other_detail->accounting_key = $request->accounting_key;
                $obj_other_detail->family_income = $request->family_income;
                $obj_other_detail->post_number = $request->post_number;
                $obj_other_detail->cast_category = $request->cast_category;
                $obj_other_detail->religion = $request->religion;
                $obj_other_detail->marital_status = $request->marital_status;
                $obj_other_detail->blode_group = $request->blode_group;
                $obj_other_detail->board_number = $request->board_number;
                $obj_other_detail->created_at = date('Y-m-d h:i:s');
                $obj_other_detail->updated_at =date('Y-m-d h:i:s');
                $obj_other_detail->save();
               
                 // Other Detail Insert
                 // Bank Detail Insert
                $obj_bank = Bankdetail::firstOrNew(['id' => $request->id]);
                $obj_bank->sid = $obj->id;
                $obj_bank->bank_name = $request->bank_name;
                $obj_bank->ifsc_code = $request->ifsc_code;
                $obj_bank->account_type = $request->account_type;
                $obj_bank->account_number = $request->account_number;
                $obj_bank->beneficiary_name = $request->beneficiary_name;
                $obj_bank->beneficiary_name_language = $request->beneficiary_name_language;
                $obj_bank->created_at = date('Y-m-d h:i:s');
                $obj_bank->updated_at =date('Y-m-d h:i:s');
                $obj_bank->save();
                 // Bank Detail Insert
               

            return response()->json(['success' => 1, 'message' => $this->single_heading . ' updated successfully.']);
        }
    }
    public function destroy($id)
    {
        $info = $this->modal::find($id);
        $info->delete();
        $bank_info = Bankdetail::where('sid',$id)->find($id);
        $bank_info->delete();
        $other_info = Otherdetail::where('sid',$id)->find($id);
        $other_info->delete();
        return response()
            ->json(['success' => 1, 'message' => $this->single_heading . ' delete successfully.']);
    }
    public function status(Request $request)
    {
        $status = $this->modal::find($request->id);
        $status->status = $request->status;
        $status->save();
        return response() ->json(['success' => 1]);
    }
    public function destroy_multiple(Request $request)
    {
        $ids = $request->ids;
        $this->modal::destroy($ids);
        return response()->json(['success' => 1, 'message' => $this->single_heading . ' deleted successfully.']);
    }
    public function upload(Request $request)
    {
        $type = $request->type;
        $path = $type . '_path';
        $name = $type . '_name';
        $file_path = $request->$path;
        $file_name = $request->$name;
        $ext_arr = array('jpg','png','jpeg' );
        if (!empty($request->file($file_name)))
        {
            //Move Uploaded File
            $file = $request->file($file_name);
            $ext = $file->getClientOriginalExtension();
            if (in_array($ext, $ext_arr))
            {
                $destinationPath = public_path() . '/' . $file_path;
                $file_name = time() . "_" . $file->getClientOriginalName();
                $file->move($destinationPath, $file_name);
                $file_data = UploadImage::create(['file' => $file_path . $file_name, ]);
                return response()->json(['status' => 1, 'file_id' => $file_data->id, 'file_path' => asset($file_data->file) ]);
            }
            else
            {
                return response()->json(['status' => 0, 'msg' => 'File type not allowed']);
            }
        }
    }


    public function student_detail($id)
    {
       
      
        $other_detail = Otherdetail::where('sid',$id)->first();
        $bank_detail = Bankdetail::where('sid',$id)->first();
        $info = Student::where('id',$id)->first();
        
         return view('admin.'.$this->module.'.view', [
            
            'route'=>$this->route,
            'module'=>$this->module,
            'single_heading'=>$this->single_heading,
            'info' => $info,
            'bank_detail' => $bank_detail,
            'other_detail' => $other_detail
        ]);
    }

    public function reset_password()
    {
        return view('admin.' . $this->module . '.reset_password', ['route' => $this->route, 'module' => $this->module, 'single_heading' => $this->single_heading]);
    }
    public function getColumns()
    {
        return view('admin.' . $this->module . '.get_columns', ['route' => $this->route, 'module' => $this->module, 'single_heading' => $this->single_heading]);
    }
    public function addAddress()
    {
        return view('admin.' . $this->module . '.add_address', ['route' => $this->route, 'module' => $this->module, 'single_heading' => $this->single_heading]);
    }

    public function profilPreview(Request $request)
    {
     
        $profile = Student::where('id',$request->id)->first();
        return view('admin.' . $this->module . '.profile_preview', [
            'route' => $this->route,
             'module' => $this->module,
             'profile' => $profile,
              'single_heading' => $this->single_heading
            ]);
    }
    public function editParent()
    {
        return view('admin.' . $this->module . '.edit_parent', ['route' => $this->route, 'module' => $this->module, 'single_heading' => $this->single_heading]);
    }
    public function addParent()
    {
        return view('admin.' . $this->module . '.add_parent', ['route' => $this->route, 'module' => $this->module, 'single_heading' => $this->single_heading]);
    }
    public function singleSigndetail()
    {
        return view('admin.' . $this->module . '.single_sign', ['route' => $this->route, 'module' => $this->module, 'single_heading' => $this->single_heading]);
    }




    public function import_file(Request $request) {
        $request->validate([
            //'category_file' => 'required|mimes:xlx,xlsx,csv|max:2048',
        ]);

        if ($file = $request->file('file')) {

            $extension = $file->getClientOriginalExtension();
            $fileName = 'category_'.time().'.'.$extension; 
            $inputFileName = public_path().'/upload/imports/'.$fileName;

            $request->file->move(public_path().'/upload/imports/', $fileName);

            if('csv' == $extension) {
                $reader = new \PhpOffice\PhpSpreadsheet\Reader\Csv();
            } elseif('xls' == $extension) {
                $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xls();
            } else {
                $reader = new \PhpOffice\PhpSpreadsheet\Reader\Xlsx();
            }

            $spreadsheet = $reader->load($inputFileName);

            $sheetData = $spreadsheet->getActiveSheet()->toArray();
            //echo '<pre>';print_r($sheetData);die;

            if (!empty($sheetData)) {
                for ($i=1; $i<count($sheetData); $i++) { //skipping first row
                    $id = $sheetData[$i];
                    $application_id = $sheetData[$i][1];
                    $admission_number = $sheetData[$i][2];
                    $student_id = $sheetData[$i][3];
                    $student_name = $sheetData[$i][4];
                    $first_name = $sheetData[$i][5];
                    $middle_name = $sheetData[$i][6];
                    $surname = $sheetData[$i][7];
                    $short_name = $sheetData[$i][8];
                    $class_category = $sheetData[$i][9];
                    $program = $sheetData[$i][10];
                    $intake = $sheetData[$i][11];
                    $period = $sheetData[$i][12];
                    $class_code = $sheetData[$i][13];
                    $intake_year = $sheetData[$i][14];
                    $email_address = $sheetData[$i][15];
                    $alternate_email_address = $sheetData[$i][16];
                    $mobile_country_code = $sheetData[$i][17];
                    $mobile_no = $sheetData[$i][18];
                    $religion = $sheetData[$i][19];
                    $ethnicity = $sheetData[$i][20];
                    $campus_id = $sheetData[$i][21];
                    $brand = $sheetData[$i][22];
                    $campus = $sheetData[$i][23];
                    $boarding_required = $sheetData[$i][24];
                    $admission_status = ucfirst(strtolower($sheetData[$i][25]));
                    $date_of_admission = $sheetData[$i][26];
                    $intake_start_date = $sheetData[$i][27];
                    $status = ucfirst(strtolower($sheetData[$i][28]));
                    $intake_till_date = $sheetData[$i][29];
                    $date_of_birth = $sheetData[$i][30];
                    $gender = ucfirst(strtolower($sheetData[$i][31]));
                    $examination_board_number = $sheetData[$i][32];
                    $parent_guardian_1_full_name = $sheetData[$i][33];
                    $parent_guardian_1_first_name = $sheetData[$i][34];
                    $parent_guardian_1_middle_name = $sheetData[$i][35];
                    $parent_guardian_1_last_name = $sheetData[$i][36];
                    $parent_guardian_1_email_id = $sheetData[$i][37];
                    $parent_guardian_1_mobile_no = $sheetData[$i][38];
                    $parent_guardian_1_mobile_country_code = $sheetData[$i][39];
                    $parent_guardian_2_full_name = $sheetData[$i][40];
                    $parent_guardian_2_first_name = $sheetData[$i][41];
                    $parent_guardian_2_middle_name = $sheetData[$i][42];
                    $parent_guardian_2_last_name = $sheetData[$i][43];
                    $parent_guardian_2_email_id = $sheetData[$i][44];
                    $parent_guardian_2_mobile_no = $sheetData[$i][45];
                    $parent_guardian_2_mobile_country_code = $sheetData[$i][46];
                    $guardian_full_name = $sheetData[$i][47];
                    $guardian_first_name = $sheetData[$i][48];
                    $guardian_middle_name = $sheetData[$i][49];
                    $guardian_last_name = $sheetData[$i][50];
                    $guardian_email_id = $sheetData[$i][51];
                    $guardian_mobile_no = $sheetData[$i][52];
                    $guardian_mobile_country_code = $sheetData[$i][53];
                    $address = $sheetData[$i][54];
                    $city_name = ucfirst(strtolower($sheetData[$i][55]));
                    $address_country_new = ucfirst(strtolower($sheetData[$i][56]));
                    $citizenship = ucfirst(strtolower($sheetData[$i][57]));
                    $language_preference = $sheetData[$i][58];
                    $seat_type = ucfirst(strtolower($sheetData[$i][59]));
                    $age = $sheetData[$i][60];
                    $national_id = $sheetData[$i][61];
                    $advisor_name = $sheetData[$i][62];
                    $application_source = $sheetData[$i][63];
                    $parent_guardian1_salutation = $sheetData[$i][64];
                    $parent_guardian2_salutaion = $sheetData[$i][65];
                    $guardian_salutaion = $sheetData[$i][66];
                    $student_status = $sheetData[$i][67];
                    $home_country = ucfirst(strtolower($sheetData[$i][68]));
                    
                    if($gender == 'Male'){
                      $gender_val = 1;           
                    }else if($gender == 'Female'){
                        $gender_val = 2;           
                      }else if($gender == 'Other'){
                        $gender_val = 3;           
                      }else{
                        $gender_val = 0;           
                      }
                      
                      if($status == 'Active'){
                      $status_val = 1;           
                    }else{
                        $status_val = 0;           
                      }

                      $nationality_data = DB::table('nationality')->where('name', $citizenship)->first();
                      if($nationality_data != ''){
                        $nationality_id = $nationality_data->id;
                      }
                      else{
                        $cityzen_data = array(
                            'name' => $citizenship,
                            'created_at' => time(),
                            'updated_at' => time(),
                        );
                        DB::table('nationality')->insert($cityzen_data);
                        $nationality_data = DB::table('nationality')->where('name', $citizenship)->first();
                        $nationality_id = $nationality_data->id;
                      }

                      $country_data = DB::table('countries')->where('name', $home_country)->first();
                    //   echo '<pre>';print_r($country_data);die;
                      if($country_data != ''){
                        $country_id = $country_data->id;
                      }
                      else{
                        $countries_data = array(
                            'name' => $home_country,
                        );
                        DB::table('countries')->insert($countries_data);
                        $country_data = DB::table('countries')->where('name', $home_country)->first();
                        $country_id = $country_data->id;
                      }

                      $student_id_data = DB::table('students')->where('student_id', $student_id)->first();
                      $student_application_data = DB::table('students')->where('application_id', $application_id)->first();

                      $cls_cat_arr = array(
                        'title' => $class_category,
                        'updated_at' => time(),
                      );
                      $cls_cat_id = ClassCategory::updateOrCreate(['title' => $class_category],$cls_cat_arr);

                      $pgrm_arr = array(
                        'title' => $program,
                        'updated_at' => time(),
                      );
                      $pgrm_id = Program::updateOrCreate(['title' => $program],$pgrm_arr);

                      $cls_code_arr = array(
                        'title' => $class_code,
                        'updated_at' => time(),
                      );
                      $cls_code_id = ClassCode::updateOrCreate(['title' => $class_code],$cls_code_arr);

                      $period_arr = array(
                        'title' => $period,
                        'updated_at' => time(),
                      );
                      $period_id = Periods::updateOrCreate(['title' => $period],$period_arr);

                      $campus_arr = array(
                        'title' => $campus,
                        'updated_at' => time(),
                      );
                      $cmps_id = Campus::updateOrCreate(['title' => $campus],$campus_arr);

                    if($student_application_data == '' || $student_id_data == ''){
                        $obj = $this->modal::firstOrNew(['id' => $id]);
                        $obj->first_name = $first_name;
                        $obj->last_name = $surname;
                        $obj->student_id = $student_id;
                        $obj->number = $mobile_no;
                        $obj->email = $email_address;
                        $obj->admission_number = $admission_number;
                        $obj->program = $pgrm_id->id;
                        $obj->intake = $intake;
                        $obj->class_code = $cls_code_id->id;
                        $obj->admission_date = $date_of_admission;
                        $obj->student_status = $student_status;
                        $obj->status = $status_val;
                        $obj->application_id = $application_id;
                        $obj->class_category = $cls_cat_id->id;
                        $obj->class_period = $period_id->id;
                        $obj->intake_year = $intake_year;
                        $obj->religion = $religion;
                        $obj->ethnicity = $ethnicity;
                        $obj->student_campus_id = $campus_id;
                        $obj->school_brand = $brand;
                        $obj->campus_place = $cmps_id->id;
                        $obj->boarding_required = $boarding_required;
                        $obj->admission_status = $admission_status;
                        $obj->intake_start_date = $intake_start_date;
                        $obj->intake_till_date = $intake_till_date;
                        $obj->examination_board_number = $examination_board_number;
                        $obj->seat_type = $seat_type;
                        $obj->application_source = $application_source;
                        $obj->created_at = time();
                        $obj->updated_at = time();
                        // echo '<pre>obj - '; print_r($obj->toArray());
                        $obj->save();
                        // --------------------------------------------------------------------- //
                        $obj_1 = StudentInfo::firstOrNew(['student_id' => $id]);
                        $obj_1->student_id = $student_id;
                        $obj_1->birth_date = $date_of_birth;
                        $obj_1->address = $address;
                        $obj_1->print_name = $student_name;
                        $obj_1->short_name = $short_name;
                        $obj_1->middle_name = $middle_name;
                        $obj_1->alternate_email = $alternate_email_address;
                        $obj_1->alternate_number = $alternate_email_address;
                        $obj_1->phone_code = $mobile_country_code;
                        $obj_1->advisor_name = $advisor_name;
                        $obj_1->national_id = $national_id;
                        $obj_1->nationality = $nationality_id;
                        $obj_1->country = $country_id;
                        $obj_1->gender = $gender_val;
                        $obj_1->address_country_new = $address_country_new;
                        $obj_1->language_preference = $language_preference;
                        $obj_1->student_age = $age;
                        $obj_1->student_name = $student_name;
                        $obj_1->city = $city_name;
                        $obj_1->created_at = time();
                        $obj_1->updated_at = time();
                        // echo '<pre>obj_1 - '; print_r($obj_1->toArray());
                        $obj_1->save();
                        // --------------------------------------------------------------------- //
                        $obj_2 = StudentParent::firstOrNew(['student_id' => $id]);
                        $obj_2->student_id = $student_id;
                        $obj_2->nationality = $nationality_id;
                        $obj_2->parent_guardian_1_full_name = $parent_guardian_1_full_name;
                        $obj_2->parent_guardian_1_first_name = $parent_guardian_1_first_name;
                        $obj_2->parent_guardian_1_middle_name = $parent_guardian_1_middle_name;
                        $obj_2->parent_guardian_1_last_name = $parent_guardian_1_last_name;
                        $obj_2->parent_guardian_1_email_id = $parent_guardian_1_email_id;
                        $obj_2->parent_guardian_1_mobile_no = $parent_guardian_1_mobile_no;
                        $obj_2->parent_guardian_1_mobile_country_code = $parent_guardian_1_mobile_country_code;
                        $obj_2->parent_guardian_2_full_name = $parent_guardian_2_full_name;
                        $obj_2->parent_guardian_2_first_name = $parent_guardian_2_first_name;
                        $obj_2->parent_guardian_2_middle_name = $parent_guardian_2_middle_name;
                        $obj_2->parent_guardian_2_last_name = $parent_guardian_2_last_name;
                        $obj_2->parent_guardian_2_email_id = $parent_guardian_2_email_id;
                        $obj_2->parent_guardian_2_mobile_no = $parent_guardian_2_mobile_no;
                        $obj_2->parent_guardian_2_mobile_country_code = $parent_guardian_2_mobile_country_code;
                        $obj_2->guardian_full_name = $guardian_full_name;
                        $obj_2->guardian_first_name = $guardian_first_name;
                        $obj_2->guardian_middle_name = $guardian_middle_name;
                        $obj_2->guardian_last_name = $guardian_last_name;
                        $obj_2->guardian_email_id = $guardian_email_id;
                        $obj_2->guardian_mobile_no = $guardian_mobile_no;
                        $obj_2->guardian_mobile_country_code = $guardian_mobile_country_code;
                        $obj_2->parent_guardian1_salutation = $parent_guardian1_salutation;
                        $obj_2->parent_guardian2_salutaion = $parent_guardian2_salutaion;
                        $obj_2->guardian_salutaion = $guardian_salutaion;
                        $obj_2->created_at = time();
                        $obj_2->updated_at = time();
                        // echo '<pre>obj_2 - '; print_r($obj_2->toArray()); //die;
                        $obj_2->save();
                    }
                }
            }

            return Response()->json([
                "success" => true,
                "msg" => 'File uploaded successfully',
            ]);
        }

        return Response()->json([
            "success" => false,
            "msg" => 'File uploading failed'
        ]);

    }



}

