@extends('admin.layouts.login')

@section('content')
<!--wrapper-->
    <div class="wrapper">
        <div class="section-authentication-signin d-flex align-items-center justify-content-center my-5 my-lg-0">
            <div class="container-fluid">
                <div class="row row-cols-1 row-cols-lg-2 row-cols-xl-3">
                    <div class="col mx-auto">
                        <div class="mb-4 text-center">
                            <img src="{{ asset('assets/images/logo-img.png') }}" width="180" alt="" />
                        </div>
                        <div class="card">
                            <div class="card-body">
                                <div class="border p-4 rounded">
                                    
                                    <div class="form-body">
                                        <form class="row g-3" method="POST" id="loginforms" onsubmit="loginSubmit(this);return false;" action="">
                                        @csrf
                                            <div class="col-12">
                                                <label for="inputEmailAddress" class="form-label">Email Address</label>
                                                <input type="email" class="form-control" name="email" id="inputEmailAddress" placeholder="Email Address" value="{{ old('email') }}"  autocomplete="email" autofocus>
                                            </div>
                                            <div class="col-12">
                                                <label for="inputChoosePassword" class="form-label">Enter Password</label>
                                                <div class="input-group" id="show_hide_password">
                                                    <input type="password" class="form-control border-end-0" placeholder="Password" id="inputChoosePassword" name="password"  autocomplete="password"> <a href="javascript:;" class="input-group-text bg-transparent"><i class='bx bx-hide'></i></a>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-check form-switch">
                                                    <input class="form-check-input" type="checkbox" id="remember" {{ old('remember') ? 'checked' : '' }}>
                                                    <label class="form-check-label" for="remember">Remember Me</label>
                                                </div>
                                            </div>
                                            <div class="col-md-6 text-end">	<a href="#!">Forgot Password ?</a>
                                            </div>
                                            <div class="col-12">
                                                <div class="d-grid">
                                                    <button type="submit" class="btn btn-primary"><i class="bx bxs-lock-open"></i>Sign in <i class="st_loader fa-btn-loader bx bx-refresh bx-spin bx-1x " style="display:none;" ></i></button>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end row-->
            </div>
        </div>
    </div>
	<!--end wrapper-->
@endsection
@section('page-js-script')
<script>

    function loginSubmit(e){

        $(e).find('button').attr('disabled',true);
        $(e).find('.st_loader').show();
        $.ajax({  
          url :"{{ route('admin.login') }}",  
          method:"POST",  
          dataType:"json", 
          data:$(e).serialize(),
          success: function(res){ 
            $(e).find('.st_loader').hide();
            $(e).find('button').attr('disabled',false);
            
            if(res.status == 0){
                var err = JSON.parse(res.msg);
                var er = '';
                $.each(err, function(k, v) { 
                    er += v+'<br>'; 
                }); 
                toastr.error(er,'Error');
                $('#loginforms .st_loader').hide();
            } else if(res.status == 1) {
                $(e)[0].reset();
                toastr.success('Login Success','Success');
                var surl = "{{ url('admin') }}";
                window.setTimeout(function() { window.location = surl; }, 500);
            }
          },
          error: function(data){ 
            if(typeof data.responseJSON.status !== 'undefined'){
              toastr.error(data.responseJSON.error,'Error');
            }else{
              $.each(data.responseJSON.errors, function( key, value ) {
                  toastr.error(value,'Error');
              });
            }
            $(e).find('.st_loader').hide();
            $(e).find('button').attr('disabled',false);
          } 
           
        }); 
    }
</script>
@endsection
