@extends("admin.layouts.app")
@section("style")
<link href="{{ asset('assets/plugins/datatable/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" />
@endsection
@section("wrapper")
<!--start page wrapper -->
<div class="page-wrapper">
   <div class="page-content">
      <!--breadcrumb-->
      <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
         <div class="breadcrumb-title pe-3">Fees Raise</div>
      </div>
      <div class="card">
         <div class="card-body">
            <div class="tab-content py-3">
               <div class="tab-pane fade show active" id="manage_search" role="tabpanel">
                  <div class="m-3">
                     <form>
                        <div class="row">
                           <div class="col-md-12">
                              <div class="form-group mt-3">
                                 <label class="form-label">Select Program<sup class="text-danger">*</sup></label>
                                 <select class="single-select form-select" name="program" id="program"  data-placeholder="Select Program" disabled>
                                       <option value="">--Select Program--</option>
                                       @foreach($programs as $program)
                                          <option value="{{$program->id}}" @if($fee_data->program_id == $program->id){{ 'selected' }}@endif>{{$program->title}}</option>
                                       @endforeach
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-12">
                              <div class="form-group mt-3">
                                 <label class="form-label">Select Semester<sup class="text-danger">*</sup></label>
                                 <select class="single-select form-select" name="semester" id="semester"  data-placeholder="Select Semester" disabled>
                                       <option value="">--Select Semester--</option>
                                       @foreach($semesters as $semester)
                                          <option value="{{$semester->id}}" @if($fee_data->semester == $semester->id){{ 'selected' }}@endif>{{$semester->title}}</option>
                                       @endforeach
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-12">
                              <div class="form-group mt-3">
                                 <label class="form-label">Select Class Codes<sup class="text-danger">*</sup></label>
                                 <select class="single-select form-select" name="class_codes" id="class_codes" data-placeholder="Select Class Codes" disabled>
                                       <option value="">--Select Class Codes--</option>
                                       @foreach($classCodes as $classCode)
                                          <option value="{{$classCode->id}}" @if($fee_data->class_code_id == $classCode->id){{ 'selected' }}@endif>{{$classCode->title}}</option>
                                       @endforeach
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-12 classStudents">
                              <div class="form-group mt-3">
                                 <label class="form-label">Student Name</label>
                                 <div class="position-relative">
                                    <input type="text" class="form-control pr-5" placeholder="Student Name" value="{{$fee_data->first_name.' '.$fee_data->last_name}}" disabled>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-6">
                              <div class="form-group mt-3">
                                 <label class="form-label">Fees Amount</label>
                                 <div class="position-relative">
                                    <input type="number" class="form-control pr-5" placeholder="Fees Amount" value="{{$fee_data->fee_amount}}" disabled>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-6">
                              <div class="form-group mt-3">
                                 <label class="form-label">Last Date</label>
                                 <div class="position-relative">
                                    <input type="text" class="form-control pr-5" placeholder="Last date" value="{{$fee_data->last_date}}" disabled>
                                 </div>
                              </div>
                           </div>
                        </div>
                        <div class="mt-3">
                           <button class="btn btn-primary btn-sm py-1 submit_data">Submit</button>
                        </div>
                     </form>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!--end breadcrumb-->
   <hr/>
</div>
<!--end page wrapper -->
@endsection
@section("page-js-script")