@extends("admin.layouts.app")
@section("style")
<link href="{{ asset('assets/plugins/datatable/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" />
@endsection
@section("wrapper")
<!--start page wrapper -->
<div class="page-wrapper">
   <div class="page-content">
      <!--breadcrumb-->
      <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
         <div class="breadcrumb-title pe-3">Manage Account</div>
      </div>
      <div class="card">
         <div class="card-body">            
            <div class="tab-content py-3  border-top">
               <div class="tab-pane fade show active" id="manage_search" role="tabpanel">
                  <div class="search_result mt-4 border">
                     <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                        <div class="heading">
                           <h6 class="mb-0">Account Configuration</h6>
                        </div>
                     </div>
                     <div class="d-flex mb-4 border-bottom pb-4 px-3">
                        <div class="reset_password mx-1">
                           <button type="button" class="btn btn-secondary btn-sm py-1" onclick="reset_password()"><i class="fadeIn animated bx bx-copy"></i></button>
                        </div>
                        <div class="reset_password mx-1">
                           <button type="button" data-bs-toggle="tab" href="#announcements" role="tab" aria-selected="false" class="btn btn-secondary btn-sm py-1" onclick="send_message()"><i class="fadeIn animated bx bx-pencil"></i></button>
                        </div>
                        <div class="reset_password mx-1">
                           <button type="button" data-bs-toggle="tab" href="#announcements" role="tab" aria-selected="false" class="btn btn-secondary btn-sm py-1" onclick="send_message()"><i class="fadeIn animated bx bx-paste"></i></button>
                        </div>
                        <div class="reset_password mx-1">
                           <button type="button" data-bs-toggle="tab" href="#announcements" role="tab" aria-selected="false" class="btn btn-secondary btn-sm py-1" onclick="send_message()"><i class="lni lni-trash"></i></button>
                        </div>
                        
                     </div>
                     <div class="table-responsive">
                        <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                           <thead>
                              <tr>
                                 <th>Configuration Name</th>
                                 <th>Description</th>
                                 <th>Created By</th>
                                 <th>Created Date</th>
                                 <th>Last Modified Date</th>
                                 <th>Valid Till</th>
                              </tr>
                           </thead>
                           <tbody>
                              <tr>
                                 <td>OPJGU</td>
                                 <td>OPJGU</td>
                                 <td>System Administrator</td>
                                 <td>10/11/2021</td>
                                 <td>10/11/2021</td>
                                 <td>31/03/2030</td>
                              </tr>
                           </tbody>
                        </table>
                     </div>
                     <div class="attendance text-end mt-2 px-2">
                        <p><b>Total Attendance: 1</b></p>
                     </div>
                  </div>
               </div>
               
            </div>
         </div>
      </div>
   </div>
   <!--end breadcrumb-->
   <hr/>
</div>
<!--end page wrapper -->
@endsection
@section("page-js-script")
<script src="{{ asset('assets/plugins/datatable/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/js/dataTables.bootstrap5.min.js') }}"></script>
<script>
   $(document).ready(function(){
    $(".single-select").select2({
      theme: 'bootstrap4',
      width: $(this).data('width') ? $(this).data('width') : $(this).hasClass('w-100') ? '100%' : 'style',
      placeholder: $(this).data('placeholder'),
      allowClear: Boolean($(this).data('allow-clear')),
   });
   $('.datepicker').datepicker({ 
   autoclose: true,
        
    });
   });
   function get_columns(){
   $('#modal-default .modal-content').html('');
   $.ajax({ 
      'headers': {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }, 
     url :"{{ route('admin.student.get.columns') }}",  
     method:"post",  
     data:{},
     success:function(res){  
      $('#modal-sm .modal-content').html(res);
      $('#modal-sm').modal('show');
            
     }  
   });
   }

   function get_templete(id) {
			if(id == 'download_box'){
				$('#download_box').show();
				$('#upload_box').hide();
			}else{
				$('#download_box').hide();
				$('#upload_box').show();
			}
		}
   
</script>
@endsection