	@extends("admin.layouts.app")

	@section("style")
	<link href="{{ asset('assets/plugins/datatable/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" />
	@endsection

		@section("wrapper")
		<!--start page wrapper -->
		<div class="page-wrapper">
			<div class="page-content">
				<!--breadcrumb-->
				<div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
					<div class="breadcrumb-title pe-3">Free Projection {{ ucfirst($module) }}</div>
                </div>
                <div class="row">
                    <div class="col-3">
                        <div class="card border h-100">                            
                                <div class="select_heading p-3 bg-light border">
                                    <h6 class="mb-0">Select Reports</h6>
                                </div>
                                <div class="card-body">
                                    <ul class="nav nav-tabs nav-primary d-block border-0 sidetab" role="tablist">
                                        <li class="nav-item" role="presentation">
                                            <a class="nav-link py-2  px-0 border-0 active" data-bs-toggle="tab" href="#project_invoice" role="tab" aria-selected="false">
                                                <div class="d-flex align-items-center">
                                                    <div class="tab-title">Projected Invoice Report</div>
                                                </div>
                                            </a>
                                        </li>
                                        <li class="nav-item" role="presentation">
                                            <a class="nav-link py-2 px-0 border-0" data-bs-toggle="tab" href="#project_scholarship" role="tab" aria-selected="true">
                                                <div class="d-flex align-items-center" >
                                                    <div class="tab-title">Projected JGU Scholarship Report</div>
                                                </div>
                                            </a>
                                        </li>
                                        <li class="nav-item" role="presentation">
                                            <a class="nav-link py-2 px-0 border-0" data-bs-toggle="tab" href="#project_sponsor" role="tab" aria-selected="true">
                                                <div class="d-flex align-items-center" >
                                                    <div class="tab-title">Projected Sponsor Report</div>
                                                </div>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                        </div>
                    </div>
                
                
                
                
                
                    <div class="col-md-9">
                
                    <div class="tab-content">
                                        <div class="tab-pane fade show active" id="project_invoice" role="tabpanel">
                                            <div class="search_form pb-3">
                            <form>
                            <div class="card">
                    <div class="card-body">

                                <div class="row">
                                    <div class="col-9">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Brand Compus<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="brand_compus" id="brand_compus"  data-placeholder="Select Role">
                                                <option value="1">All</option>
                                                <option value="2">P&C Free</option>
                                                <option value="3">Schorlership</option>
                                                <option value="4">Service Provided</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                            <div class="form-group mt-3">
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="radio" name="student_type" id="student_type" value="1" checked>
                                            <label class="form-check-label" for="student_type">Student</label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <input class="form-check-input" type="radio" name="student_type" id="student_type" value="0">
                                            <label class="form-check-label" for="student_type">Program</label>
                                        </div>
                                    </div>
                                    </div>
                                    <div class="col-md-9">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Student ID/Name</label>
                                            <div class="position-relative">
                                            <input type="text" class="form-control pr-5" id="student_id" name="student_id" placeholder="Enter 3 Char to auto search" value="">
                                 <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                   
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Invoice From Date</label>
                                            <div class="position-relative">
                                            <input type="date" class="form-control" id="invoice_from_date" name="invoice_from_date" placeholder="" value="">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Invoice To Date<sup class="text-danger">*</sup></label>
                                            <input type="date" class="form-control" id="invoice_to_date" name="invoice_to_date" placeholder="" value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="mt-3">
                                    <button type="submit" class="btn btn-primary btn-sm py-1">
                                        Search
                                    </button>
                                    <button type="reset" class="btn btn-secondary btn-sm py-1">
                                    Reset
                                    </button>
                                </div>
                                </div>
                                </div>
                            </form>

                            <div class="card">
                    <div class="card-body">

                    <div class="search_result mt-3 border">
                    <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                        <div class="heading">
                           <h6 class="mb-0">Projected Invoicing</h6>
                        </div>
                        <div class="columns_part ms-auto">
                                 <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                              </div>
                              </div>
                                                                                               
						<div class="table-responsive">
							<table id="dataTable" class="table table-striped table-bordered " style="width:100%">
								<thead>
									<tr>
									<th>Student ID</th>
								    <th>Student Name</th>
								    <th>Program</th>
									<th>Intake</th>
									<th>Fee Plan</th>
									<th>Fee Payment Plan</th>
									<th>Fee Head</th>
									<th>Invoice Date</th>
									<th>Due Date</th>
									<th>Ammount</th>
								</tr>
								</thead>
								<tbody>
                                    <tr>
                                        <td colspan="10" class="text-center">No record to display</td>
                                    </tr>
								</tbody>
								
							</table>
						</div>
					</div>
				
                        </div>
                        </div>
                        </div>
                                        </div>
                                        <div class="tab-pane fade" id="project_scholarship" role="tabpanel">
                                        <div class="search_form pb-3">
                            <form>
                            <div class="card">
                    <div class="card-body">

                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Brand Compus<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="brand_compus" id="brand_compus"  data-placeholder="Select Role">
                                                <option value="1">All</option>
                                                <option value="2">P&C Free</option>
                                                <option value="3">Schorlership</option>
                                                <option value="4">Service Provided</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">School Phase<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="school_phase" id="school_phase"  data-placeholder="Select Role">
                                                <option value="1"></option>
                                                <option value="2">P&C Free</option>
                                                <option value="3">Schorlership</option>
                                                <option value="4">Service Provided</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="intake_year" id="intake_year"  data-placeholder="Select Role">
                                                <option value="1"></option>
                                                <option value="2">2020</option>
                                                <option value="3">2021</option>
                                                <option value="4">2022</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="program" id="program"  data-placeholder="Select Role">
                                                <option value="1">Enter 3 char to auto search</option>
                                                <option value="2">2020</option>
                                                <option value="3">2021</option>
                                                <option value="4">2022</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="intake" id="intake"  data-placeholder="Select Role">
                                                <option value="1"></option>
                                                <option value="2">2020</option>
                                                <option value="3">2021</option>
                                                <option value="4">2022</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-9">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Student ID/Name</label>
                                            <div class="position-relative">
                                            <input type="text" class="form-control pr-5" id="student_id" name="student_id" placeholder="Enter 3 Char to auto search" value="">
                                 <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                   
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Invoice From Date</label>
                                            <div class="position-relative">
                                            <input type="date" class="form-control" id="invoice_from_date" name="invoice_from_date" placeholder="" value="">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Invoice To Date<sup class="text-danger">*</sup></label>
                                            <input type="date" class="form-control" id="invoice_to_date" name="invoice_to_date" placeholder="" value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="mt-3">
                                    <button type="submit" class="btn btn-primary btn-sm py-1">
                                        Search
                                    </button>
                                    <button type="reset" class="btn btn-secondary btn-sm py-1">
                                    Reset
                                    </button>
                                </div>
                                </div>
                                </div>
                            </form>

                            <div class="card">
                    <div class="card-body">

                    <div class="search_result mt-3 border">
                    <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                        <div class="heading">
                           <h6 class="mb-0">Projected Invoicing</h6>
                        </div>
                        <div class="columns_part ms-auto">
                                 <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                              </div>
                              </div>
                                                                                               
						<div class="table-responsive">
							<table id="dataTable" class="table table-striped table-bordered " style="width:100%">
								<thead>
									<tr>
									<th>Student ID</th>
								    <th>Student Name</th>
								    <th>Program</th>
									<th>Intake</th>
									<th>Discount Fee Plan</th>
									<th>Invoice Date</th>
									<th>JGU Scholarshipt Ammount</th>
								</tr>
								</thead>
								<tbody>
                                    <tr>
                                        <td colspan="7" class="text-center">No record to display</td>
                                    </tr>
								</tbody>
								
							</table>
						</div>
					</div>
				
                        </div>
                        </div>
                        </div>
                                        </div>
                                        <div class="tab-pane fade" id="project_sponsor" role="tabpanel">
                                        <div class="search_form pb-3">
                            <form>
                            <div class="card">
                    <div class="card-body">

                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Brand Compus<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="brand_compus" id="brand_compus"  data-placeholder="Select Role">
                                                <option value="1">All</option>
                                                <option value="2">P&C Free</option>
                                                <option value="3">Schorlership</option>
                                                <option value="4">Service Provided</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">School Phase<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="school_phase" id="school_phase"  data-placeholder="Select Role">
                                                <option value="1"></option>
                                                <option value="2">P&C Free</option>
                                                <option value="3">Schorlership</option>
                                                <option value="4">Service Provided</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="intake_year" id="intake_year"  data-placeholder="Select Role">
                                                <option value="1"></option>
                                                <option value="2">2020</option>
                                                <option value="3">2021</option>
                                                <option value="4">2022</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="program" id="program"  data-placeholder="Select Role">
                                                <option value="1">Enter 3 char to auto search</option>
                                                <option value="2">2020</option>
                                                <option value="3">2021</option>
                                                <option value="4">2022</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                            <select class="single-select form-select" name="intake" id="intake"  data-placeholder="Select Role">
                                                <option value="1"></option>
                                                <option value="2">2020</option>
                                                <option value="3">2021</option>
                                                <option value="4">2022</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-9">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Student ID/Name</label>
                                            <div class="position-relative">
                                            <input type="text" class="form-control pr-5" id="student_id" name="student_id" placeholder="Enter 3 Char to auto search" value="">
                                 <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                            </div>
                                        </div>
                                    </div>
                                   
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Invoice From Date</label>
                                            <div class="position-relative">
                                            <input type="date" class="form-control" id="invoice_from_date" name="invoice_from_date" placeholder="" value="">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group mt-3">
                                            <label class="form-label">Invoice To Date<sup class="text-danger">*</sup></label>
                                            <input type="date" class="form-control" id="invoice_to_date" name="invoice_to_date" placeholder="" value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="mt-3">
                                    <button type="submit" class="btn btn-primary btn-sm py-1">
                                        Search
                                    </button>
                                    <button type="reset" class="btn btn-secondary btn-sm py-1">
                                    Reset
                                    </button>
                                </div>
                                </div>
                                </div>
                            </form>

                            <div class="card">
                    <div class="card-body">

                    <div class="search_result mt-3 border">
                    <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                        <div class="heading">
                           <h6 class="mb-0">Sponsorship Projected Bills</h6>
                        </div>
                      
                              </div>
                                                                                               
						<div class="table-responsive">
							<table id="dataTable" class="table table-striped table-bordered " style="width:100%">
								<thead>
									<tr>
									<th>Sponsor ID</th>
								    <th>Sponsor Name</th>
									<th>Invoice Date</th>
									<th>Bill Ammount</th>
								</tr>
								</thead>
								<tbody>
                                    <tr>
                                        <td colspan="4" class="text-center">No record to display</td>
                                    </tr>
								</tbody>
								
							</table>
						</div>
					</div>
				
                        </div>
                        </div>
                        </div>
                                        </div>
                                    </div>

                        
                     </div>
                </div>

				<!--end breadcrumb-->
				
				<hr/>
				
            
            </div>
		</div> 
		<!--end page wrapper -->
		@endsection
	
	@section("page-js-script")
	<script src="{{ asset('assets/plugins/datatable/js/jquery.dataTables.min.js') }}"></script>
	<script src="{{ asset('assets/plugins/datatable/js/dataTables.bootstrap5.min.js') }}"></script>
	
	<script>

	

   $(document).ready(function(){
    $(".single-select").select2({
      theme: 'bootstrap4',
      width: $(this).data('width') ? $(this).data('width') : $(this).hasClass('w-100') ? '100%' : 'style',
      placeholder: $(this).data('placeholder'),
      allowClear: Boolean($(this).data('allow-clear')),
   });
   });
   function get_columns(){
  $('#modal-default .modal-content').html('');
   $.ajax({ 
      'headers': {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }, 
     url :"{{ route('admin.student.get.columns') }}",  
     method:"post",  
     data:{},
     success:function(res){  
      $('#modal-sm .modal-content').html(res);
      $('#modal-sm').modal('show');
            
     }  
   });
   }
  
</script>
	@endsection