@extends("admin.layouts.app")
@section("style")
<link href="{{ asset('assets/plugins/datatable/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" />
@endsection
@section("wrapper")
<!--start page wrapper -->
<div class="page-wrapper">
   <div class="page-content">
      <!--breadcrumb-->
      <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
         <div class="breadcrumb-title pe-3">Free Projection {{ ucfirst($module) }}</div>
      </div>
      <div class="row">
         <div class="col-12">
            <div class="card">
               <div class="card-body">
                  <form class="" id="">
                        <div class="form-group mt-3">
                           <label class="form-label">Brand Campus <sup class="text-danger">*</sup></label>
                           <div class="position-relative">
                              <select class="single-select form-select" name="brand_compus" id="brand_compus"  data-placeholder="Select Role">
                                          <option value="1">Jindal Global 1</option>
                                          <option value="2">Jindal School 1</option>
                                          <option value="3">Jindal Global 2</option>
                                          <option value="4">Jindal School 2</option>
                               </select>
                           </div>
                     </div>
                     <div class="brand_reset mt-3">
                        <button class="btn btn-secondary btn-sm py-1">Reset</button>
                     </div>
                  </form>
               </div>
            </div>
         </div>
         <div class="col-3">
            <div class="card border h-100">
               <div class="select_heading p-3 bg-light border">
                  <h6 class="mb-0">Select Reports</h6>
               </div>
               <div class="accordion" id="accordionExample">
                  <div class="accordion-item">
                     <h2 class="accordion-header" id="headingOne">
                        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#student_freereport" aria-expanded="true" aria-controls="student_freereport">
                        Student Free Report
                        </button>
                     </h2>
                     <div id="student_freereport" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                           <ul class="nav nav-tabs nav-primary d-block border-0 sidetab" role="tablist">
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0 active" data-bs-toggle="tab" href="#consolidated" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">Consolidated</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2 px-0 border-0" data-bs-toggle="tab" href="#collection" role="tab" aria-selected="true">
                                    <div class="d-flex align-items-center" >
                                       <div class="tab-title">Collection</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2 px-0 border-0" data-bs-toggle="tab" href="#out_standing" role="tab" aria-selected="true">
                                    <div class="d-flex align-items-center" >
                                       <div class="tab-title">Outstanding</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2 px-0 border-0" data-bs-toggle="tab" href="#jgu_scholarship" role="tab" aria-selected="true">
                                    <div class="d-flex align-items-center" >
                                       <div class="tab-title">JGU Scholarship</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2 px-0 border-0" data-bs-toggle="tab" href="#free_headwise" role="tab" aria-selected="true">
                                    <div class="d-flex align-items-center" >
                                       <div class="tab-title">Free Head Wise</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2 px-0 border-0" data-bs-toggle="tab" href="#free_ruleassociation" role="tab" aria-selected="true">
                                    <div class="d-flex align-items-center" >
                                       <div class="tab-title">Free Rule Association</div>
                                    </div>
                                 </a>
                              </li>
                           </ul>
                        </div>
                     </div>
                  </div>
                  <div class="accordion-item">
                     <h2 class="accordion-header" id="headingTwo">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#program_freereport" aria-expanded="false" aria-controls="program_freereport">
                        Program Free Report
                        </button>
                     </h2>
                     <div id="program_freereport" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                           <ul class="nav nav-tabs nav-primary d-block border-0 sidetab" role="tablist">
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0" data-bs-toggle="tab" href="#program_report" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">Program Free Report</div>
                                    </div>
                                 </a>
                              </li>
                           </ul>
                        </div>
                     </div>
                  </div>
                  <div class="accordion-item">
                     <h2 class="accordion-header" id="headingThree">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#other_freereport" aria-expanded="false" aria-controls="other_freereport">
                        Other Free Report
                        </button>
                     </h2>
                     <div id="other_freereport" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                           <ul class="nav nav-tabs nav-primary d-block border-0 sidetab" role="tablist">
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0" data-bs-toggle="tab" href="#user_wisecollection" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">User Wise Collection</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0 " data-bs-toggle="tab" href="#receipt_headdetail" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">Receipt With Head Detail</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0 " data-bs-toggle="tab" href="#payment_details" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">Payment Details Report</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0 " data-bs-toggle="tab" href="#dependent_collection" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">Dependent Fee Collection</div>
                                    </div>
                                 </a>
                              </li>
                           </ul>
                        </div>
                     </div>
                  </div>
                  <div class="accordion-item">
                     <h2 class="accordion-header" id="headingThree">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#applicent_feereport" aria-expanded="false" aria-controls="applicent_feereport">
                        Applicent Fee  Report
                        </button>
                     </h2>
                     <div id="applicent_feereport" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
                        <div class="accordion-body">
                           <ul class="nav nav-tabs nav-primary d-block border-0 sidetab" role="tablist">
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0 " data-bs-toggle="tab" href="#applicent_consolidated" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">Applicent Consolidated</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0 " data-bs-toggle="tab" href="#applicent_collection" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">Applicent Collection</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0 " data-bs-toggle="tab" href="#applicent_outstanding" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">Applicent Outstanding</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0 " data-bs-toggle="tab" href="#applicent_scholarship" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">Applicent JGU Scholarship</div>
                                    </div>
                                 </a>
                              </li>
                              <li class="nav-item" role="presentation">
                                 <a class="nav-link py-2  px-0 border-0 " data-bs-toggle="tab" href="#applicent_headwise" role="tab" aria-selected="false">
                                    <div class="d-flex align-items-center">
                                       <div class="tab-title">Applicent Fee Head Wise</div>
                                    </div>
                                 </a>
                              </li>
                           </ul>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="card-body">
               </div>
            </div>
         </div>
         <div class="col-md-9">
            <div class="tab-content">
               <div class="tab-pane fade" id="collection" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Collection</h6>
                              <div class="row">
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year" id="intake_year_collection"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_plan" id="fee_plan_collection"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Student ID/Name</label>
                                       <div class="position-relative">
                                          <input type="text" class="form-control pr-5" id="student_id_collection" name="student_id" placeholder="Enter 3 Char to auto search" value="">
                                          <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Status<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="status" id="status"  data-placeholder="Select Status">
                                          <option value="1">Active</option>
                                          <option value="0">InActive</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_consolidated_1">
                                    <div class="accordion-item">
                                       <h2 class="accordion-header" id="headingOne">
                                          <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_consolidated_1" aria-expanded="true" aria-controls="morefilter_consolidated_1">
                                          More Filters
                                          </button>
                                       </h2>
                                       <div id="morefilter_consolidated_1" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_consolidated_1">
                                          <div class="accordion-body p-0">
                                             <div class="row">
                                                <div class="col-md-8">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">School Phase<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="school_phase" id="school_phase"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="4">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Class Category<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="class_category" id="class_category"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="program" id="program"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="intake" id="intake"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">2020</option>
                                                         <option value="3">2021</option>
                                                         <option value="4">2022</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Class<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="class" id="class"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">BSC</option>
                                                         <option value="3">12th</option>
                                                         <option value="4">10th</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="seat_type" id="seat_type"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">BSC</option>
                                                         <option value="3">12th</option>
                                                         <option value="4">10th</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Fee Plan Name<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="fee_plan_name" id="fee_plan_name"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="4">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="row">
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Payment Mode<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="payment_mode" id="payment_mode"  data-placeholder="Select Role">
                                                         <option value="1">Paytm</option>
                                                         <option value="2">Phonepay</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-5">
                                                   <div class="form-check mt-5 pt-1">
                                                      <input class="form-check-input" type="checkbox" value="" id="only_student" name="only_student">
                                                      <label class="form-check-label" for="is_agency">Only Student Record</label>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">From Date<sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="from_date" name="from_date" placeholder="" value="">
                                                         <label for="from_date" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Till Date<sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="till_date" name="till_date" placeholder="" value="">
                                                         <label for="till_date" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-12">
                                                   <div class="mt-3">
                                                      <button type="submit" class="btn btn-primary btn-sm py-1">
                                                      Search
                                                      </button>
                                                      <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                      Reset
                                                      </button>
                                                   </div>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </form>
                     <div class="card">
                        <div class="card-body">
                           <div class="search_result mt-3 border">
                              <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                                 <div class="heading">
                                    <h6 class="mb-0">Studdent Fee Report</h6>
                                 </div>
                                 <div class="columns_part ms-auto">
                                    <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                                 </div>
                              </div>
                              <div class="table-responsive">
                                 <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                    <thead>
                                       <tr>
                                          <th>Receipt No</th>
                                          <th>Receipt Date</th>
                                          <th>Receipt Ammount</th>
                                          <th>Settled Ammount</th>
                                          <th>Student ID</th>
                                          <th>Student Name</th>
                                          <th>Father Name</th>
                                          <th>Program</th>
                                          <th>Intake</th>
                                          <th>Seat Type</th>
                                          <th>Voucher Mode</th>
                                          <th>Receipt Status</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                       <tr>
                                          <td colspan="14" class="text-center">No record to display</td>
                                       </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="tab-pane fade show active" id="consolidated" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Consolidated</h6>
                              <div class="row">
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year" id="intake_year_consolidated"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_plan_consolidated" id="fee_plan_consolidated"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Student ID/Name</label>
                                       <div class="position-relative">
                                          <input type="text" class="form-control pr-5" id="student_id_consolidated" name="student_id_consolidated" placeholder="Enter 3 Char to auto search" value="">
                                          <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Status<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="status_consolidated" id="status_consolidated"  data-placeholder="Select Status">
                                          <option value="1">Active</option>
                                          <option value="0">InActive</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_consolidated_2">
                                    <div class="accordion-item">
                                       <h2 class="accordion-header" id="headingOne">
                                          <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_consolidated_2" aria-expanded="true" aria-controls="morefilter_consolidated_2">
                                          More Filters
                                          </button>
                                       </h2>
                                       <div id="morefilter_consolidated_2" class="accordion-collapse collapse show border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_consolidated_2">
                                          <div class="accordion-body p-0">
                                             <div class="row">
                                                <div class="col-md-8">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">School Phase<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="school_phase_consolidated" id="school_phase_consolidated"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="4">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Class Category<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="class_category_consolidated" id="class_category_consolidated"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="program__consolidated" id="program_consolidated"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="intake_consolidated" id="intake__consolidated"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">2020</option>
                                                         <option value="3">2021</option>
                                                         <option value="4">2022</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Class<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="class_consolidated" id="class_consolidated"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">BSC</option>
                                                         <option value="3">12th</option>
                                                         <option value="4">10th</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="seat_type_consolidated" id="seat_type_consolidated"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">BSC</option>
                                                         <option value="3">12th</option>
                                                         <option value="4">10th</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Fee Plan Name<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="fee_plan_name_consolidated" id="fee_plan_name_consolidated"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="4">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="row">
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Payment Mode<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="payment_mode_consolidated" id="payment_mode_consolidated"  data-placeholder="Select Role">
                                                         <option value="1">Paytm</option>
                                                         <option value="2">Phonepay</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Receipt Currency<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="receipt_currency_consolidated" id="receipt_currency_consolidated"  data-placeholder="Select Role">
                                                         <option value="1">INR</option>
                                                         <option value="2">USD</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-4">
                                                   <div class="form-check mt-5 pt-1">
                                                      <input class="form-check-input" type="checkbox" value="" id="only_student_consolidated" name="only_student_consolidated">
                                                      <label class="form-check-label" for="only_student_consolidated">Only Student Record</label>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">From Date<sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="from_date_consolidated" name="from_date_consolidated" placeholder="" value="">
                                                         <label for="from_date_consolidated" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Till Date<sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="till_date_consolidated" name="till_date_consolidated" placeholder="" value="">
                                                         <label for="till_date_consolidated" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-12">
                                                   <div class="mt-3">
                                                      <button type="submit" class="btn btn-primary btn-sm py-1">
                                                      Search
                                                      </button>
                                                      <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                      Reset
                                                      </button>
                                                   </div>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </form>
                     <div class="card">
                        <div class="card-body">
                           <div class="search_result mt-3 border">
                              <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                                 <div class="heading">
                                    <h6 class="mb-0">Studdent Fee Report</h6>
                                 </div>
                                 <div class="columns_part ms-auto">
                                    <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                                 </div>
                              </div>
                              <div class="table-responsive">
                                 <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                    <thead>
                                       <tr>
                                          <th>Student ID</th>
                                          <th>Student Name</th>
                                          <th>Father Name</th>
                                          <th>Program</th>
                                          <th>Intake</th>
                                          <th>Period</th>
                                          <th>Seat Type</th>
                                          <th>Total Bill</th>
                                          <th>Total Receipt Amount</th>
                                          <th>Total Outstanding</th>
                                          <th>Total Payment</th>
                                          <th>Opening Credit</th>
                                          <th>Opening Debit</th>
                                          <th>Net Outstanding Ammount</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                       <tr>
                                          <td colspan="14" class="text-center">No record to display</td>
                                       </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="tab-pane fade" id="out_standing" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Outstanding</h6>
                              <div class="row">
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year" id="intake_year_out_standing"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_plan_out_standing" id="fee_plan_out_standing"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Student ID/Name</label>
                                       <div class="position-relative">
                                          <input type="text" class="form-control pr-5" id="student_id_out_standing" name="student_id_out_standing" placeholder="Enter 3 Char to auto search" value="">
                                          <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Status<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="status_out_standing" id="status_out_standing"  data-placeholder="Select Status">
                                          <option value="1">Active</option>
                                          <option value="0">InActive</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_out_standing">
                                    <div class="accordion-item">
                                       <h2 class="accordion-header" id="headingOne">
                                          <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_out_standing" aria-expanded="true" aria-controls="morefilter_out_standing">
                                          More Filters
                                          </button>
                                       </h2>
                                       <div id="morefilter_out_standing" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_out_standing">
                                          <div class="accordion-body p-0">
                                             <div class="row">
                                                <div class="col-md-8">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">School Phase<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="school_phase_out_standing" id="school_phase_out_standing"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="4">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Class Category<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="class_category_out_standing" id="class_category_out_standing"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="program_out_standing" id="program_out_standing"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="intake_out_standing" id="intake_out_standing"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">2020</option>
                                                         <option value="3">2021</option>
                                                         <option value="4">2022</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Class<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="class_out_standing" id="class_out_standing"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">BSC</option>
                                                         <option value="3">12th</option>
                                                         <option value="4">10th</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="seat_type_out_standing" id="seat_type_out_standing"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">BSC</option>
                                                         <option value="3">12th</option>
                                                         <option value="4">10th</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Fee Plan Name<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="fee_plan_name_out_standing" id="fee_plan_name_out_standing"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="4">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="row">
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Payment Mode<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="payment_mode_out_standing" id="payment_mode_out_standing"  data-placeholder="Select Role">
                                                         <option value="1">Paytm</option>
                                                         <option value="2">Phonepay</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Invoice Status<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="receipt_currency_out_standing" id="receipt_currency_out_standing"  data-placeholder="Select Role">
                                                         <option value="1">Yes</option>
                                                         <option value="2">No</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-4">
                                                   <div class="form-check mt-5 pt-1">
                                                      <input class="form-check-input" type="checkbox" value="" id="only_student_out_standing" name="only_student_out_standing">
                                                      <label class="form-check-label" for="only_student_consolidated">Only Student Record</label>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Invoice  Date From <sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="from_date_out_standing" name="from_date_out_standing" placeholder="" value="">
                                                         <label for="from_date_out_standing" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Bil Till Date<sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="till_date_out_standing" name="till_date_out_standing" placeholder="" value="">
                                                         <label for="till_date_out_standing" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Invoice Due Date From <sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="from_date_due" name="from_date_due" placeholder="" value="">
                                                         <label for="from_date_due" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Invoice Due Date Till <sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="till_date_due" name="till_date_due" placeholder="" value="">
                                                         <label for="till_date_due" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-12">
                                                   <div class="mt-3">
                                                      <button type="submit" class="btn btn-primary btn-sm py-1">
                                                      Search
                                                      </button>
                                                      <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                      Reset
                                                      </button>
                                                   </div>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </form>
                     <div class="card">
                        <div class="card-body">
                           <div class="search_result mt-3 border">
                              <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                                 <div class="heading">
                                    <h6 class="mb-0">Studdent Outstanding Report</h6>
                                 </div>
                              </div>
                              <div class="table-responsive">
                                 <div class="d-flex mb-4 border-bottom pb-4 px-3">
                                    <div class="reset_password">
                                       <button type="button" class="btn btn-secondary btn-sm py-1" onclick="reset_password()">Reset Password</button>
                                    </div>
                                    <div class="reset_password mx-3">
                                       <button type="button" data-bs-toggle="tab" href="#announcements" role="tab" aria-selected="false" class="btn btn-secondary btn-sm py-1" onclick="send_message()">Send Message</button>
                                    </div>
                                    <div class="dropdown">
                                       <button type="button" class="btn btn-secondary btn-sm py-1 dropdown-toggle" data-bs-toggle="dropdown">
                                       Print Certificate
                                       </button>
                                       <ul class="dropdown-menu mt-2">
                                          <li><a class="dropdown-item" href="#">Print Id Card</a></li>
                                          <li><a class="dropdown-item" href="#">Print Tax Certificate</a></li>
                                       </ul>
                                    </div>
                                    <div class="columns_part ms-auto">
                                       <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                                    </div>
                                 </div>
                                 <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                    <thead>
                                       <tr>
                                          <th>Invoice No.</th>
                                          <th>Invoice Date</th>
                                          <th>Due Date</th>
                                          <th>Bill Ammount</th>
                                          <th>Outstanding Ammount</th>
                                          <th>Student ID</th>
                                          <th>Student Name</th>
                                          <th>Father Name</th>
                                          <th>Program</th>
                                          <th>Intake</th>
                                          <th>Seat Type</th>
                                          <th>Invoice Status</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                       <tr>
                                          <td colspan="14" class="text-center">No record to display</td>
                                       </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="tab-pane fade" id="jgu_scholarship" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">JGU Scholarship</h6>
                              <div class="row">
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_jgu_scholarship" id="intake_year_jgu_scholarship"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_plan_jgu_scholarship" id="fee_plan_jgu_scholarship"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Heads<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_plan_jgu_scholarship" id="fee_plan_jgu_scholarship"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Student ID/Name</label>
                                       <div class="position-relative">
                                          <input type="text" class="form-control pr-5" id="student_id_jgu_scholarship" name="student_id_jgu_scholarship" placeholder="Enter 3 Char to auto search" value="">
                                          <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Status<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="status_jgu_scholarship" id="status_jgu_scholarship"  data-placeholder="Select Status">
                                          <option value="1">Active</option>
                                          <option value="0">InActive</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">JGU Scholarship Code<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="code_jgu_scholarship" id="code_jgu_scholarship"  data-placeholder="Select Role">
                                          <option value="1">120</option>
                                          <option value="2">1520</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-4">
                                    <div class="form-check mt-5 pt-1">
                                       <input class="form-check-input" type="checkbox" value="" id="only_student_jgu_scholarship" name="only_student_jgu_scholarship">
                                       <label class="form-check-label" for="only_student_consolidated">Only Student Record</label>
                                    </div>
                                 </div>
                                 <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_jgu_scholarship">
                                    <div class="accordion-item">
                                       <h2 class="accordion-header" id="headingOne">
                                          <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_jgu_scholarship" aria-expanded="true" aria-controls="morefilter_jgu_scholarship">
                                          More Filters
                                          </button>
                                       </h2>
                                       <div id="morefilter_jgu_scholarship" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_jgu_scholarship">
                                          <div class="accordion-body p-0">
                                             <div class="row">
                                                <div class="col-md-8">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">School Phase<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="school_phase_jgu_scholarship" id="school_phase_jgu_scholarship"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="4">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Class Category<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="class_category_jgu_scholarship" id="class_category_jgu_scholarship"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-8">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="program_jgu_scholarship" id="program_jgu_scholarship"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="intake_jgu_scholarship" id="intake_jgu_scholarship"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">2020</option>
                                                         <option value="3">2021</option>
                                                         <option value="4">2022</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="seat_type_jgu_scholarship" id="seat_type_jgu_scholarship"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">BSC</option>
                                                         <option value="3">12th</option>
                                                         <option value="4">10th</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Period<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="period_jgu_scholarship" id="period_jgu_scholarship"  data-placeholder="Select Role">
                                                         <option value="1">Paytm</option>
                                                         <option value="2">Phonepay</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Fee Plan Name<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="fee_plan_name_jgu_scholarship" id="fee_plan_name_jgu_scholarship"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="4">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="row">
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">From  Date  <sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="from_date_jgu_scholarship" name="from_date_jgu_scholarship" placeholder="" value="">
                                                         <label for="from_date_jgu_scholarship" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label"> Till Date<sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="till_date_jgu_scholarship" name="till_date_jgu_scholarship" placeholder="" value="">
                                                         <label for="till_date_jgu_scholarship" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-12">
                                                   <div class="mt-3">
                                                      <button type="submit" class="btn btn-primary btn-sm py-1">
                                                      Search
                                                      </button>
                                                      <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                      Reset
                                                      </button>
                                                   </div>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </form>
                     <div class="card">
                        <div class="card-body">
                           <div class="search_result mt-3 border">
                              <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                                 <div class="heading">
                                    <h6 class="mb-0">Studdent JGU Scholarship Report</h6>
                                 </div>
                                 <div class="columns_part ms-auto">
                                    <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                                 </div>
                              </div>
                              <div class="table-responsive">
                                 <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                    <thead>
                                       <tr>
                                          <th>Student ID</th>
                                          <th>Student Name</th>
                                          <th>Father Name</th>
                                          <th>Program</th>
                                          <th>Intake</th>
                                          <th>Fee Head</th>
                                          <th>Fee Ammount</th>
                                          <th>Discount Type</th>
                                          <th>JGU Scholarship Code</th>
                                          <th>JGU Scholarship Ammount</th>
                                          <th>Discount Remark</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                       <tr>
                                          <td colspan="11" class="text-center">No record to display</td>
                                       </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="tab-pane fade" id="free_headwise" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Free Head Wise</h6>
                              <div class="row">
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_plan_free_headwise" id="fee_plan_free_headwise"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Heads<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_plan_free_headwise" id="fee_plan_free_headwise"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">JGU Scholarship Code<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="code_free_headwise" id="code_free_headwise"  data-placeholder="Select Role">
                                          <option value="1">120</option>
                                          <option value="2">1520</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-4">
                                    <div class="form-check mt-5 pt-1">
                                       <input class="form-check-input" type="checkbox" value="" id="only_student_free_headwise" name="only_student_free_headwise">
                                       <label class="form-check-label" for="only_student_consolidated">Only Student Record</label>
                                    </div>
                                 </div>
                                 <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_free_headwise">
                                    <div class="accordion-item">
                                       <h2 class="accordion-header" id="headingOne">
                                          <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_free_headwise" aria-expanded="true" aria-controls="morefilter_free_headwise">
                                          More Filters
                                          </button>
                                       </h2>
                                       <div id="morefilter_free_headwise" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_free_headwise">
                                          <div class="accordion-body p-0">
                                             <div class="row">
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="intake_free_headwise" id="intake_free_headwise"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">2020</option>
                                                         <option value="3">2021</option>
                                                         <option value="4">2022</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Class Category<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="class_category_free_headwise" id="class_category_free_headwise"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="program_free_headwise" id="program_free_headwise"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="intake_free_headwise" id="intake_free_headwise"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">2020</option>
                                                         <option value="3">2021</option>
                                                         <option value="4">2022</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-3">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="seat_type_free_headwise" id="seat_type_free_headwise"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">BSC</option>
                                                         <option value="3">12th</option>
                                                         <option value="4">10th</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Student ID/Name</label>
                                                      <div class="position-relative">
                                                         <input type="text" class="form-control pr-5" id="student_id_free_headwise" name="student_id_free_headwise" placeholder="Enter 3 Char to auto search" value="">
                                                         <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-3">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Status<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="status_free_headwise" id="status_free_headwise"  data-placeholder="Select Status">
                                                         <option value="1">Active</option>
                                                         <option value="0">InActive</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Period<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="period_free_headwise" id="period_free_headwise"  data-placeholder="Select Role">
                                                         <option value="1">Paytm</option>
                                                         <option value="2">Phonepay</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Fee Plan Name<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="fee_plan_name_free_headwise" id="fee_plan_name_free_headwise"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="4">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="row">
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Invoice Date  From<sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="from_date_free_headwise" name="from_date_free_headwise" placeholder="" value="">
                                                         <label for="from_date_free_headwise" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Invoice Date Till<sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="till_date_free_headwise" name="till_date_free_headwise" placeholder="" value="">
                                                         <label for="till_date_free_headwise" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-12">
                                                   <div class="mt-3">
                                                      <button type="submit" class="btn btn-primary btn-sm py-1">
                                                      Search
                                                      </button>
                                                      <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                      Reset
                                                      </button>
                                                   </div>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </form>
                     <div class="card">
                        <div class="card-body">
                           <div class="search_result mt-3 border">
                              <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                                 <div class="heading">
                                    <h6 class="mb-0">Fee Head  Wise Report</h6>
                                 </div>
                                 <div class="columns_part ms-auto">
                                    <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                                 </div>
                              </div>
                              <div class="table-responsive">
                                 <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                    <thead>
                                       <tr>
                                          <th>Fee Head</th>
                                          <th>Student Count</th>
                                          <th>Total Ammount</th>
                                          <th>Bill  Ammount Paid</th>
                                          <th>Outstanding Ammount</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                       <tr>
                                          <td colspan="5" class="text-center">No record to display</td>
                                       </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="tab-pane fade" id="free_ruleassociation" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Free Rule Association</h6>
                              <div class="row">
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_plan_free_ruleassociation" id="fee_plan_free_headwise"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Rule<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_rule" id="fee_rule"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Stege<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_stege" id="fee_stege"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-7">
                                    <div class="form-group mt-5">
                                       <div class="form-check form-check-inline">
                                          <input class="form-check-input" type="checkbox" name="associte_students" id="no_students" value="1">
                                          <label class="form-check-label" for="no_students">No Associte Students</label>
                                       </div>
                                       <div class="form-check form-check-inline">
                                          <input class="form-check-input" type="checkbox" name="associte_students" id="associte_students" value="0" >
                                          <label class="form-check-label" for="associte_students">All Get Admissions</label>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_free_ruleassociation">
                                    <div class="accordion-item">
                                       <h2 class="accordion-header" id="headingOne">
                                          <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_free_ruleassociation" aria-expanded="true" aria-controls="morefilter_free_ruleassociation">
                                          More Filters
                                          </button>
                                       </h2>
                                       <div id="morefilter_free_ruleassociation" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_free_ruleassociation">
                                          <div class="accordion-body p-0">
                                             <div class="row">
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="intake_free_ruleassociation" id="intake_free_ruleassociation"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">2020</option>
                                                         <option value="3">2021</option>
                                                         <option value="4">2022</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Class Category<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="class_category_free_ruleassociation" id="class_category_free_ruleassociation"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="program_free_ruleassociation" id="program_free_ruleassociation"  data-placeholder="Select Role">
                                                         <option value="1">First</option>
                                                         <option value="2">Second</option>
                                                         <option value="3">Thired</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="intake_free_ruleassociation" id="intake_free_ruleassociation"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">2020</option>
                                                         <option value="3">2021</option>
                                                         <option value="4">2022</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-3">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="seat_type_free_ruleassociation" id="seat_type_free_ruleassociation"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">BSC</option>
                                                         <option value="3">12th</option>
                                                         <option value="4">10th</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Student ID/Name</label>
                                                      <div class="position-relative">
                                                         <input type="text" class="form-control pr-5" id="student_id_free_ruleassociation" name="student_id_free_ruleassociation" placeholder="Enter 3 Char to auto search" value="">
                                                         <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-12">
                                                   <div class="mt-3">
                                                      <button type="submit" class="btn btn-primary btn-sm py-1">
                                                      Search
                                                      </button>
                                                      <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                      Reset
                                                      </button>
                                                   </div>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </form>
                     <div class="card">
                        <div class="card-body">
                           <div class="search_result mt-3 border">
                              <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                                 <div class="heading">
                                    <h6 class="mb-0">Fee Rule Association</h6>
                                 </div>
                                 <div class="columns_part ms-auto">
                                    <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                                 </div>
                              </div>
                              <div class="table-responsive">
                                 <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                    <thead>
                                       <tr>
                                          <th>Addmission ID</th>
                                          <th>Student ID</th>
                                          <th>Student Name</th>
                                          <th>Brand</th>
                                          <th>Compus</th>
                                          <th>Date of Addmission</th>
                                          <th>Program</th>
                                          <th>Intake</th>
                                          <th>Period</th>
                                          <th>Fee Plan</th>
                                          <th>Sequence</th>
                                          <th>Fee Stage</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                       <tr>
                                          <td colspan="12" class="text-center">No record to display</td>
                                       </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="tab-pane fade" id="program_report" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Program Fee Report</h6>
                              <div class="row">
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_program_report" id="intake_year_program_report"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">School Phase<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="school_phase_program_report" id="school_phase_program_report"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="program_program_report" id="program_program_report"  data-placeholder="Select Role">
                                          <option value="1">First</option>
                                          <option value="2">Second</option>
                                          <option value="3">Thired</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_program_report">
                                    <div class="accordion-item">
                                       <h2 class="accordion-header" id="headingOne">
                                          <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_program_report" aria-expanded="true" aria-controls="morefilter_program_report">
                                          More Filters
                                          </button>
                                       </h2>
                                       <div id="morefilter_program_report" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_program_report">
                                          <div class="accordion-body p-0">
                                             <div class="row">
                                                <div class="col-md-5">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Intake <sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="intake_program_report" id="intake_program_report"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">2020</option>
                                                         <option value="3">2021</option>
                                                         <option value="4">2022</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-3">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="seat_program_report" id="seat_program_report"  data-placeholder="Select Role">
                                                         <option value="1"></option>
                                                         <option value="2">BSC</option>
                                                         <option value="3">12th</option>
                                                         <option value="4">10th</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">From Date  <sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="from_date_program_report" name="from_date_program_report" placeholder="" value="">
                                                         <label for="from_date_program_report" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-md-4">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Invoice Date <sup class="text-danger">*</sup></label>
                                                      <div class="input-group time">
                                                         <input type="text" class="form-control datepicker" id="till_date_program_report" name="till_date_program_report" placeholder="" value="">
                                                         <label for="till_date_program_report" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                      </div>
                                                   </div>
                                                </div>
                                                <div class="col-2">
                                                   <div class="form-check mt-5 pt-1">
                                                      <input class="form-check-input" type="checkbox" value="" id="only_student_program_report" name="only_student">
                                                      <label class="form-check-label" for="only_student_program_report">Only Applicent Record</label>
                                                   </div>
                                                </div>
                                                <div class="col-md-12">
                                                   <div class="mt-3">
                                                      <button type="submit" class="btn btn-primary btn-sm py-1">
                                                      Search
                                                      </button>
                                                      <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                      Reset
                                                      </button>
                                                   </div>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </form>
                     <div class="card">
                        <div class="card-body">
                           <div class="search_result mt-3 border">
                              <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                                 <div class="heading">
                                    <h6 class="mb-0">Fee Rule Association</h6>
                                 </div>
                                 <div class="columns_part ms-auto">
                                    <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                                 </div>
                              </div>
                              <div class="table-responsive">
                                 <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                    <thead>
                                       <tr>
                                          <th>Addmission ID</th>
                                          <th>Student ID</th>
                                          <th>Student Name</th>
                                          <th>Brand</th>
                                          <th>Compus</th>
                                          <th>Date of Addmission</th>
                                          <th>Program</th>
                                          <th>Intake</th>
                                          <th>Period</th>
                                          <th>Fee Plan</th>
                                          <th>Sequence</th>
                                          <th>Fee Stage</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                       <tr>
                                          <td colspan="12" class="text-center">No record to display</td>
                                       </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="tab-pane fade" id="user_wisecollection" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">User Wise Collection</h6>
                              <div class="row">
                                 <div class="col-md-12">
                                    <div class="form-group mt-3">
                                       <div class="form-check form-check-inline">
                                          <input class="form-check-input" type="radio" name="all_collection" id="all_collection" value="1">
                                          <label class="form-check-label" for="all_collection">All Collection</label>
                                       </div>
                                       <div class="form-check form-check-inline">
                                          <input class="form-check-input" type="radio" name="all_collection" id="my_collection" value="0">
                                          <label class="form-check-label" for="my_collection">My Collection</label>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label  class="form-label">User</label>
                                       <input type="text" name="user_wise" class="form-control" value="">
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Payment Mode<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="payment_mode_user_wise" id="payment_mode_user_wise"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">From Date <sup class="text-danger">*</sup></label>
                                       <div class="input-group time">
                                          <input type="text" class="form-control datepicker" id="from_date_user_wise" name="from_date_user_wise" placeholder="" value="">
                                          <label for="from_date_user_wise" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Till Date <sup class="text-danger">*</sup></label>
                                       <div class="input-group time">
                                          <input type="text" class="form-control datepicker" id="till_date_user_wise" name="till_date_user_wise" placeholder="" value="">
                                          <label for="till_date_user_wise" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-md-12">
                                    <div class="mt-3">
                                       <button type="submit" class="btn btn-primary btn-sm py-1">
                                       Search
                                       </button>
                                       <button type="reset" class="btn btn-secondary btn-sm py-1">
                                       Reset
                                       </button>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </form>
                     <div class="card">
                        <div class="card-body">
                           <div class="search_result mt-3 border">
                              <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                                 <div class="heading">
                                    <h6 class="mb-0">Fee Rule Association</h6>
                                 </div>
                                 <div class="columns_part ms-auto">
                                    <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                                 </div>
                              </div>
                              <div class="table-responsive">
                                 <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                    <thead>
                                       <tr>
                                          <th>Addmission ID</th>
                                          <th>Student ID</th>
                                          <th>Student Name</th>
                                          <th>Brand</th>
                                          <th>Compus</th>
                                          <th>Date of Addmission</th>
                                          <th>Program</th>
                                          <th>Intake</th>
                                          <th>Period</th>
                                          <th>Fee Plan</th>
                                          <th>Sequence</th>
                                          <th>Fee Stage</th>
                                       </tr>
                                    </thead>
                                    <tbody>
                                       <tr>
                                          <td colspan="12" class="text-center">No record to display</td>
                                       </tr>
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="tab-pane fade" id="receipt_headdetail" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Receipt Head Detail</h6>
                              <div class="row">
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_receipt_headdetail" id="intake_year_receipt_headdetail"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">School Phase<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="school_phase_receipt_headdetail" id="school_phase_receipt_headdetail"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Class Category<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="classcategory_receipt_headdetail" id="classcategory_receipt_headdetail"  data-placeholder="Select Role">
                                          <option value="1">First</option>
                                          <option value="2">Second</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-8">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="program_receipt_headdetail" id="program_receipt_headdetail"  data-placeholder="Select Role">
                                          <option value="1">First</option>
                                          <option value="2">Second</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_receipt_headdetail" id="intake_receipt_headdetail"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="seat_type_receipt_headdetail" id="seat_type_receipt_headdetail"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">BSC</option>
                                          <option value="3">12th</option>
                                          <option value="4">10th</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Payment Mode<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="payment_mode_receipt_headdetail" id="payment_mode_receipt_headdetail"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                              </div>
                              <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_receipt_headdetail">
                                 <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne">
                                       <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_receipt_headdetail" aria-expanded="true" aria-controls="morefilter_receipt_headdetail">
                                       More Filters
                                       </button>
                                    </h2>
                                    <div id="morefilter_receipt_headdetail" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_receipt_headdetail">
                                       <div class="accordion-body p-0">
                                          <div class="row">
                                             <div class="col-12">
                                                <div class="form-check pt-4 form-check-inline">
                                                   <input class="form-check-input" type="checkbox" value="" id="only_receipt_headdetail" name="only_receipt_headdetail">
                                                   <label class="form-check-label" for="only_receipt_headdetail"> Student </label>
                                                </div>
                                                <div class="form-check pt-4 form-check-inline">
                                                   <input class="form-check-input" type="checkbox" value="" id="only_student_headdetail" name="only_receipt_headdetail">
                                                   <label class="form-check-label" for="only_student_headdetail"> Applicent</label>
                                                </div>
                                             </div>
                                             <div class="col-md-7">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Student ID/Name</label>
                                                   <div class="position-relative">
                                                      <input type="text" class="form-control pr-5" id="student_id_collection" name="student_id" placeholder="Enter 3 Char to auto search" value="">
                                                      <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-5">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Status<sup class="text-danger">*</sup></label>
                                                   <select class="single-select form-select" name="status" id="status"  data-placeholder="Select Status">
                                                      <option value="1">Active</option>
                                                      <option value="0">InActive</option>
                                                   </select>
                                                </div>
                                             </div>
                                             <div class="col-md-12 mt-3">
                                                <b class="text-decoration-underline">Receipt Details</b>
                                             </div>
                                             <div class="col-md-5">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">From Date  <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_date_receipt_headdetail" name="from_date_receipt_headdetail" placeholder="" value="">
                                                      <label for="from_date_receipt_headdetail" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-5">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Till Date <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_date_receipt_headdetail" name="till_date_receipt_headdetail" placeholder="" value="">
                                                      <label for="till_date_receipt_headdetail" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-12 mt-3">
                                                <b class="text-decoration-underline">Settlemrnt Details</b>
                                             </div>
                                             <div class="col-md-5">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">From Date  <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_date_receipt_headdetail" name="from_date_settlemrnt_headdetail" placeholder="" value="">
                                                      <label for="from_date_settlemrnt_headdetail" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-5">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Till Date <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_date_receipt_headdetail" name="till_date_settlemrnt_headdetail" placeholder="" value="">
                                                      <label for="till_date_settlemrnt_headdetail" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-12">
                                                <div class="mt-3">
                                                   <button type="submit" class="btn btn-primary btn-sm py-1">
                                                   Search
                                                   </button>
                                                   <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                   Reset
                                                   </button>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                  </div>
                  </form>
                  <div class="card">
                     <div class="card-body">
                        <div class="search_result mt-3 border">
                           <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                              <div class="heading">
                                 <h6 class="mb-0">Receipt With Head Detals</h6>
                              </div>
                              <div class="columns_part ms-auto">
                                 <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                              </div>
                           </div>
                           <div class="table-responsive">
                              <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                 <thead>
                                    <tr>
                                       <th>Receipt No</th>
                                       <th>Receipt Date</th>
                                       <th>Receipt Ammount</th>
                                       <th>ID</th>
                                       <th>Name</th>
                                       <th>Father Name</th>
                                       <th>Program</th>
                                       <th>Intake</th>
                                       <th>Voucher Mode</th>
                                       <th>Request Created By</th>
                                       <th>Fee Heads</th>
                                       <th>Fee Heads Ammount</th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                    <tr>
                                       <td colspan="12" class="text-center">No record to display</td>
                                    </tr>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>

               <!-- payment detail  -->
               <div class="tab-pane fade" id="payment_details" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Payment Detail Report</h6>
                              <div class="row">
                              <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Payment Mode<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="payment_mode_payment_details" id="payment_mode_payment_details"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Receipt Status<sup class="text-danger">*</sup></label>
                                                   <select class="single-select form-select" name="receipt_status" id="receipt_status"  data-placeholder="Select Status">
                                                      <option value="1">Active</option>
                                                      <option value="0">InActive</option>
                                                   </select>
                                                </div>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Reference No.</label>
                                                   <div class="position-relative">
                                                      <input type="text" class="form-control pr-5" id="reference_no" name="reference_no" placeholder="Enter 3 Char to auto search" value="">
                                                      <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                                   </div>
                                                </div>
                                             </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_payment_details" id="intake_payment_details"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">User<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="user_payment_details" id="user_payment_details"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Student ID/Name</label>
                                                   <div class="position-relative">
                                                      <input type="text" class="form-control pr-5" id="student_id_payment_details" name="student_id_payment_details" placeholder="Enter 3 Char to auto search" value="">
                                                      <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                                   </div>
                                                </div>
                                             </div>
                                
                                 <div class="col-md-12 mt-3">
                                                <b class="text-decoration-underline">Payment Details</b>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Payment Date From <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_date_payment_details" name="from_date_payment_details" placeholder="" value="">
                                                      <label for="from_date_payment_details" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Payment Date Till<sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_payment_date" name="till_payment_date" placeholder="" value="">
                                                      <label for="till_payment_date" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-12 mt-3">
                                                <b class="text-decoration-underline">Receipt Details</b>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Receipt Date From   <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_receipt_date" name="from_receipt_date" placeholder="" value="">
                                                      <label for="from_receipt_date" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Receipt Date Till<sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_receipt_date" name="till_receipt_date" placeholder="" value="">
                                                      <label for="till_receipt_date" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-12 mt-3">
                                                <b class="text-decoration-underline">Settlemrnt Details</b>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">From Date  <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_settlemrnt_date" name="from_settlemrnt_date" placeholder="" value="">
                                                      <label for="from_settlemrnt_date" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Till Date <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_settlemrnt_date" name="till_settlemrnt_date" placeholder="" value="">
                                                      <label for="till_settlemrnt_date" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                              </div>
                              
                           </div>
                        </div>
                  </div>
                  </form>
                  <div class="card">
                     <div class="card-body">
                        <div class="search_result mt-3 border">
                           <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                              <div class="heading">
                                 <h6 class="mb-0">Payment Detals Report</h6>
                              </div>
                              <div class="columns_part ms-auto">
                                 <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                              </div>
                           </div>
                           <div class="table-responsive">
                              <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                 <thead>
                                    <tr>
                                       <th>Receipt No</th>
                                       <th>Receipt Date</th>
                                       <th>User</th>
                                       <th>User Code</th>
                                       <th>User Name</th>
                                       <th>Payment Modes</th>
                                       <th>Reference No.</th>
                                       <th>Payment Date</th>
                                       <th>Instrument Ammount</th>
                                       <th>Bank</th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                    <tr>
                                       <td colspan="10" class="text-center">No record to display</td>
                                    </tr>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <!-- payment detail  -->
               <!-- Dependent Fee  -->
               <div class="tab-pane fade" id="dependent_collection" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Dependent Fee Collection</h6>
                              <div class="row">
                              <div class="col-md-12">
                              <div class="form-group mt-3">
                                 <label  class="form-label">View Reciept For</label><br>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="view_reciet" id="view_reciet_all" value="1" checked>
                                    <label class="form-check-label" for="view_reciet_all">All</label>
                                 </div>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="view_reciet" id="view_reciet_student" value="0">
                                    <label class="form-check-label" for="view_reciet_student">Student</label>
                                 </div>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="view_reciet" id="view_reciet_applicent" value="0">
                                    <label class="form-check-label" for="view_reciet_applicent">Applicent</label>
                                 </div>
                              </div>
                           </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_dependent_collection" id="intake_year_dependent_collection"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">From Date  <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_date_receipt_headdetail" name="from_date_dependent_collection" placeholder="" value="">
                                                      <label for="from_date_dependent_collection" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-5">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Till Date <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_date_dependent_collection" name="till_date_dependent_collection" placeholder="" value="">
                                                      <label for="till_date_dependent_collection" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Dependent Fee Head<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="school_phase_dependent_collection" id="school_phase_dependent_collection"  data-placeholder="Select Role">
                                          <option value="1">Application</option>
                                          <option value="2">Program</option>
                                          <option value="3">Services</option>
                                          <option value="4">Courses</option>
                                          <option value="4">Exam</option>
                                       </select>
                                    </div>
                                 </div>
                                
                                 
                                 
                              </div>
                              <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_receipt_headdetail">
                                 <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne">
                                       <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_receipt_headdetail" aria-expanded="true" aria-controls="morefilter_receipt_headdetail">
                                       More Filters
                                       </button>
                                    </h2>
                                    <div id="morefilter_receipt_headdetail" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_receipt_headdetail">
                                       <div class="accordion-body p-0">
                                          <div class="row">
                                          <div class="col-md-8">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="program_dependent_collection" id="program_dependent_collection"  data-placeholder="Select Role">
                                          <option value="1">First</option>
                                          <option value="2">Second</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-4">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_dependent_collection" id="intake_dependent_collection"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-5">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="seat_type_dependent_collection" id="seat_type_dependent_collection"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">BSC</option>
                                          <option value="3">12th</option>
                                          <option value="4">10th</option>
                                       </select>
                                    </div>
                                 </div>
                                          
                                             <div class="col-md-12">
                                                <div class="mt-3">
                                                   <button type="submit" class="btn btn-primary btn-sm py-1">
                                                   Search
                                                   </button>
                                                   <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                   Reset
                                                   </button>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                  </div>
                  </form>
                  <div class="card">
                     <div class="card-body">
                        <div class="search_result mt-3 border">
                           <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                              <div class="heading">
                                 <h6 class="mb-0">Dependent Fee Collection Details</h6>
                              </div>
                              <div class="columns_part ms-auto">
                                 <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                              </div>
                           </div>
                           <div class="table-responsive">
                              <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                 <thead>
                                    <tr>
                                       <th>Receipt No</th>
                                       <th>Receipt Date</th>
                                       <th>ID</th>
                                       <th>Name</th>
                                       <th>Fee Heads</th>
                                       <th>Ammount</th>
                                       <th>Dependent Fee Head</th>
                                       <th>Fixed/Percentage</th>
                                       <th>Dependent Fee Ammount</th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                    <tr>
                                       <td colspan="9" class="text-center">No record to display</td>
                                    </tr>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <!-- Dependent Fee  -->
               <!-- Applicent Consolidated  -->
               <div class="tab-pane fade" id="applicent_consolidated" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Applicent Consolidated</h6>
                              <div class="row">
                             
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_applicent_consolidated" id="intake_year_applicent_consolidated"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div> 
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_applicent_consolidated" id="intake_year_applicent_consolidated"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Applicent ID/Name</label>
                                                   <div class="position-relative">
                                                      <input type="text" class="form-control pr-5" id="applicent_id_1" name="applicent_id_1" placeholder="Enter 3 Char to auto search" value="">
                                                      <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                                   </div>
                                                </div>
                                             </div>                                 
                              </div>
                              <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_applicent_consolidated">
                                 <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne">
                                       <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_applicent_consolidated" aria-expanded="true" aria-controls="morefilter_applicent_consolidated">
                                       More Filters
                                       </button>
                                    </h2>
                                    <div id="morefilter_applicent_consolidated" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_applicent_consolidated">
                                       <div class="accordion-body p-0">
                                          <div class="row">
                                          <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="program_applicent_consolidated" id="program_applicent_consolidated"  data-placeholder="Select Role">
                                          <option value="1">First</option>
                                          <option value="2">Second</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_applicent_consolidated" id="intake_applicent_consolidated"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="seat_type_applicent_consolidated" id="seat_type_applicent_consolidated"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">BSC</option>
                                          <option value="3">12th</option>
                                          <option value="4">10th</option>
                                       </select>
                                    </div>
                                 </div>
                                          <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Fee Plan Name<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="fee_plan_name_2" id="fee_plan_name_2"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="5">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-6">
                                                   <div class="form-check pt-4 form-check-inline">
                                                      <input class="form-check-input" type="checkbox" value="" id="only_applicent_consolidated" name="only_applicent_consolidated">
                                                      <label class="form-check-label" for="only_applicent_consolidated"> Only Applicant Record  </label>
                                                   </div>
                                                </div>                                          
                                                <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Payment Mode<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="payment_mode_applicent_consolidated" id="payment_mode_applicent_consolidated"  data-placeholder="Select Role">
                                                         <option value="1">Paytm</option>
                                                         <option value="2">Phonepay</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">From Date  <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_date_applicent_consolidated" name="from_date_applicent_consolidated" placeholder="" value="">
                                                      <label for="from_date_applicent_consolidated" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Till Date <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_date_applicent_consolidated" name="till_date_applicent_consolidated" placeholder="" value="">
                                                      <label for="till_date_applicent_consolidated" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-12">
                                                <div class="mt-3">
                                                   <button type="submit" class="btn btn-primary btn-sm py-1">
                                                   Search
                                                   </button>
                                                   <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                   Reset
                                                   </button>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                  </div>
                  </form>
                  <div class="card">
                     <div class="card-body">
                        <div class="search_result mt-3 border">
                           <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                              <div class="heading">
                                 <h6 class="mb-0">Applicant Consolidated Report</h6>
                              </div>
                              <div class="columns_part ms-auto">
                                 <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                              </div>
                           </div>
                           <div class="table-responsive">
                              <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                 <thead>
                                    <tr>
                                       <th>Receipt No</th>
                                       <th>Receipt Date</th>
                                       <th>ID</th>
                                       <th>Name</th>
                                       <th>Fee Heads</th>
                                       <th>Ammount</th>
                                       <th>Dependent Fee Head</th>
                                       <th>Fixed/Percentage</th>
                                       <th>Dependent Fee Ammount</th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                    <tr>
                                       <td colspan="9" class="text-center">No record to display</td>
                                    </tr>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <!-- Applicent Consolidated  -->
               <!-- Applicent Collection  -->
               <div class="tab-pane fade" id="applicent_collection" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Applicent Collection</h6>
                              <div class="row">                             
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_applicent_collection" id="intake_year_applicent_collection"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div> 
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_applicent_collection" id="intake_year_applicent_collection"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Applicent ID/Name</label>
                                                   <div class="position-relative">
                                                      <input type="text" class="form-control pr-5" id="applicent_id_2" name="applicent_id_2" placeholder="Enter 3 Char to auto search" value="">
                                                      <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                                   </div>
                                                </div>
                                             </div>                                 
                              </div>
                              <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_applicent_collection">
                                 <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne">
                                       <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_applicent_collection" aria-expanded="true" aria-controls="morefilter_applicent_collection">
                                       More Filters
                                       </button>
                                    </h2>
                                    <div id="morefilter_applicent_collection" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_applicent_collection">
                                       <div class="accordion-body p-0">
                                          <div class="row">
                                          <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="program_applicent_collection" id="program_applicent_collection"  data-placeholder="Select Role">
                                          <option value="1">First</option>
                                          <option value="2">Second</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_applicent_collection" id="intake_applicent_collection"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="seat_type_applicent_collection" id="seat_type_applicent_collection"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">BSC</option>
                                          <option value="3">12th</option>
                                          <option value="4">10th</option>
                                       </select>
                                    </div>
                                 </div>
                                          <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Fee Plan Name<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="fee_plan_name_3" id="fee_plan_name_3"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="5">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-6">
                                                   <div class="form-check pt-4 form-check-inline">
                                                      <input class="form-check-input" type="checkbox" value="" id="only_applicent_collection" name="only_applicent_collection">
                                                      <label class="form-check-label" for="only_applicent_collection"> Only Applicant Record  </label>
                                                   </div>
                                                </div>                                          
                                                <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Payment Mode<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="payment_mode_applicent_collection" id="payment_mode_applicent_collection"  data-placeholder="Select Role">
                                                         <option value="1">Paytm</option>
                                                         <option value="2">Phonepay</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Receipt Currency<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="receipt_currency_1" id="receipt_currency_1"  data-placeholder="Select Role">
                                                         <option value="1">INR</option>
                                                         <option value="2">USD</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">From Date  <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_date_applicent_collection" name="from_date_applicent_collection" placeholder="" value="">
                                                      <label for="from_date_applicent_collection" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Till Date <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_date_applicent_collection" name="till_date_applicent_collection" placeholder="" value="">
                                                      <label for="till_date_applicent_collection" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-12">
                                                <div class="mt-3">
                                                   <button type="submit" class="btn btn-primary btn-sm py-1">
                                                   Search
                                                   </button>
                                                   <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                   Reset
                                                   </button>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                  </div>
                  </form>
                  <div class="card">
                     <div class="card-body">
                        <div class="search_result mt-3 border">
                           <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                              <div class="heading">
                                 <h6 class="mb-0">Applicant Collection Report</h6>
                              </div>
                              <div class="columns_part ms-auto">
                                 <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                              </div>
                           </div>
                           <div class="table-responsive">
                              <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                 <thead>
                                    <tr>
                                       <th>Receipt No</th>
                                       <th>Receipt Date</th>
                                       <th>Receipt Ammount</th>
                                       <th>Settled Ammount</th>
                                       <th>Applicant ID</th>
                                       <th>Applicant Name</th>
                                       <th>Father Name</th>
                                       <th>Program</th>
                                       <th>Intake</th>
                                       <th>Seat Type</th>
                                       <th>Voucher Mode</th>
                                       <th>Receipt Status</th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                    <tr>
                                       <td colspan="12" class="text-center">No record to display</td>
                                    </tr>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <!-- Applicent Collection  -->
               <!-- Applicent Outstanding  -->
               <div class="tab-pane fade" id="applicent_outstanding" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Applicent Outstanding</h6>
                              <div class="row">                             
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_applicent_outstanding" id="intake_year_applicent_outstanding"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div> 
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_applicent_outstanding" id="intake_year_applicent_outstanding"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Applicent ID/Name</label>
                                                   <div class="position-relative">
                                                      <input type="text" class="form-control pr-5" id="applicent_id_3" name="applicent_id_3" placeholder="Enter 3 Char to auto search" value="">
                                                      <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                                   </div>
                                                </div>
                                             </div>                                 
                              </div>
                              <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_applicent_outstanding">
                                 <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne">
                                       <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_applicent_outstanding" aria-expanded="true" aria-controls="morefilter_applicent_outstanding">
                                       More Filters
                                       </button>
                                    </h2>
                                    <div id="morefilter_applicent_outstanding" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_applicent_outstanding">
                                       <div class="accordion-body p-0">
                                          <div class="row">
                                          <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="program_applicent_outstanding" id="program_applicent_outstanding"  data-placeholder="Select Role">
                                          <option value="1">First</option>
                                          <option value="2">Second</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_applicent_outstanding" id="intake_applicent_outstanding"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="seat_type_applicent_outstanding" id="seat_type_applicent_outstanding"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">BSC</option>
                                          <option value="3">12th</option>
                                          <option value="4">10th</option>
                                       </select>
                                    </div>
                                 </div>
                                          <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Fee Plan Name<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="fee_plan_name_3" id="fee_plan_name_3"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="5">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-6">
                                                   <div class="form-check pt-4 form-check-inline">
                                                      <input class="form-check-input" type="checkbox" value="" id="only_applicent_outstanding" name="only_applicent_outstanding">
                                                      <label class="form-check-label" for="only_applicent_outstanding"> Only Applicant Record  </label>
                                                   </div>
                                                </div>
                                                <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Invoice Status<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="invoice_status_outstanding" id="invoice_status_outstanding"  data-placeholder="Select Role">
                                                         <option value="1">Active</option>
                                                         <option value="2">InActive</option>
                                                      </select>
                                                   </div>
                                                </div>                                          
                                               
                                                <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Invoice Date From <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_date_applicent_outstanding" name="from_date_applicent_outstanding" placeholder="" value="">
                                                      <label for="from_date_applicent_outstanding" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Invoice Date Till<sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_date_applicent_outstanding" name="till_date_applicent_outstanding" placeholder="" value="">
                                                      <label for="till_date_applicent_outstanding" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Invoice Due Date From <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_date_due_outstanding" name="from_date_due_outstanding" placeholder="" value="">
                                                      <label for="from_date_due_outstanding" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Invoice Due Date Till<sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_date_due_outstanding" name="till_date_due_outstanding" placeholder="" value="">
                                                      <label for="till_date_due_outstanding" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-12">
                                                <div class="mt-3">
                                                   <button type="submit" class="btn btn-primary btn-sm py-1">
                                                   Search
                                                   </button>
                                                   <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                   Reset
                                                   </button>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                  </div>
                  </form>
                  <div class="card">
                     <div class="card-body">
                        <div class="search_result mt-3 border">
                           <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                              <div class="heading">
                                 <h6 class="mb-0">Applicant Outstanding Report</h6>
                              </div>
                              <div class="columns_part ms-auto">
                                 <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                              </div>
                           </div>
                           <div class="table-responsive">
                              <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                 <thead>
                                    <tr>
                                       <th>Invoice No.</th>
                                       <th>Invoice Date</th>
                                       <th>Due Date</th>
                                       <th>Bill Ammount</th>
                                       <th>Outstanding Ammount</th>
                                       <th>Applicant ID</th>
                                       <th>Applicant Name</th>
                                       <th>Father Name</th>
                                       <th>Program</th>
                                       <th>Intake</th>
                                       <th>Seat Type</th>
                                       <th>Invoice Status</th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                    <tr>
                                       <td colspan="12" class="text-center">No record to display</td>
                                    </tr>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <!-- Applicent Outstanding  -->
               <!-- Applicent JGU Scholarship  -->
               <div class="tab-pane fade" id="applicent_scholarship" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Applicent JGU Scholarship</h6>
                              <div class="row">                             
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_scholarship" id="intake_year_scholarship"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div> 
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_scholarship" id="intake_year_scholarship"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Applicent ID/Name</label>
                                                   <div class="position-relative">
                                                      <input type="text" class="form-control pr-5" id="applicent_id_3" name="applicent_id_3" placeholder="Enter 3 Char to auto search" value="">
                                                      <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                                   </div>
                                                </div>
                                             </div> 
                                             <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">JGU Scholarship Code<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="jgu_scholarship" id="jgu_scholarship"  data-placeholder="Select Role">
                                          <option value="1">1023</option>
                                          <option value="2">1024</option>
                                       </select>
                                    </div>
                                 </div> 
                                 <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Fee Heads<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="fee_heads_1" id="fee_heads_1"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="5">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                                <div class="col-md-6">
                                                   <div class="form-check pt-4 form-check-inline">
                                                      <input class="form-check-input" type="checkbox" value="" id="only_scholarship" name="only_scholarship">
                                                      <label class="form-check-label" for="only_scholarship"> Only Applicant Record  </label>
                                                   </div>
                                                </div>                               
                              </div>
                              <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_scholarship">
                                 <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne">
                                       <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_scholarship" aria-expanded="true" aria-controls="morefilter_scholarship">
                                       More Filters
                                       </button>
                                    </h2>
                                    <div id="morefilter_scholarship" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_scholarship">
                                       <div class="accordion-body p-0">
                                          <div class="row">
                                          <div class="col-md-8">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="program_scholarship" id="program_scholarship"  data-placeholder="Select Role">
                                          <option value="1">First</option>
                                          <option value="2">Second</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_scholarship" id="intake_scholarship"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="seat_type_scholarship" id="seat_type_scholarship"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">BSC</option>
                                          <option value="3">12th</option>
                                          <option value="4">10th</option>
                                       </select>
                                    </div>
                                 </div>
                                          <div class="col-md-6">
                                                   <div class="form-group mt-3">
                                                      <label class="form-label">Fee Plan Name<sup class="text-danger">*</sup></label>
                                                      <select class="single-select form-select" name="fee_plan_name_4" id="fee_plan_name_4"  data-placeholder="Select Role">
                                                         <option value="1">Application</option>
                                                         <option value="2">Program</option>
                                                         <option value="3">Services</option>
                                                         <option value="4">Courses</option>
                                                         <option value="5">Exam</option>
                                                      </select>
                                                   </div>
                                                </div>
                                           
                                             <div class="col-md-12">
                                                <div class="mt-3">
                                                   <button type="submit" class="btn btn-primary btn-sm py-1">
                                                   Search
                                                   </button>
                                                   <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                   Reset
                                                   </button>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                  </div>
                  </form>
                  <div class="card">
                     <div class="card-body">
                        <div class="search_result mt-3 border">
                           <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                              <div class="heading">
                                 <h6 class="mb-0">Applicant JGU Scholarship Report</h6>
                              </div>
                              <div class="columns_part ms-auto">
                                 <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                              </div>
                           </div>
                           <div class="table-responsive">
                              <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                 <thead>
                                    <tr>
                                       <th>Applicant ID</th>
                                       <th>Applicant Name</th>
                                       <th>Father Name</th>
                                       <th>Program</th>
                                       <th>Intake</th>
                                       <th>Fee Head</th>
                                       <th>Fee Ammount</th>
                                       <th>Discount Type</th>
                                       <th>JGU Scholarship Code</th>
                                       <th>JGU Scholarship Ammount</th>
                                       <th>Discount Remark</th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                    <tr>
                                       <td colspan="12" class="text-center">No record to display</td>
                                    </tr>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <!-- Applicent JGU Scholarship  -->
               <!-- Applicent Fee Head Wise  -->
               <div class="tab-pane fade" id="applicent_headwise" role="tabpanel">
                  <div class="search_form pb-3">
                     <form>
                        <div class="card">
                           <div class="card-body">
                              <h6 class="border-bottom pb-2">Applicent Fee Head Wise</h6>
                              <div class="row">                             
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_year_headwise" id="intake_year_headwise"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div> 
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Plan Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="feeplan_headwise" id="feeplan_headwise"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Fee Head<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="fee_headwise" id="fee_headwise"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                                             
                              </div>
                              <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_headwise">
                                 <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne">
                                       <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_headwise" aria-expanded="true" aria-controls="morefilter_headwise">
                                       More Filters
                                       </button>
                                    </h2>
                                    <div id="morefilter_headwise" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_headwise">
                                       <div class="accordion-body p-0">
                                          <div class="row">
                                          <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Class Category<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="category_headwise" id="category_headwise"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                          <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="program_headwise" id="program_headwise"  data-placeholder="Select Role">
                                          <option value="1">First</option>
                                          <option value="2">Second</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_headwise" id="intake_headwise"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="seat_type_headwise" id="seat_type_headwise"  data-placeholder="Select Role">
                                          <option value="1"></option>
                                          <option value="2">BSC</option>
                                          <option value="3">12th</option>
                                          <option value="4">10th</option>
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Applicent ID/Name</label>
                                                   <div class="position-relative">
                                                      <input type="text" class="form-control pr-5" id="applicent_id_4" name="applicent_id_4" placeholder="Enter 3 Char to auto search" value="">
                                                      <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                                   </div>
                                                </div>
                                             </div> 
                                          
                                                <div class="col-md-6">
                                                   <div class="form-check pt-5 form-check-inline">
                                                      <input class="form-check-input" type="checkbox" value="" id="only_headwise" name="only_headwise">
                                                      <label class="form-check-label" for="only_headwise"> Only Applicant Record  </label>
                                                   </div>
                                                </div>
                                                                                    
                                               
                                                <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Invoice Date From <sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="from_date_headwise" name="from_date_headwise" placeholder="" value="">
                                                      <label for="from_date_headwise" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             <div class="col-md-6">
                                                <div class="form-group mt-3">
                                                   <label class="form-label">Invoice Date Till<sup class="text-danger">*</sup></label>
                                                   <div class="input-group time">
                                                      <input type="text" class="form-control datepicker" id="till_date_headwise" name="till_date_headwise" placeholder="" value="">
                                                      <label for="till_date_headwise" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                                   </div>
                                                </div>
                                             </div>
                                             
                                             <div class="col-md-12">
                                                <div class="mt-3">
                                                   <button type="submit" class="btn btn-primary btn-sm py-1">
                                                   Search
                                                   </button>
                                                   <button type="reset" class="btn btn-secondary btn-sm py-1">
                                                   Reset
                                                   </button>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                  </div>
                  </form>
                  <div class="card">
                     <div class="card-body">
                        <div class="search_result mt-3 border">
                           <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                              <div class="heading">
                                 <h6 class="mb-0">Applicant Fee Head Wise Collection Report</h6>
                              </div>
                              <div class="columns_part ms-auto">
                                 <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                              </div>
                           </div>
                           <div class="table-responsive">
                              <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                 <thead>
                                    <tr>
                                       <th>Fee Heads</th>
                                       <th>Applicant Count</th>
                                       <th>Total Ammount</th>
                                       <th>Bill Ammount Paid</th>
                                       <th>Outstanding Ammount</th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                    <tr>
                                       <td colspan="5" class="text-center">No record to display</td>
                                    </tr>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <!-- Applicent Fee Head Wise  -->
            </div>
         </div>
      </div>
   </div>
   <!--end breadcrumb-->
   <hr/>
</div>
</div>
<!--end page wrapper -->
@endsection
@section("page-js-script")
<script src="{{ asset('assets/plugins/datatable/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/js/dataTables.bootstrap5.min.js') }}"></script>
<script>
   $(document).ready(function(){
    $(".single-select").select2({
      theme: 'bootstrap4',
      width: $(this).data('width') ? $(this).data('width') : $(this).hasClass('w-100') ? '100%' : 'style',
      placeholder: $(this).data('placeholder'),
      allowClear: Boolean($(this).data('allow-clear')),
   });
   
   $('.datepicker').datepicker({ 
   autoclose: true,
        
    });
   });
   function get_columns(){
   $('#modal-default .modal-content').html('');
   $.ajax({ 
      'headers': {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }, 
     url :"{{ route('admin.student.get.columns') }}",  
     method:"post",  
     data:{},
     success:function(res){  
      $('#modal-sm .modal-content').html(res);
      $('#modal-sm').modal('show');
            
     }  
   });
   }
   
</script>
@endsection