@extends("admin.layouts.app")
@section("style")
<link href="{{ asset('assets/plugins/datatable/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" />
@endsection
@section("wrapper")
<!--start page wrapper -->
<div class="page-wrapper">
   <div class="page-content">
      <!--breadcrumb-->
      <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
         <div class="breadcrumb-title pe-3">Manage Invoice</div>
      </div>
      <div class="card">
         <div class="card-body">
            <ul class="nav nav-tabs nav-danger" role="tablist">
               <li class="nav-item" role="presentation">
                  <a class="nav-link student_part active" data-bs-toggle="tab" href="#manage_search" role="tab" aria-selected="true">
                     <div class="d-flex align-items-center">
                        <div class="tab-title">Search</div>
                     </div>
                  </a>
               </li>
               <li class="nav-item" role="presentation">
                  <a class="nav-link  announc_class" data-bs-toggle="tab" href="#import_discount" role="tab" aria-selected="false" >
                     <div class="d-flex align-items-center">
                        <div class="tab-title">Import Persons Covered</div>
                     </div>
                  </a>
               </li>
            </ul>
            <div class="tab-content py-3  border-top">
               <div class="tab-pane fade show active" id="manage_search" role="tabpanel">
                  <div class="">
                     <form>
                        <div class="row">
                           <div class="col-md-10">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Brand Compus<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="brand_compus_invoice" id="brand_compus_invoice"  data-placeholder="Select Status">
                                                   <option value="1">JGP Global</option>
                                                   <option value="2">JGP School</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Invoice Type<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="invoice_type" id="invoice_type"  data-placeholder="Select Status">
                                                   <option value="1">All</option>
                                                   <option value="2">JGP School</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Invoice For<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="invoice_for" id="invoice_for"  data-placeholder="Select Status">
                                                   <option value="1">Student</option>
                                                   <option value="2">JGP School</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Invoice Receivable/ Payable<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="invoice_payable" id="invoice_payable"  data-placeholder="Select Status">
                                                   <option value="1">Student</option>
                                                   <option value="2">JGP School</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-8">
                              <div class="form-group mt-3">
                                 <label class="form-label">Student ID/Name</label>
                                 <div class="position-relative">
                                    <input type="text" class="form-control pr-5" id="student_id" name="student_id" placeholder="Enter 3 Char to auto search" value="">
                                    <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Settlement Status<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="settlement_status" id="settlement_status"  data-placeholder="Select Status">
                                                   <option value="1">Student</option>
                                                   <option value="2">JGP School</option>
                                             </select>
                                          </div>
                                       </div>
                           <div class="col-md-6">
                              <div class="form-group mt-3">
                                 <label class="form-label">Invoice Date From<sup class="text-danger">*</sup></label>
                                 <div class="input-group time">
                                    <input type="text" class="form-control datepicker" id="invoice_date_from" name="invoice_date_from" placeholder="" value="">
                                    <label for="invoice_date_from" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-6">
                              <div class="form-group mt-3">
                                 <label class="form-label">Invoice Date Till<sup class="text-danger">*</sup></label>
                                 <div class="input-group time">
                                    <input type="text" class="form-control datepicker" id="invoice_date_to" name="invoice_date_to" placeholder="" value="">
                                    <label for="invoice_date_to" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-6">
                                                   <div class="form-check pt-3 form-check-inline">
                                                      <input class="form-check-input" type="checkbox" value="" id="only_headwise" name="only_headwise">
                                                      <label class="form-check-label" for="only_headwise"> Only Cancelled Invoices  </label>
                                                   </div>
                                                </div>
                        
                        </div>
                        <div class="accordion mt-3 feereport_section accordion-flush" id="accordionExample_manage">
                           <div class="accordion-item">
                              <h2 class="accordion-header" id="headingOne">
                                 <button class="accordion-button p-2 border-0 bg-white" type="button" data-bs-toggle="collapse" data-bs-target="#morefilter_manage" aria-expanded="true" aria-controls="morefilter_manage">
                                 More Filters
                                 </button>
                              </h2>
                              <div id="morefilter_manage" class="accordion-collapse collapse border-0" aria-labelledby="headingOne" data-bs-parent="#accordionExample_manage">
                                 <div class="accordion-body p-0">
                                    <div class="row">
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label class="form-label">School Phase<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="school_phase" id="school_phase"  data-placeholder="Select School Phase">
                                                <option value="1">School Phase 1</option>
                                                <option value="0">School Phase 2</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Class Category<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="class_category" id="class_category"  data-placeholder="Select Class Category">
                                                <option value="1">OBC</option>
                                                <option value="2">ST</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Intake Year<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="intake_year" id="intake_year"  data-placeholder="Select Intake Year">
                                                <option value="1"></option>
                                                <option value="2">2020</option>
                                                <option value="3">2021</option>
                                                <option value="4">2022</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-8">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="program_search" id="program_search"  data-placeholder="Select Role">
                                                <option value="1">First</option>
                                                <option value="2">Second</option>
                                                <option value="3">Thired</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-8">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="intake_invoice" id="intake_invoice"  data-placeholder="Select Intake">
                                                <option value="1"></option>
                                                <option value="2">2020</option>
                                                <option value="3">2021</option>
                                                <option value="4">2022</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-5">
                                          <div class="form-group mt-3">
                                             <label class="form-label">JGU Scholarship Code<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="jgu_code" id="jgu_code"  data-placeholder="Select Intake">
                                                <option value="1"></option>
                                                <option value="2">2020</option>
                                                <option value="3">2021</option>
                                                <option value="4">2022</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-5">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Currency<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="currency_search" id="currency_search"  data-placeholder="Select Intake Year">
                                                <option value="1"></option>
                                                <option value="2">INR</option>
                                                <option value="3">USD</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-5">
                                       <div class="form-group mt-3">
                                          <label class="form-label">Invoice Due Date From<sup class="text-danger">*</sup></label>
                                          <div class="input-group time">
                                             <input type="text" class="form-control datepicker" id="invoice_due_date_from" name="invoice_due_date_from" placeholder="" value="">
                                             <label for="invoice_due_date_from" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                          </div>
                                       </div>
                                    </div>
                                    <div class="col-md-5">
                                       <div class="form-group mt-3">
                                          <label class="form-label">Invoice Due Date Till<sup class="text-danger">*</sup></label>
                                          <div class="input-group time">
                                             <input type="text" class="form-control datepicker" id="invoice_due_date_till" name="invoice_due_date_till" placeholder="" value="">
                                             <label for="invoice_due_date_till" class="input-group-append input-group-addon"><span class="input-group-text py-2 rounded-0"><i class="lni lni-calendar"></i></label></span>
                                          </div>
                                       </div>
                                    </div>
                                    </div>
                                    
                                 </div>
                              </div>
                           </div>
                        </div>
                        <div class="mt-3">
                                    <button type="submit" class="btn btn-primary btn-sm py-1">
                                        Search
                                    </button>
                                    <button type="reset" class="btn btn-secondary btn-sm py-1">
                                    Reset
                                    </button>
                                </div>
                     </form>
                  </div>
                  <div class="search_result mt-4 border">
                     <div class="d-flex mb-4 border-bottom bg-light border-bottom py-2 px-3 align-items-center">
                        <div class="heading">
                           <h6 class="mb-0">List Of Invoices and Credit Notes</h6>
                        </div>
                     </div>
                     <div class="d-flex mb-4 border-bottom pb-4 px-3">
                        <div class="reset_password mx-1">
                           <button type="button" class="btn btn-secondary btn-sm py-1" onclick="reset_password()"><i class="fadeIn animated bx bx-copy"></i></button>
                        </div>
                        <div class="reset_password mx-1">
                           <button type="button" data-bs-toggle="tab" href="#announcements" role="tab" aria-selected="false" class="btn btn-secondary btn-sm py-1" onclick="send_message()"><i class="fadeIn animated bx bx-pencil"></i></button>
                        </div>
                        <div class="reset_password mx-1">
                           <button type="button" data-bs-toggle="tab" href="#announcements" role="tab" aria-selected="false" class="btn btn-secondary btn-sm py-1" onclick="send_message()"><i class="fadeIn animated bx bx-paste"></i></button>
                        </div>
                        <div class="reset_password mx-1">
                           <button type="button" data-bs-toggle="tab" href="#announcements" role="tab" aria-selected="false" class="btn btn-secondary btn-sm py-1" onclick="send_message()"><i class="lni lni-trash"></i></button>
                        </div>
                        <div class="dropdown mx-1">
                           <a href="javascript:void(0);" class="btn btn-secondary btn-sm py-1">
                           Cancel </a>
                           
                        </div>
                        <div class="dropdown mx-1">
                           <a href="javascript:void(0);" class="btn btn-secondary btn-sm py-1">
                           Send Invoice</a>
                           
                        </div>
                        
                     </div>
                     <div class="table-responsive">
                        <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                           <thead>
                              <tr>
                                 <th>ID</th>
                                 <th>Type</th>
                                 <th>Generati Type</th>
                                 <th>Student ID</th>
                                 <th>Student Name</th>
                                 <th>Student First Name</th>
                                 <th>Date</th>
                                 <th>Due Date</th>
                                 <th>Currency</th>
                                 <th>Settleme Status</th>
                                 <th>Total Ammount</th>
                                 <th>Currency Exchange Rate</th>
                                 <th>JGu Scholarship Ammount</th>
                                 <th>Billable Ammount</th>
                                 <th>Converte Ammount</th>
                                 <th>Settlement Details</th>
                              </tr>
                           </thead>
                           <tbody>
                              <tr>
                                 <td colspan="16" class="text-center">No record to display</td>
                              </tr>
                           </tbody>
                        </table>
                     </div>
                  </div>
               </div>
               <div class="tab-pane fade" id="import_discount" role="tabpanel">
                  <div class="">
                     <form class="">
                        <div class="row">
                           <div class="col-md-12">
                                 <div class="form-group mt-3">
                                    <div class="form-check form-check-inline">
                                       <input class="form-check-input" type="radio" name="templete_name" id="download_templete" value="1" checked onclick="get_templete('download_box')">
                                       <label class="form-check-label" for="download_templete">Download Templete</label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                       <input class="form-check-input" type="radio" name="templete_name" id="upload_templete" value="0" onclick="get_templete('upload_box')">
                                       <label class="form-check-label" for="upload_templete">Upload Templete</label>
                                    </div>
                                 </div>
                              </div>
                              <div class="templete_box px-4">
                                 <div id="download_box">
                                    <div class="row">
                                    <div class="col-md-12">
                                          <div class="form-group mt-3">
                                             <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="invoice_type" id="my_uploads" value="1" checked>
                                                <label class="form-check-label" for="my_uploads">Invoice</label>
                                             </div>
                                             <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="invoice_type" id="all_uploads" value="0">
                                                <label class="form-check-label" for="all_uploads">Credit Note</label>
                                             </div>
                                          </div>
                                    </div>
                                       <div class="col-md-10">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Brand Compus<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="brand_compus" id="brand_compus"  data-placeholder="Select Status">
                                                   <option value="1">JGP Global</option>
                                                   <option value="2">JGP School</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-10">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Program<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="program" id="program"  data-placeholder="Select Role">
                                       <option value=""></option>
                                          <option value="1">First</option>
                                          <option value="2">Second</option>
                                       </select>
                                    </div>
                                 </div>
                                       <div class="col-md-10">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Intake<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="intake_templete" id="intake_templete"  data-placeholder="Select Role">
                                          <option value="0"></option>
                                          <option value="2">2020</option>
                                          <option value="3">2021</option>
                                          <option value="4">2022</option>
                                       </select>
                                    </div>
                                 </div>
                                      
                               
                                 <div class="col-md-10">
                                    <div class="form-group mt-3">
                                       <label class="form-label">Seat Type<sup class="text-danger">*</sup></label>
                                       <select class="single-select form-select" name="seat_type" id="seat_type"  data-placeholder="Select Role">
                                          <option value=""></option>
                                          <option value="2">Seat Type 1</option>
                                          <option value="3">Seat Type 2</option>
                                       </select>
                                    </div>
                                    </div>
                                
                                 <div class="col-md-12">
                                    <div class="submit_btn mt-4">
                                       <button type="submit" class="btn btn-primary btn-sm py-1">Download Template</button>
                                       <button type="reset" class="btn btn-secondary btn-sm py-1">Reset</button>
                                    </div>
                                 </div>
                                    </div>
                                 </div>
                                 <div id="upload_box" style="display:none;">
                                    <div class="row">
                                    <div class="col-md-10">
                                          <div class="form-group mt-3">
                                             <label class="form-label">Brand Compus<sup class="text-danger">*</sup></label>
                                             <select class="single-select form-select" name="brand_compus_templete" id="brand_compus_templete"  data-placeholder="Select Status">
                                                   <option value="1">JGP Global</option>
                                                   <option value="2">JGP School</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-12">
                                          <div class="form-group mt-3">
                                             <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="temp_uploads" id="my_uploads" value="1" checked>
                                                <label class="form-check-label" for="my_uploads">My Uploads</label>
                                             </div>
                                             <div class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio" name="temp_uploads" id="all_uploads" value="0">
                                                <label class="form-check-label" for="all_uploads">All Uploads</label>
                                             </div>
                                          </div>
                                    </div>
                                       <div class="col-md-5 mt-3">
                                          <div class="form-group">
                                             <label class="form-label">Template Name<sup class="text-danger">*</sup></label>
                                             <input type="text" name="template_name" class="form-control" placeholder="" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-12">
                                    <label  class="form-label mt-3">Upload File</label>
                                    <div class="input-group ">
                                       <div class="col-md-12">
                                          <div class="custom-file">
                                             <input type="hidden" name="image_path" value="upload/student/">   
                                             <input type="hidden" name="image_name" value="image"> 
                                             <div class="row">
                                                <div class="col-7">
                                                   <input type="text" class="form-control" id="prev_input" value="">
                                                </div>
                                                <div class="col-5">
                                                   <div class="profile_img d-flex">
                                                      <div class="upload_img">
                                                         <button type="button" class="btn btn-primary btn-sm py-1" onclick="trigger_click()">Browse File</button>
                                                         <input type="file" class="custom-file form-control d-none" name="image" accept=".jpg,.jpeg,.png" id="profile" >
                                                      </div>                                                      
                                                   </div>
                                                </div>
                                             </div>
                                             <input type="hidden" name="file_id" id="file_id" value="">
                                             <i class="image_loader fa-btn-loader fa fa-refresh fa-spin fa-1x fa-fw" style="display:none;"></i>
                                          </div>
                                       </div>
                                    </div>
                                 </div>

                                 <div class="col-md-12">
                                    <div class="csv_file mt-4">
                                       <button type="submit" class="btn btn-primary btn-sm py-1">Upload Csv File</button>
                                       <button type="Reset" class="btn btn-secondary btn-sm py-1">Reset</button>
                                    </div>
                                 </div>
                                    </div>
                                    <div class="search_result mt-5 border">
                     
                     <div class="d-flex my-3 border-bottom pb-3 px-3">
                        <div class="reset_password mx-1">
                           <button type="button" class="btn btn-secondary btn-sm py-1" onclick="reset_password()"><i class="lni lni-radio-button"></i>  Refresh</button>
                        </div>
                        <div class="reset_password mx-1">
                           <button type="button" data-bs-toggle="tab" href="#announcements" role="tab" aria-selected="false" class="btn btn-secondary btn-sm py-1" onclick="send_message()"><i class="lni lni-radio-button"></i>  Force Run</button>
                        </div>
                     </div>
                     <div class="table-responsive">
                        <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                           <thead>
                              <tr>
                                 <th>Module Name</th>
                                 <th>Uploaded File Name</th>
                                 <th>Uploaded By</th>
                                 <th>Uploaded On</th>
                                 <th>Processing Status</th>
                                 <th>Processed On</th>
                                 <th>Bad Record</th>
                                 <th>Log File</th>
                              </tr>
                           </thead>
                           <tbody>
                              <tr>
                                 <td colspan="8" class="text-center">No record to display</td>
                              </tr>
                           </tbody>
                        </table>
                     </div>
                  </div>
                                 </div>
                              </div>
                        </div>
                     </form>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!--end breadcrumb-->
   <hr/>
</div>
<!--end page wrapper -->
@endsection
@section("page-js-script")
<script src="{{ asset('assets/plugins/datatable/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/js/dataTables.bootstrap5.min.js') }}"></script>
<script>
   $(document).ready(function(){
    $(".single-select").select2({
      theme: 'bootstrap4',
      width: $(this).data('width') ? $(this).data('width') : $(this).hasClass('w-100') ? '100%' : 'style',
      placeholder: $(this).data('placeholder'),
      allowClear: Boolean($(this).data('allow-clear')),
   });
   $('.datepicker').datepicker({ 
   autoclose: true,
        
    });
   });
   function get_columns(){
   $('#modal-default .modal-content').html('');
   $.ajax({ 
      'headers': {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }, 
     url :"{{ route('admin.student.get.columns') }}",  
     method:"post",  
     data:{},
     success:function(res){  
      $('#modal-sm .modal-content').html(res);
      $('#modal-sm').modal('show');
            
     }  
   });
   }

   function get_templete(id) {
			if(id == 'download_box'){
				$('#download_box').show();
				$('#upload_box').hide();
			}else{
				$('#download_box').hide();
				$('#upload_box').show();
			}
		}
   
</script>
@endsection