@extends("admin.layouts.app")
@section("style")
<link href="{{ asset('assets/plugins/datatable/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" />
@endsection
@section("wrapper")
<!--start page wrapper -->
<div class="page-wrapper">
  <div class="page-content">
    <!--breadcrumb-->
    <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
      <div class="breadcrumb-title pe-3">{{ ucfirst($module) }}</div>
      <div class="ms-auto">
        <a href="#!" class="btn btn-sm btn-danger mb-3 mb-lg-0" onclick="selected_delete();"><i class="bx bxs-trash"></i>Delete Selected</a>
        <a href="#!" class="btn btn-sm btn-primary mb-3 mb-lg-0" onclick="add('{{ $route->add }}')"><i class="bx bxs-plus-square"></i>New {{ $single_heading }}</a>
      </div>
    </div>
    <!--end breadcrumb-->
    <hr/>
    <div class="card">
      <div class="card-body">
        <ul class="nav nav-tabs nav-danger" role="tablist">
          <li class="nav-item" role="presentation">
            <a class="nav-link student_part active" data-bs-toggle="tab" href="#student_list" role="tab" aria-selected="true">
              <div class="d-flex align-items-center">
                <div class="tab-title">Student List</div>
              </div>
            </a>
          </li>
          <li class="nav-item" role="presentation">
            <a class="nav-link  announc_class" data-bs-toggle="tab" href="#announcements" role="tab" aria-selected="false" >
              <div class="d-flex align-items-center">
                <div class="tab-title">Announcements</div>
              </div>
            </a>
          </li>
        </ul>
        <div class="tab-content py-3  border-top">
          <div class="tab-pane fade show active" id="student_list" role="tabpanel">
            <div class="">
              <div class="card-body">
                <ul class="nav nav-tabs nav-primary" role="tablist">
                  <li class="nav-item" role="presentation">
                    <a class="nav-link active" data-bs-toggle="tab" href="#primaryhome" role="tab" aria-selected="true">
                      <div class="d-flex align-items-center">
                        <div class="tab-title">Search</div>
                      </div>
                    </a>
                  </li>
                  <li class="nav-item" role="presentation">
                    <a class="nav-link" data-bs-toggle="tab" href="#primaryprofile" role="tab" aria-selected="false">
                      <div class="d-flex align-items-center">
                        <div class="tab-title">Advance Search</div>
                      </div>
                    </a>
                  </li>
                </ul>
                <div class="tab-content py-3">
                  <div class="tab-pane fade  show active" id="primaryhome" role="tabpanel">
                  <div class="d-flex mb-4 border-bottom pb-4">
                            <form action="javascript:void(0);" enctype="multipart/form-data" id="import_category" onsubmit="import_excel(this, '{{ $route->import_file }}', 'import_category');" method="POST">
                            <div class="d-flex align-items-center" style="gap:10px;">
                                 <h6 class="m-0">Import Student List:</h6>
                                 <div>
                                    <div class="custom-file">
                                    <input type="file" class="custom-file" name="file" id="category_file">
                                    <i class="image_loader fa-btn-loader fa fa-refresh fa-spin fa-1x fa-fw" style="display:none;"></i>
                                 </div>
                                 </div>
                                 <div>
                                    <div class="exportbtn">
                                       <button type="submit" class="btn btn-info btn-sm text-white rounded-0">Import</button>
                                    </div>
                                 </div>
                              </div>
                              </form>
                          </div>



                    <form action="javascript:void(0);" method="post">
                      <div class="row">
                        <div class="col-md-4">
                          <div class="form-group mt-3">
                            <label class="form-label">Addmission Number</label>
                            <div class="position-relative">
                              <input type="search" class="form-control pr-5" id="addmission_number" name="addmission_number" placeholder="Enter 3 Char to auto search" value="">
                              <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                            </div>
                          </div>
                        </div>
                        <div class="col-md-4">
                          <div class="form-group mt-3">
                            <label class="form-label">Student ID/Name</label>
                            <div class="position-relative">
                              <input type="search" class="form-control pr-5" id="student_id" name="student_id" placeholder="Enter 3 Char to auto search" value="">
                              <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="accordion mt-4" id="accordionExample">
                        <div class="accordion-item">
                          <h2 class="accordion-header text-muted" id="headingOne">
                            <button class="accordion-button text-muted" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                            More Filters 
                            </button>
                          </h2>
                          <div id="collapseOne" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                            <div class="accordion-body">
                              <div class="row">
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Intake Year</label>
                                    <select class="single-select form-select" name="intake_year" id="intake_year"  data-placeholder="Select Role">
                                      <option value="" hidden></option>
                                      <option value="2015">2015</option>
                                      <option value="2016">2016</option>
                                      <option value="2017">2017</option>
                                      <option value="2018">2018</option>
                                      <option value="2019">2019</option>
                                      <option value="2020">2020</option>
                                      <option value="2021">2021</option>
                                      <option value="2022">2022</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Academic  Term</label>
                                    <select class="single-select form-select" name="academic_term" id="academic_term"  data-placeholder="Select Academic Term">
                                      <option value="" hidden></option>
                                      <option value="1">Academic  Term 1</option>
                                      <option value="2">Academic  Term 2</option>
                                      <option value="3">Academic  Term 3</option>
                                      <option value="4">Academic  Term 4</option>
                                      <option value="5">Academic  Term 5</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Class Category</label>
                                    <select class="single-select form-select" name="class_category" id="class_category"  data-placeholder="Select Class Category">
                                      <option value="" hidden></option>
                                      <option value="1">first</option>
                                      <option value="2">second</option>
                                      <option value="3">thired</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">School Phase</label>
                                    <select class="single-select form-select" name="class_category" id="school_phase"  data-placeholder="Select School Phase">
                                      <option value="" hidden></option>
                                      <option value="1">School Phase 1</option>
                                      <option value="2">School Phase 2</option>
                                      <option value="3">School Phase 3</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Program Code/Number</label>
                                    <select class="single-select form-select" name="program_code" id="program_code"  data-placeholder="Select School Phase">
                                      <option value="" hidden></option>
                                      <option value="1"> 1</option>
                                      <option value="2"> 2</option>
                                      <option value="3">3</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Intake</label>
                                    <select class="single-select form-select" name="intake_year" id="intake_year"  data-placeholder="Select Role">
                                      <option value="" hidden></option>
                                      <option value="2015">2015</option>
                                      <option value="2016">2016</option>
                                      <option value="2017">2017</option>
                                      <option value="2018">2018</option>
                                      <option value="2019">2019</option>
                                      <option value="2020">2020</option>
                                      <option value="2021">2021</option>
                                      <option value="2022">2022</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Period</label>
                                    <select class="single-select form-select" name="period" id="period"  data-placeholder="Select School Phase">
                                      <option value="" hidden></option>
                                      <option value="1"> 1</option>
                                      <option value="2"> 2</option>
                                      <option value="3">3</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Seat Type</label>
                                    <select class="single-select form-select" name="period" id="period"  data-placeholder="Select School Phase">
                                      <option value="" hidden></option>
                                      <option value="1"> 1</option>
                                      <option value="2"> 2</option>
                                      <option value="3">3</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Class</label>
                                    <select class="single-select form-select" name="class" id="class"  data-placeholder="Select School Phase">
                                      <option value="" hidden></option>
                                      <option value="1"> Bsc</option>
                                      <option value="2"> B.Come</option>
                                      <option value="3">BBA</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Course Code / Name</label>
                                    <select class="single-select form-select" name="course_code" id="course_code"  data-placeholder="Select School Phase">
                                      <option value="" hidden></option>
                                      <option value="1"> 1</option>
                                      <option value="2"> 2</option>
                                      <option value="3">3</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Course Variant</label>
                                    <select class="single-select form-select" name="course_variant" id="course_variant"  data-placeholder="Select School Phase">
                                      <option value="" hidden></option>
                                      <option value="1"> 1</option>
                                      <option value="2"> 2</option>
                                      <option value="3">3</option>
                                    </select>
                                  </div>
                                </div>
                              </div>
                              <div class="row">
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Status</label>
                                    <select class="single-select form-select" name="status" id="status"  data-placeholder="Select School Phase">
                                      <option value="1"> Active</option>
                                      <option value="0">InActive</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Admission Status</label>
                                    <select class="single-select form-select" name="admission_status" id="admission_status"  data-placeholder="Select School Phase">
                                      <option value="1"> Active</option>
                                      <option value="0">InActive</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Student Status</label>
                                    <select class="single-select form-select" name="student_status" id="student_status"  data-placeholder="Select School Phase">
                                      <option value="1"> Active</option>
                                      <option value="0">InActive</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3"> 
                                    <label class="form-label">Phone No.</label>
                                    <input type="text" class="form-control allowno" id="phone" name="phone" placeholder="" value="">
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Email Adderss</label>
                                    <input type="email" class="form-control" id="email" name="email" placeholder="" value="">
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Gender</label>
                                    <select class="single-select form-select" name="gender" id="gender"  data-placeholder="Select School Phase">
                                      <option value="1"> Female</option>
                                      <option value="0">Male</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label  class="form-label">Religion</label>
                                    <select class="single-select form-select" name="religion" id="religion"  data-placeholder="Select Religion">
                                      <option value="" hidden></option>
                                      <option value="1">Hinduism</option>
                                      <option value="2">Islam</option>
                                      <option value="3">Christianity</option>
                                      <option value="4">Sikhism</option>
                                      <option value="5">Buddhism</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label  class="form-label">Ethnicity</label>
                                    <select class="single-select form-select" name="ethnicity" id="ethnicity"  data-placeholder="Select Role">
                                      <option value="" hidden></option>
                                      <option value="1">Indian</option>
                                      <option value="2">Italian</option>
                                      <option value="3">Malian</option>
                                      <option value="4">Namibian</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Advisor Name</label>
                                    <div class="position-relative">
                                      <input type="text" class="form-control pe-5" name="advisor_name" placeholder="Enter 3 Char to auto search" value="">  <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">National ID</label>
                                    <div class="position-relative">
                                      <input type="text" class="form-control pe-5" name="national_id" placeholder="Enter 3 Char to auto search" value="">  <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">National ID</label>
                                    <div class="position-relative">
                                      <input type="text" class="form-control pe-5" name="national_id" placeholder="Enter 3 Char to auto search" value="">  <span class="position-absolute top-50 translate-middle-y" style="right:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Addmission Date From</label>
                                    <div class="position-relative">
                                      <input type="date" class="form-control pe-5" name="addmission_date" placeholder="" value="">  
                                    </div>
                                  </div>
                                </div>
                                <div class="col-md-4">
                                  <div class="form-group mt-3">
                                    <label class="form-label">Addmission Date Till</label>
                                    <div class="position-relative">
                                      <input type="date" class="form-control pe-5" name="addmission_date" placeholder="" value="">  
                                    </div>
                                  </div>
                                </div>
                                <div class="col-12">
                                  <div class="form-check mt-4">
                                    <input class="form-check-input" type="checkbox" value="1" id="debarred_student" name="debarred_student">
                                    <label class="form-check-label" for="is_agency">Debarred Students</label>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="col-12">
                        <div class="buttons mt-4">
                          <button type="submit" class="btn btn-primary btn-sm py-1">Search</button>
                          <button type="reset" class="btn btn-secondary btn-sm py-1">Reset</button>
                        </div>
                      </div>
                      <div class="search_result mt-5 border">
                        <div class="heading bg-light border-bottom p-3">
                          <h5>Search Result </h5>
                        </div>
                        <div class="table-responsive my-2  p-3">
                          <div class="d-flex mb-4 border-bottom pb-4">
                            <div class="reset_password">
                              <button type="button" class="btn btn-secondary btn-sm py-1" onclick="reset_password()">Reset Password</button>
                            </div>
                            <div class="reset_password mx-3">
                              <button type="button" data-bs-toggle="tab" href="#announcements" role="tab" aria-selected="false" class="btn btn-secondary btn-sm py-1" onclick="send_message()">Send Message</button>
                            </div>
                            <div class="dropdown">
                              <button type="button" class="btn btn-secondary btn-sm py-1 dropdown-toggle" data-bs-toggle="dropdown">
                              Print Documents
                              </button>
                              <ul class="dropdown-menu mt-2">
                                <li><a class="dropdown-item" href="#">Print Id Card</a></li>
                                <li><a class="dropdown-item" href="#">Print Tax Certificate</a></li>
                              </ul>
                            </div>
                            <div class="columns_part  mx-3">
                              <button type="button" class="btn btn-primary btn-sm py-1" onclick="get_columns()">Columns</button>
                            </div>
                            </div>
                            
                          <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                            <thead>
                              <tr>
                                <th><input class="form-check-input me-3" type="checkbox" id="checkAll" onclick="CheckAll(this);"> S.No.</th>
                                <th>Admission Number</th>
                                <th>Student Id</th>
                                <th>Student Name</th>
                                <th>Program</th>
                                <th>Intake</th>
                                <th>Class Code</th>
                                <th>Email Address</th>
                                <th>Mobile No.</th>
                                <th>Date Of Admission</th>
                                <th>Date Of Birth</th>
                                <th>Parent/Guardi 1 Full Name</th>
                                <th>Parent/Guardi 2 Full Name</th>
                                <th>Address</th>
                                <th>Status</th>
                                <th>Created </th>
                                <th>Action</th>
                              </tr>
                            </thead>
                            <tbody>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="tab-pane fade" id="primaryprofile" role="tabpanel">
                    <div class="card">
                      <div class="card-body">
                        <div class="accordion" id="accordionExample">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="headingOne">
                              <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#advancesearch" aria-expanded="true" aria-controls="advancesearch">
                              Search Criteria
                              </button>
                            </h2>
                            <div id="advancesearch" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                              <div class="accordion-body">
                                <div class="heading bg-light border-bottom p-3">
                                  <h5>Search Result </h5>
                                </div>
                                
                                <form active="" id="advance_search" method="" class="">
                                  <div class="row align-items-center">
                                    <div class="col-8">
                                      <div class="paragrah mt-3">
                                        <p>Choose Columns to Display (Maximum Selection of columns should not be more than 62)</p>
                                      </div>
                                    </div>
                                    <div class="col-4">
                                      <div class="form-group mt-3">
                                        <label  class="form-label">Choose Saved Report</label>
                                        <select class="single-select form-select" name="ethnicity" id="ethnicity"  data-placeholder="Select Role">
                                          <option value="" hidden></option>
                                          <option value="1">Report 1</option>
                                          <option value="2">Report 2</option>
                                          <option value="3">Report 3</option>
                                          <option value="4">Report 4</option>
                                        </select>
                                      </div>
                                    </div>
                                    <div class="col-3">
                                      <div class="form-group mt-3">
                                        <label  class="form-label w-100 bg-light mb-0 p-2 border">Available Columns</label>
                                        <select class="form-select" multiple name="available_columns" id="available_columns"  data-placeholder="Select Role">
                                          <option value="" hidden></option>
                                          <option value="1">Exam Result </option>
                                          <option value="2">Year Password </option>
                                          <option value="3">Address </option>
                                          <option value="4">Mobile Number</option>
                                          <option value="5">Addmission Number</option>
                                          <option value="6">Date of Birth</option>
                                        </select>
                                      </div>
                                    </div>
                                    <div class="col-2">
                                      <div class="text-center mt-3">
                                        <div class="arrow_btn">
                                          <button type="button" class="btn btn-secondary btn-sm py-1">
                                          <i class="lni lni-arrow-right"></i>
                                          </button>
                                        </div>
                                        <div class="arrow_btn mt-3">
                                          <button type="button" class="btn btn-secondary btn-sm py-1">
                                          <i class="lni lni-arrow-left"></i>
                                          </button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="col-3">
                                      <div class="form-group mt-3">
                                        <label  class="form-label w-100 bg-light mb-0 p-2 border">Selected Columns</label>
                                        <select class="form-select" multiple name="available_columns" id="available_columns"  data-placeholder="Select Role">
                                          <option value="" hidden></option>
                                          <option value="1">Exam Result </option>
                                          <option value="2">Year Password </option>
                                          <option value="3">Address </option>
                                          <option value="4">Mobile Number</option>
                                          <option value="5">Addmission Number</option>
                                          <option value="6">Date of Birth</option>
                                        </select>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="search_record p-2 my-5 bg-light border">
                                    <div class="row">
                                      <div class="col-8">
                                        <p class="mb-0">Search records where <button type="button" class="btn btn-secondary btn-sm py-1">all</button> of the following criteria applies</p>
                                      </div>
                                      <div class="col-4">
                                        <div class="d-flex justify-content-end">
                                          <div class="add_btn">
                                            <button type="button" class="btn btn-primary btn-sm py-1">+</button>
                                          </div>
                                          <div class="braket_btn mx-3">
                                            <button type="button" class="btn btn-primary btn-sm py-1">{+}</button>
                                          </div>
                                          <div class="remove_btn">
                                            <button type="button" class="btn btn-danger btn-sm py-1   text-center"><i class="bx bxs-trash m-auto" style="font-size:14px;"></i></button>
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="reset">
                                    <button type="reset" class="btn btn-secondary btn-sm py-1   text-center">
                                    Reset
                                    </button>
                                  </div>
                                </form>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="card">
                      <div class="card-body">
                        <div class="search_result mt-3 border">
                          <div class="heading bg-light border-bottom p-3">
                            <h5>Search Result </h5>
                          </div>
                          <div class="table-responsive mt-4  p-3">
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="tab-pane fade" id="announcements" role="tabpanel">
            <div class="heading bg-light border-bottom p-3">
              <h5>Announcement </h5>
            </div>
            <div class="card-body">
              <div>
                <form active="" class="" id="announcement_form" method="post">
                  <div class="form-group mt-4">
                    <label class="form-check-label" for="send_to1">Student To <sup class="text-danger"> *</sup></label><br>
                    <div class="form-check form-check-inline mt-2">                                          
                      <input class="form-check-input" name="send_to" type="checkbox" id="send_to1" value="student">
                      <label class="form-check-label" for="send_to1">Student</label>
                    </div>
                    <div class="form-check form-check-inline mt-2">                                          
                      <input class="form-check-input" name="send_to" type="checkbox" id="presnts" value="student">
                      <label class="form-check-label" for="presnts">Prents</label>
                    </div>
                    <div class="form-check form-check-inline mt-2">                                          
                      <input class="form-check-input" name="send_to" type="checkbox" id="free_payer" value="student">
                      <label class="form-check-label" for="free_payer">Free Payer</label>
                    </div>
                    <div class="form-check form-check-inline mt-2">                                          
                      <input class="form-check-input" name="send_to" type="checkbox" id="include_self" value="student" checked>
                      <label class="form-check-label" for="include_self">Include My Self</label>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-5">
                      <div class="form-group mt-3">
                        <label  class="form-label">Select Subject Type<sup class="text-danger"> *</sup></label>
                        <select class="form-select"  name="subject_type" id="subject_type"  data-placeholder="Select Role">
                          <option value="" hidden></option>
                          <option value="1">Exam Result </option>
                          <option value="2">Year Password </option>
                        </select>
                      </div>
                    </div>
                    <div class="col-5">
                      <div class="form-group mt-3">
                        <label  class="form-label"> Subject <sup class="text-danger"> *</sup></label>
                        <input class="form-control" name="subject" type="text" id="subject" value="">
                      </div>
                    </div>
                    <div class="col-10">
                      <div class="form-group mt-4">
                        <textarea class="form-control tinymceEditor" name="studenttext"  id="subject" value=""></textarea>
                      </div>
                    </div>
                    <div class="col-12">
                      <div class="form-group mt-3">
                        <label  class="form-label">Sending Priority<sup class="text-danger"> *</sup></label><br>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="sending_priority" id="sending_priority" value="1" checked>
                          <label class="form-check-label" for="sending_priority">Immediate </label>
                        </div>
                        <div class="form-check form-check-inline">
                          <input class="form-check-input" type="radio" name="sending_priority" id="schedule_priority" value="2" checked>
                          <label class="form-check-label" for="sending_priority">Schedule </label>
                        </div>
                      </div>
                    </div>
                    <div class="col-12 mt-4">
                      <button type="submit" class="btn btn-primary btn-sm py-1">Submit</button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!--end page wrapper -->
@endsection
@section("page-js-script")
<script src="{{ asset('assets/plugins/datatable/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/js/dataTables.bootstrap5.min.js') }}"></script>
<script src="https://cdn.tiny.cloud/1/ywqmxeye1bqw640inrzx59t5k336ioq2oad0rc5d4cydjlnt/tinymce/5/tinymce.min.js" referrerpolicy="origin"></script>
<script>
  $(document).ready(function(){
     $(".single-select").select2({
     theme: 'bootstrap4',
     width: $(this).data('width') ? $(this).data('width') : $(this).hasClass('w-100') ? '100%' : 'style',
     placeholder: $(this).data('placeholder'),
     allowClear: Boolean($(this).data('allow-clear')),
  });
  
  $(".allowno").keypress(function (e) {
  if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
  event.preventDefault();
  }
  }); 
  $('.allowno').on('paste',function (e){
  if (e.originalEvent.clipboardData.getData('Text').match(/[^\d]/)) {
  e.preventDefault();
  }
  });
  
  
  tinymce.init({
         selector: 'textarea.tinymceEditor',
           menu: {
           file: { title: 'File', items: 'newdocument restoredraft | preview | print ' },
           edit: { title: 'Edit', items: 'undo redo | cut copy paste | selectall | searchreplace' },
           view: { title: 'View', items: 'code | visualaid visualchars visualblocks | spellchecker | preview fullscreen' },
           insert: { title: 'Insert', items: 'image link media template codesample inserttable | charmap emoticons hr | pagebreak nonbreaking anchor toc | insertdatetime' },
           format: { title: 'Format', items: 'bold italic underline strikethrough superscript subscript codeformat | formats blockformats fontformats fontsizes align lineheight | forecolor backcolor | removeformat' },
           tools: { title: 'Tools', items: 'spellchecker spellcheckerlanguage | code wordcount' },
           table: { title: 'Table', items: 'inserttable | cell row column | tableprops deletetable' },
           help: { title: 'Help', items: 'help' }
         },
         height: 400,
         setup: function (editor) {
          editor.on('change', function () {
              editor.save();
          });
         },
         menubar: false,
         plugins: [
            'advlist autolink lists link image charmap print preview anchor',
            'searchreplace visualblocks code fullscreen',
            'insertdatetime media table paste code help wordcount'
         ],
         toolbar: 'undo redo | formatselect | ' +
         'bold italic backcolor | alignleft aligncenter ' +
         'alignright alignjustify | bullist numlist outdent indent | ' +
         'removeformat | help',
         content_style: 'body { font-family:Helvetica,Arial,sans-serif; font-size:14px }'
         });
  
  
        // user management
        window.dataTable = $('#dataTable').DataTable({
          'processing': true,
          'serverSide': true,
          'serverMethod': 'post',
          //'searching': false,
          'ajax': {
            'headers': {
                      'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                  },
             'url': "{{ $route->list }}",
             'data': function(data){
                   
             }
          },
          'lengthMenu': [10, 20, 50, 100, 200, 500],
          'columns': [
             {
                 data: 'sno',
                 
              }, 
  
  
            
  
  
             { data: 'admission_number' }, 
             {data :'student_id'},
             {data :'name'},
             {data :'program'},
             {data :'intake'},
             {data :'class_code'},
             {data :'email'},
             {data :'number'},
             {data :'admission_date'},
             {data :'birth_date'},
             {data :'parent_name_1'},
             {data :'parent_name_2'},
             {data :'address'},
             {data :'status'},
             { data: 'created_at' },
             { data: 'action' },
           ],
          "order": [[1, 'asc' ]],
           "columnDefs": [
  				{ 
  					"targets": [0,2,3,4,6], //first column / numbering column
  					"orderable": false, //set not orderable
  				}]
                 
  
        });
        $('#datatable').on('page.dt', function() {
           $('#checkAll').prop("checked", false);
           $('.filed_check').prop("checked", false);
       });
  });
  
  function CheckAll(e) {
       if ($('#checkAll').prop("checked") == true) {
           $('.filed_check').prop("checked", true);
       } else {
           $('.filed_check').prop("checked", false);
       }
   }
  
  
  function selected_delete() {
       var count = 0;
       $('.filed_check').each(function() {
           if ($(this).prop("checked") == true) {
               count++;
           }
       });
       if (count == 0) {
           toastr.error('Please select atleat one row', 'Error');
       } else {
           if (confirm("Are you sure, You want to delete selected rows ?")) {
              var ids = [];
               $('.filed_check').each(function() {
                   if ($(this).prop("checked") == true) {
                       ids.push($(this).val());
                   }
                  
               });
               $.ajax({     
                   url :"{{ route('admin.students.destroy.multiple') }}", 
                   headers: {
                           'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                   },  
                   method:"POST",  
                   data:{ids:ids},
                   success: function(data){ 
                      dataTable.draw(false); 
                      toastr.success(data.message,'Success');
                   }
                   
               }); 
           }
       }
   }
   
   function reset_password(){
  $('#modal-default .modal-content').html('');
  $.ajax({ 
     'headers': {
              'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
         }, 
    url :"{{ route('admin.student.reset.password') }}",  
    method:"post",  
    data:{},
    success:function(res){  
     $('#modal-sm .modal-content').html(res);
     $('#modal-sm').modal('show');
           
    }  
  });
  }
  
  function get_columns(){
  $('#modal-default .modal-content').html('');
  $.ajax({ 
     'headers': {
              'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
         }, 
    url :"{{ route('admin.student.get.columns') }}",  
    method:"post",  
    data:{},
    success:function(res){  
     $('#modal-sm .modal-content').html(res);
     $('#modal-sm').modal('show');
           
    }  
  });
  }
  function send_message(){
     $(".announc_class").trigger("click");
     
  }


  function import_excel(form,url,id){
	var form_data = new FormData(form);
	$.ajax({
	  type: "POST",
	  url :url, 
	  headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }, 
	  contentType: false,       
	  cache: false,             
	  processData:false,
	  dataType: "json",
	  data: form_data, 
	  success: function(res)
	  { 
		if(res.status == 0){
		  toastr.error(res.msg,'Error');
		}else{
		  toastr.success(res.msg,'Success');
		}
		$('#'+id).trigger("reset");
	  }
	});
}
</script>
@endsection