@extends("admin.layouts.app")
@section("style")
<link href="{{ asset('assets/plugins/Drag-And-Drop/dist/imageuploadify.min.css') }}" rel="stylesheet" />
@endsection
@section("wrapper")
<div class="page-wrapper">
<div class="page-content">
   <!--breadcrumb-->
   <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
      <div class="breadcrumb-title pe-3">Student Detail</div>
   </div>
   <div class="card py-4 mb-5">
      <div class="card-body p-4">
         <div class="row align-items-center">
            <div class="col-3">
               <div class="d-flex align-items-center">
                  <div class="">
                     <div class="student_img">
                        <?php if($info->FileId){ ?>
                        <img src="{{  asset($info->FileId->file) }}" id="image_prev" class="" alt="" width="100" height="100" >
                        <?php }else{ ?> 
                        <img src="" id="image_prev" class="" alt="" width="100" height="100" style="display:none">
                        <?php } ?>
                     </div>
                  </div>
                  <div class="px-3">
                     <div class="student_name">
                        <h6>Student ID</h6>
                        <p class="mb-0">{{ $info->student_id }}</p>
                     </div>
                  </div>
               </div>
            </div>
            <div class="col-3">
               <div class="student_name">
                  <h6>Student Name</h6>
                  <p class="mb-0"><i class="lni lni-users pe-1" style="font-size: 21px;"></i> {{ ucwords($info->first_name.' '.$info->last_name ) }}</p>
               </div>
            </div>
            <div class="col-3">
               <div class="student_name">
                  <h6>Mobile No.</h6>
                  <p class="mb-0"><i class="lni lni-phone pe-1" style="font-size: 21px;vertical-align: top;"></i> {{ $info->number }}</p>
               </div>
            </div>
            <div class="col-3">
               <div class="student_name">
                  <h6>Email ID.</h6>
                  <p class="mb-0"><i class="fadeIn animated bx bx-message-dots pe-1" style="font-size: 21px;vertical-align: sub;"></i> {{ $info->email }}</p>
               </div>
            </div>
         </div>
      </div>
   </div>
   <form  action="{{ $route->store }}" onsubmit="form_submit(this);return false;" method="POST">
      <input type="hidden" name="id" value="{{ $info->id }}">
      <div class="col-md-6">
         <div class="form-group mt-3">
            <input type="hidden" name="parent_name_1" class="form-control" placeholder="Enter Parent/Guardi 1 Full Name" value="{{ $info->parent_name_1 }}">
         </div>
      </div>
      <div class="col-md-6">
         <div class="form-group mt-3">
            <input type="hidden" name="parent_name_2" class="form-control" placeholder="Enter Parent/Guardi 2 Full Name" value="{{ $info->parent_name_2 }}">
         </div>
      </div>
      <div class="row">
         <div class="col-md-10">
         <div class="card">
         <div class="card-body">
            <ul class="nav nav-tabs nav-primary sidetab" role="tablist">
               <li class="nav-item" role="presentation">
                  <a class="nav-link active persnaol_detail" data-bs-toggle="tab" href="#persnaol_detail" role="tab" aria-selected="false" onclick="get_tab('persnaol_detail')">
                     <div class="d-flex align-items-center">
                        <div class="tab-title">Student Persnaol Detail</div>
                     </div>
                  </a>
               </li>
               <li class="nav-item" role="presentation">
                  <a class="nav-link  address" data-bs-toggle="tab" href="#address" role="tab" aria-selected="true" onclick="get_tab('address')">
                     <div class="d-flex align-items-center">
                        <div class="tab-title">Address</div>
                     </div>
                  </a>
               </li>
               <li class="nav-item" role="presentation">
                  <a class="nav-link parents_guardians" data-bs-toggle="tab" href="#parents_guardians" role="tab" aria-selected="false" onclick="get_tab('parents_guardians')">
                     <div class="d-flex align-items-center">
                        <div class="tab-title">Parents & Guardians</div>
                     </div>
                  </a>
               </li>
               <li class="nav-item" role="presentation">
                  <a class="nav-link sibling" data-bs-toggle="tab" href="# " role="tab" aria-selected="false" onclick="get_tab('sibling')">
                     <div class="d-flex align-items-center">
                        <div class="tab-title">Sibling</div>
                     </div>
                  </a>
               </li>
            </ul>
         </div>
      </div>
      <div class="tab-content py-3">
         <div class="tab-pane fade show active" id="persnaol_detail" role="tabpanel">
            <div class="card">
               <div class="card-body p-4">
                  <fieldset class="border" style="padding:revert;">
                     <legend>Student Persnaol Detail:</legend>
                     <div class="px-3 py-1">
                        <h6 class="text-muted mt-2">Personal Details</h6>
                        <div class="row">
                           <div class="col-md-3">
                              <div class="form-group mt-3">
                                 <label class="form-label">Addmission Number<sup class="text-danger">*</sup></label>
                                 <input type="text" name="admission_number" class="form-control" placeholder="Enter Addmission Number" value="{{ $info->admission_number }}">
                              </div>
                           </div>
                           <div class="col-md-3">
                              <div class="form-group mt-3">
                                 <label class="form-label">Student ID<sup class="text-danger">*</sup></label>
                                 <input type="text" name="student_id" class="form-control allowno" placeholder="Enter Your Student ID" value="{{ $info->student_id }}">
                              </div>
                           </div>
                           <div class="col-md-6">
                              <div class="row  mt-3">
                                 <div class="col-md-12">
                                    <label  class="form-label">Photo (<i>Select image size minimum 10kb</i>): </label>
                                    <div class="input-group ">
                                       <div class="col-md-12">
                                          <div class="custom-file">
                                             <input type="hidden" name="image_path" value="upload/student/">   
                                             <input type="hidden" name="image_name" value="image"> 
                                             <div class="row">
                                                <div class="col-7">
                                                   <input type="text" class="form-control" id="prev_input" value="">
                                                </div>
                                                <div class="col-5">
                                                   <div class="profile_img d-flex">
                                                      <div class="upload_img">
                                                         <button type="button" class="btn btn-primary btn-sm py-1" onclick="trigger_click()">Upload</button>
                                                         <input type="file" class="custom-file form-control d-none" name="image" onchange="student_image($(form),'{{ $route->upload }}','image','file_id')" accept=".jpg,.jpeg,.png" id="profile" >
                                                      </div>
                                                      <div class="snapshot mx-2">
                                                         <button type="button" class="btn btn-primary btn-sm py-1" onclick="snapshot_preview({{ $info->id }})">Snapshot</button>
                                                      </div>
                                                   </div>
                                                </div>
                                             </div>
                                             <input type="hidden" name="file_id" id="file_id" value="{{$info->file_id }}">
                                             <i class="image_loader fa-btn-loader fa fa-refresh fa-spin fa-1x fa-fw" style="display:none;"></i>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                           <div class="col-12">
                              <div class="form-check mt-4">
                                 <input class="form-check-input" type="checkbox" value="{{ $info->is_agency }}" id="is_agency" name="is_agency">
                                 <label class="form-check-label" for="is_agency">Is Agency Recruited</label>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-2">
                                 <label  class="form-label ">Salution</label>
                                 <select class="single-select form-select" name="salution" id="salution"  data-placeholder="Select Role">
                                 <option value="1" {{ $info->salution == 1 ? "selected" : "" }}>1</option>
                                 <option value="2" {{ $info->salution == 2 ? "selected" : "" }}>2</option>
                                 <option value="3" {{ $info->salution == 3 ? "selected" : "" }}>3</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-2">
                                 <label class="form-label">First Name</label>
                                 <input type="text" name="first_name" class="form-control"  value="{{ $info->first_name }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-2">
                                 <label class="form-label">Middle Name</label>
                                 <input type="text" name="middle_name" class="form-control" value="{{ $info->middle_name }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-2">
                                 <label class="form-label">Last Name</label>
                                 <input type="text" name="last_name" class="form-control"  value="{{ $info->last_name }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label class="form-label">Short Name</label>
                                 <input type="text" name="short_name" class="form-control"  value="{{ $info->short_name }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label class="form-label">Print Name</label>
                                 <input type="text" name="print_name" class="form-control"  value="{{ $info->print_name }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label ">Gender</label>
                                 <select class="single-select form-select" name="gender" id="gender"  data-placeholder="Select Role">
                                    <option value="" hidden>Select Gender</option>
                                    <option value="1" {{ $info->gender == 1 ? "selected" : "" }}>Female</option>
                                    <option value="2" {{ $info->gender == 2 ? "selected" : "" }}>Male</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label ">Filed of Interest</label>
                                 <select class="single-select form-select" name="filed_interest" id="filed_interest"  data-placeholder="Select Role">
                                    <option value="" hidden>Select Filed of Interest</option>
                                    <option value="1" {{ $info->filed_interest == 1 ? "selected" : "" }}>1</option>
                                    <option value="2" {{ $info->filed_interest == 2 ? "selected" : "" }}>2</option>
                                    <option value="3" {{ $info->filed_interest == 3 ? "selected" : "" }}>3</option>
                                    <option value="4" {{ $info->filed_interest == 4 ? "selected" : "" }}>4</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label class="form-label">First Name-Other Language</label>
                                 <input type="text" name="first_lang_name" class="form-control"  value="{{ $info->first_lang_name }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label class="form-label">Middle Name-Other Language</label>
                                 <input type="text" name="middle_lang_name" class="form-control"  value="{{ $info->middle_lang_name }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label class="form-label">Last Name-Other Language</label>
                                 <input type="text" name="last_lang_name" class="form-control"  value="{{ $info->last_lang_name }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label class="form-label">Short Name-Other Language</label>
                                 <input type="text" name="short_lang_name" class="form-control"  value="{{ $info->short_lang_name }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label class="form-label">Print Name-Other Language</label>
                                 <input type="text" name="print_lang_name" class="form-control"  value="{{ $info->print_lang_name }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Date Of Birth</label>
                                 <input type="date" class="form-control" name="birth_date" placeholder="Enter Your Date Of Birth" value="{{ $info->birth_date }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Place Of Birth</label>
                                 <input type="date" class="form-control" name="place_birth_date" placeholder="Enter Your Date Of Birth" value="{{ $info->place_birth_date }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Place Of Birth-Other Language</label>
                                 <input type="date" class="form-control" name="place_lang_birth_date" placeholder="Enter Your Date Of Birth" value="{{ $info->place_lang_birth_date }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Home Country</label>
                                 <select class="single-select form-select" name="country" id="country"  data-placeholder="Select Role">
                                    <option value="" hidden>Select Country</option>
                                    <option value="1" {{ $info->country == 1 ? "selected" : "" }}>India</option>
                                    <option value="2" {{ $info->country == 2 ? "selected" : "" }}>Egypt</option>
                                    <option value="3" {{ $info->country == 3 ? "selected" : "" }}>France</option>
                                    <option value="4" {{ $info->country == 4 ? "selected" : "" }}>Hong Kong S.A.R.</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Nationality</label>
                                 <select class="single-select form-select" name="nationality" id="nationality"  data-placeholder="Select Role">
                                    <option value="" hidden>Select Country</option>
                                    <option value="1" {{ $info->nationality == 1 ? "selected" : "" }}>Indian</option>
                                    <option value="2" {{ $info->nationality == 2 ? "selected" : "" }}>Italian</option>
                                    <option value="3" {{ $info->nationality == 3 ? "selected" : "" }}>Malian</option>
                                    <option value="4" {{ $info->nationality == 4 ? "selected" : "" }}>Namibian</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Secondary Citizenship</label>
                                 <select class="single-select form-select" name="citizenship" id="citizenship"  data-placeholder="Select Role">
                                    <option value="" hidden></option>
                                    <option value="1" {{ $info->citizenship == 1 ? "selected" : "" }}>Indian</option>
                                    <option value="2" {{ $info->citizenship == 2 ? "selected" : "" }}>Italian</option>
                                    <option value="3" {{ $info->citizenship == 3 ? "selected" : "" }}>Malian</option>
                                    <option value="4" {{ $info->citizenship == 4 ? "selected" : "" }}>Namibian</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">SADC Citizenship</label>
                                 <select class="single-select form-select" name="sadc_citizenship" id="sadc_citizenship"  data-placeholder="Select Role">
                                    <option value="" hidden></option>
                                    <option value="1" {{ $info->sadc_citizenship == 1 ? "selected" : "" }}>Indian</option>
                                    <option value="2" {{ $info->sadc_citizenship == 2 ? "selected" : "" }}>Italian</option>
                                    <option value="3" {{ $info->sadc_citizenship == 3 ? "selected" : "" }}>Malian</option>
                                    <option value="4" {{ $info->sadc_citizenship == 4 ? "selected" : "" }}>Namibian</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">National ID</label>
                                 <input type="text" class="form-control" name="national_id" value="{{ $info->national_id }}">
                              </div>
                           </div>
                        </div>
                        <div class="row">
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label class="form-label">Addmission Date<sup class="text-danger">*</sup></label>
                                 <input type="date" name="admission_date" class="form-control" placeholder="Enter Addmission Date" value="{{ $info->admission_date }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Domicile</label>
                                 <select class="single-select form-select" name="domicile" id="domicile"  data-placeholder="Select Role">
                                    <option value="" hidden></option>
                                    <option value="1" {{ $info->domicile == 1 ? "selected" : "" }}>Indian</option>
                                    <option value="2" {{ $info->domicile == 2 ? "selected" : "" }}>Italian</option>
                                    <option value="3" {{ $info->domicile == 3 ? "selected" : "" }}>Malian</option>
                                    <option value="4" {{ $info->domicile == 4 ? "selected" : "" }}>Namibian</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Exam Center</label>
                                 <select class="single-select form-select" name="exam_center" id="exam_center"  data-placeholder="Select Role">
                                    <option value="" hidden></option>
                                    <option value="1" {{ $info->exam_center == 1 ? "selected" : "" }}>Bhopal</option>
                                    <option value="2" {{ $info->exam_center == 2 ? "selected" : "" }}>Dewas</option>
                                    <option value="3" {{ $info->exam_center == 3 ? "selected" : "" }}>Indore</option>
                                    <option value="4" {{ $info->exam_center == 4 ? "selected" : "" }}>Ujjain</option>
                                 </select>
                              </div>
                           </div>
                        </div>
                        <div class="row">
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Current Activity</label>
                                 <select class="single-select form-select" name="current_activity" id="current_activity"  data-placeholder="Select Role">
                                    <option value="" hidden></option>
                                    <option value="1" {{ $info->current_activity == 1 ? "selected" : "" }}>test 1</option>
                                    <option value="2" {{ $info->current_activity == 2 ? "selected" : "" }}>test 2</option>
                                    <option value="3" {{ $info->current_activity == 3 ? "selected" : "" }}>test 3</option>
                                    <option value="4" {{ $info->current_activity == 4 ? "selected" : "" }}>test 4</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Disabilities<sup class="text-danger">*</sup></label>
                                 <select class="single-select form-select" name="disabilities" id="disabilities"  data-placeholder="Select Role">
                                    <option value="" hidden></option>
                                    <option value="1" {{ $info->disabilities == 1 ? "selected" : "" }}>test 1</option>
                                    <option value="2" {{ $info->disabilities == 2 ? "selected" : "" }}>test 2</option>
                                    <option value="3" {{ $info->disabilities == 3 ? "selected" : "" }}>test 3</option>
                                    <option value="4" {{ $info->disabilities == 4 ? "selected" : "" }}>test 4</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Current Educational Interventions<sup class="text-danger">*</sup></label>
                                 <div class="">
                                    <select class="single-select form-select" name="educational_intervention" id="educational_intervention"  data-placeholder="Select Role">
                                       <option value="" hidden></option>
                                       <option value="1" {{ $info->educational_intervention == 1 ? "selected" : "" }}>test 1</option>
                                       <option value="2" {{ $info->educational_intervention == 2 ? "selected" : "" }}>test 2</option>
                                       <option value="3" {{ $info->educational_intervention == 3 ? "selected" : "" }}>test 3</option>
                                       <option value="4" {{ $info->educational_intervention == 4 ? "selected" : "" }}>test 4</option>
                                    </select>
                                 </div>
                              </div>
                           </div>
                        </div>
                        <div class="row">
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Area Of Research</label>
                                 <select class="single-select form-select" name="area_research" id="area_research"  data-placeholder="Select Role">
                                    <option value="" hidden></option>
                                    <option value="1" {{ $info->area_research == 1 ? "selected" : "" }}>test 1</option>
                                    <option value="2" {{ $info->area_research == 2 ? "selected" : "" }}>test 2</option>
                                    <option value="3" {{ $info->area_research == 3 ? "selected" : "" }}>test 3</option>
                                    <option value="4" {{ $info->area_research == 4 ? "selected" : "" }}>test 4</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label class="form-label">Student Status</label>
                                 <input type="text" name="student_status" class="form-control" value="{{ $info->student_status }}">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label class="form-label">Advisor Name</label>
                                 <div class="position-relative">
                                    <input type="text" class="form-control ps-5" name="advisor_name" placeholder="Enter 3 Char to auto search" value="{{ $info->advisor_name }}"> <span class="position-absolute top-50 product-show translate-middle-y"><i class="bx bx-search"></i></span>
                                 </div>
                              </div>
                           </div>
                           <div class="col-12">
                              <div class="form-check mt-4">
                                 <input class="form-check-input" type="checkbox" value="{{ $info->mid_joinee }}" id="mid_joinee" name="mid_joinee">
                                 <label class="form-check-label" for="mid_joinee">Mid Term Joinee</label>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Correspondence Language</label>
                                 <select class="single-select form-select" name="correspondence_language" id="correspondence_language"  data-placeholder="Select Role">
                                    <option value="" hidden></option>
                                    <option value="1" {{ $info->correspondence_language == 1 ? "selected" : "" }}>Indian</option>
                                    <option value="2" {{ $info->correspondence_language == 2 ? "selected" : "" }}>Italian</option>
                                    <option value="3" {{ $info->correspondence_language == 3 ? "selected" : "" }}>Malian</option>
                                    <option value="4" {{ $info->correspondence_language == 4 ? "selected" : "" }}>Namibian</option>
                                 </select>
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Contact Language</label>
                                 <select class="single-select form-select" name="contact_language" id="contact_language"  data-placeholder="Select Role">
                                    <option value="" hidden></option>
                                    <option value="1" {{ $info->contact_language == 1 ? "selected" : "" }}>Bhopal</option>
                                    <option value="2" {{ $info->contact_language == 2 ? "selected" : "" }}>Dewas</option>
                                    <option value="3" {{ $info->contact_language == 3 ? "selected" : "" }}>Indore</option>
                                    <option value="4" {{ $info->contact_language == 4 ? "selected" : "" }}>Ujjain</option>
                                 </select>
                              </div>
                           </div>
                        </div>
                        <div class="row">
                           <div class="col-md-3">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Wheel Chair Required</label><br>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="wheel_chair" id="wheel_chair" value="1" {{ $info->wheel_chair == 1 ? "checked" : "" }}>
                                    <label class="form-check-label" for="wheel_chair">Yes</label>
                                 </div>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="wheel_chair" id="wheel_chair" value="0" {{ $info->wheel_chair == 0 ? "checked" : "" }}>
                                    <label class="form-check-label" for="wheel_chair">No</label>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-3">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Permanent Residency</label><br>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="permanent_residency" id="permanent_residency" value="1" {{ $info->permanent_residency == 1 ? "checked" : "" }}>
                                    <label class="form-check-label" for="permanent_residency">Yes</label>
                                 </div>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="permanent_residency" id="permanent_residency" value="0" {{ $info->permanent_residency == 0 ? "checked" : "" }}>
                                    <label class="form-check-label" for="permanent_residency">No</label>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-3">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Asylum Seeker</label><br>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="asylum" id="asylum" value="1" {{ $info->asylum == 1 ? "checked" : "" }}>
                                    <label class="form-check-label" for="asylum">Yes</label>
                                 </div>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="asylum" id="asylum" value="0" {{ $info->asylum == 0 ? "checked" : "" }}>
                                    <label class="form-check-label" for="asylum">No</label>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-3">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Are you a refugee?</label><br>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="refugee" id="refugee" value="1" {{ $info->refugee == 1 ? "checked" : "" }}>
                                    <label class="form-check-label" for="refugee">Yes</label>
                                 </div>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="refugee" id="refugee" value="0" {{ $info->refugee == 0 ? "checked" : "" }}>
                                    <label class="form-check-label" for="refugee">No</label>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-3">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Ded you or are  you currently studying at a tertiary institution</label><br>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="institution" id="institution" value="1" {{ $info->institution == 1 ? "checked" : "" }}>
                                    <label class="form-check-label" for="institution">Yes</label>
                                 </div>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="institution" id="institution" value="0" {{ $info->institution == 0 ? "checked" : "" }}>
                                    <label class="form-check-label" for="institution">No</label>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-3">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Military Sponsored?</label><br>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="sponsored" id="sponsored" value="1" {{ $info->sponsored == 1 ? "checked" : "" }}>
                                    <label class="form-check-label" for="sponsored">Yes</label>
                                 </div>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="sponsored" id="sponsored" value="0" {{ $info->sponsored == 0 ? "checked" : "" }}>
                                    <label class="form-check-label" for="sponsored">No</label>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-3">
                              <div class="form-group mt-3">
                                 <label  class="form-label">PhD Sponsored</label><br>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="phd_sponsored" id="phd_sponsored" value="1" {{ $info->phd_sponsored == 1 ? "checked" : "" }}>
                                    <label class="form-check-label" for="phd_sponsored">DOD</label>
                                 </div>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="phd_sponsored" id="phd_sponsored " value="0" {{ $info->phd_sponsored == 0 ? "checked" : "" }}>
                                    <label class="form-check-label" for="phd_sponsored">Myself</label>
                                 </div>
                              </div>
                           </div>
                           <div class="col-md-3">
                              <div class="form-group mt-3">
                                 <label  class="form-label">Bursary Requirements</label><br>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="bursary_requirements" id="bursary_requirements" value="1" {{ $info->bursary_requirements == 1 ? "checked" : "" }}>
                                    <label class="form-check-label" for="bursary_requirements">Yes</label>
                                 </div>
                                 <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="bursary_requirements" id="bursary_requirements " value="0" {{ $info->bursary_requirements == 0 ? "checked" : "" }}>
                                    <label class="form-check-label" for="bursary_requirements">No</label>
                                 </div>
                              </div>
                           </div>
                        </div>
                        <div class="row">
                           <div class="col-md-12">
                              <h6 class="text-muted mt-3">Contact Information</h6>
                              <i>Please enter a contact number and an Email Address to be contacted on <sup class="text-danger">*</sup></i>
                              <div class="form-group mt-3">
                                 <label  class="form-label">Phone No.</label>
                                 <div class="row">
                                    <div class="col-3">
                                       <select class="single-select form-select" name="phone_code" id="phone_code"  data-placeholder="Select Role">
                                          <option value="" hidden></option>
                                          <option value="+91" {{ $info->phone_code == +91 ? "selected" : "" }}>+91</option>
                                          <option value="+92" {{ $info->phone_code == +92 ? "selected" : "" }}>+92</option>
                                          <option value="+90" {{ $info->phone_code == +90 ? "selected" : "" }}>+90</option>
                                       </select>
                                    </div>
                                    <div class="col-md-4">
                                       <div class="">
                                          <input type="text" name="number" class="form-control" value="{{ $info->number }}">
                                       </div>
                                    </div>
                                    <div class="col-md-5">
                                       <div class="">
                                          <input type="email" name="email" class="form-control" value="{{ $info->email }}">
                                       </div>
                                    </div>
                                 </div>
                              </div>
                              <div class="form-group mt-3">
                                 <label  class="form-label">Alrernate Mobile No.</label>
                                 <div class="row">
                                    <div class="col-3">
                                       <select class="single-select form-select" name="phone_code" id="phone_code"  data-placeholder="Select Role">
                                          <option value="" hidden></option>
                                          <option value="+91" {{ $info->phone_code == +91 ? "selected" : "" }}>+91</option>
                                          <option value="+92" {{ $info->phone_code == +92 ? "selected" : "" }}>+92</option>
                                          <option value="+90" {{ $info->phone_code == +90 ? "selected" : "" }}>+90</option>
                                       </select>
                                    </div>
                                    <div class="col-md-4">
                                       <div class="">
                                          <input type="text" name="alternate_number" class="form-control" value="{{ $info->number }}">
                                       </div>
                                    </div>
                                 </div>
                              </div>
                              <div class="form-group mt-3">
                                 <label  class="form-label">Email Address.<sup class="text-danger">*</sup></label>
                                 <div class="row">
                                    <div class="col-md-4">
                                       <input type="text" name="email" class="form-control" value="{{ $info->email }}">
                                    </div>
                                    <div class="col-md-4">
                                       <div class="">
                                          <input type="text" name="alternate_email" class="form-control" value="{{ $info->alternate_email }}">
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </fieldset>
               </div>
            </div>
            <div class="card">
               <div class="card-body">
                  <div class="row">
                     <div class="col-md-12">
                        <div class="accordion" id="accordionExample">
                           <div class="accordion-item">
                              <h2 class="accordion-header" id="headingOne">
                                 <button class="accordion-button text-muted" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                 Other Details
                                 </button>
                              </h2>
                              <div id="collapseOne" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                 <div class="p-3">
                                    <?php if(!empty($other_detail)){?>
                                    <div class="row">
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Examination Board Number</label>
                                             <input type="text" name="board_number" class="form-control" value="{{ $other_detail->board_number }}">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Blode Group</label>
                                             <select class="single-select form-select" name="blode_group" id="blode_group"  data-placeholder="Select Blode Group">
                                                <option value="" hidden></option>
                                                <option value="1" {{ $other_detail->blode_group == 1 ? "selected" : "" }} >A+</option>
                                                <option value="2" {{ $other_detail->blode_group == 2 ? "selected" : "" }}>A</option>
                                                <option value="3" {{ $other_detail->blode_group == 3 ? "selected" : "" }}>B+</option>
                                                <option value="4" {{ $other_detail->blode_group == 4 ? "selected" : "" }}>B</option>
                                                <option value="5" {{ $other_detail->blode_group == 5 ? "selected" : "" }}>O</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Marital Status</label>
                                             <select class="single-select form-select" name="marital_status" id="marital_status"  data-placeholder="Select Marital Status">
                                                <option value="" hidden></option>
                                                <option value="0" {{ $other_detail->marital_status == 0 ? "selected" : "" }}>Married</option>
                                                <option value="1" {{ $other_detail->marital_status == 1 ? "selected" : "" }}>Unmarried</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Religion</label>
                                             <select class="single-select form-select" name="religion" id="religion"  data-placeholder="Select Religion">
                                                <option value="" hidden></option>
                                                <option value="1" {{ $other_detail->religion == 1 ? "selected" : "" }}>Hinduism</option>
                                                <option value="2" {{ $other_detail->religion == 2 ? "selected" : "" }}>Islam</option>
                                                <option value="3" {{ $other_detail->religion == 3 ? "selected" : "" }}>Christianity</option>
                                                <option value="4" {{ $other_detail->religion == 4 ? "selected" : "" }}>Sikhism</option>
                                                <option value="5" {{ $other_detail->religion == 5 ? "selected" : "" }}>Buddhism</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Cast Category</label>
                                             <select class="single-select form-select" name="cast_category" id="cast_category"  data-placeholder="Select Cast Category
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1" {{ $other_detail->cast_category == 1 ? "selected" : "" }}>OBC</option>
                                                <option value="2" {{ $other_detail->cast_category == 2 ? "selected" : "" }}>Genral</option>
                                                <option value="3" {{ $other_detail->cast_category == 3 ? "selected" : "" }}>ST</option>
                                                <option value="4" {{ $other_detail->cast_category == 4 ? "selected" : "" }}>SC</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Post Number</label>
                                             <input type="text" name="post_number" class="form-control" value="{{ $other_detail->post_number }}">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Family Income</label>
                                             <input type="number" name="family_income" class="form-control" value="{{ $other_detail->family_income }}">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Accounting Key</label>
                                             <input type="text" name="accounting_key" class="form-control" value="{{ $other_detail->accounting_key }}">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Valid Till</label>
                                             <input type="date" name="valid_till" class="form-control" value="{{ $other_detail->valid_till }}">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">HDCSA Registration Number</label>
                                             <input type="text" name="registration_number" class="form-control" value="{{ $other_detail->registration_number }}">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Arms Of Service</label>
                                             <select class="single-select form-select" name="arms_service" id="arms_service"  data-placeholder="Select Arms Of Service
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1" {{ $other_detail->arms_service == 1 ? "selected" : "" }}>Service 1</option>
                                                <option value="2" {{ $other_detail->arms_service == 2 ? "selected" : "" }}>Service 2</option>
                                                <option value="3" {{ $other_detail->arms_service == 3 ? "selected" : "" }}>Service 3</option>
                                                <option value="4" {{ $other_detail->arms_service == 4 ? "selected" : "" }}>Service 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Mustering</label>
                                             <select class="single-select form-select" name="mustering" id="mustering"  data-placeholder="Select Mustering
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1" {{ $other_detail->mustering == 1 ? "selected" : "" }}>Mustering 1</option>
                                                <option value="2" {{ $other_detail->mustering == 2 ? "selected" : "" }}>Mustering 2</option>
                                                <option value="3" {{ $other_detail->mustering == 3 ? "selected" : "" }}>Mustering 3</option>
                                                <option value="4" {{ $other_detail->mustering == 4 ? "selected" : "" }}>Mustering 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Language</label>
                                             <select class="single-select form-select" name="language" id="language"  data-placeholder="Select Language
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1" {{ $other_detail->language == 1 ? "selected" : "" }}>language 1</option>
                                                <option value="2" {{ $other_detail->language == 2 ? "selected" : "" }}>language 2</option>
                                                <option value="3" {{ $other_detail->language == 3 ? "selected" : "" }}>language 3</option>
                                                <option value="4" {{ $other_detail->language == 4 ? "selected" : "" }}>language 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-2">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Read</label>
                                             <select class="single-select form-select" name="read" id="read"  data-placeholder="Select Read
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1" {{ $other_detail->read == 1 ? "selected" : "" }}>Read 1</option>
                                                <option value="2" {{ $other_detail->read == 2 ? "selected" : "" }}>Read 2</option>
                                                <option value="3" {{ $other_detail->read == 3 ? "selected" : "" }}>Read 3</option>
                                                <option value="4" {{ $other_detail->read == 4 ? "selected" : "" }}>Read 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-2">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Write</label>
                                             <select class="single-select form-select" name="write" id="write"  data-placeholder="Select Read
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1" {{ $other_detail->write == 1 ? "selected" : "" }}>Write 1</option>
                                                <option value="2" {{ $other_detail->speak == 1 ? "selected" : "" }}>Write 2</option>
                                                <option value="3"{{ $other_detail->speak == 1 ? "selected" : "" }} >Write 3</option>
                                                <option value="4" {{ $other_detail->speak == 1 ? "selected" : "" }}>Write 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-2">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Speak</label>
                                             <select class="single-select form-select" name="speak" id="speak"  data-placeholder="Select Speak
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1" {{ $other_detail->speak == 1 ? "selected" : "" }}>Speak 1</option>
                                                <option value="2" {{ $other_detail->speak == 2 ? "selected" : "" }}>Speak 2</option>
                                                <option value="3" {{ $other_detail->speak == 3 ? "selected" : "" }}>Speak 3</option>
                                                <option value="4" {{ $other_detail->speak == 4 ? "selected" : "" }}>Speak 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-2">
                                          <div class="mt-3 pt-4">
                                             <button type="button" class="btn btn-primary py-1 mt-1">+</button>
                                          </div>
                                       </div>
                                    </div>
                                    <?php }else{ ?>
                                    <div class="row">
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Examination Board Number</label>
                                             <input type="text" name="board_number" class="form-control" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Blode Group</label>
                                             <select class="single-select form-select" name="blode_group" id="blode_group"  data-placeholder="Select Blode Group">
                                                <option value="" hidden></option>
                                                <option value="1" >A+</option>
                                                <option value="2">A</option>
                                                <option value="3">B+</option>
                                                <option value="4">B</option>
                                                <option value="5">O</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Marital Status</label>
                                             <select class="single-select form-select" name="marital_status" id="marital_status"  data-placeholder="Select Marital Status">
                                                <option value="" hidden></option>
                                                <option value="0">Married</option>
                                                <option value="1">Unmarried</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Religion</label>
                                             <select class="single-select form-select" name="religion" id="religion"  data-placeholder="Select Religion">
                                                <option value="" hidden></option>
                                                <option value="1">Hinduism</option>
                                                <option value="2">Islam</option>
                                                <option value="3">Christianity</option>
                                                <option value="4">Sikhism</option>
                                                <option value="5">Buddhism</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Cast Category</label>
                                             <select class="single-select form-select" name="cast_category" id="cast_category"  data-placeholder="Select Cast Category
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1">OBC</option>
                                                <option value="2">Genral</option>
                                                <option value="3">ST</option>
                                                <option value="4">SC</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Post Number</label>
                                             <input type="text" name="post_number" class="form-control" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Family Income</label>
                                             <input type="number" name="family_income" class="form-control" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Accounting Key</label>
                                             <input type="text" name="accounting_key" class="form-control" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Valid Till</label>
                                             <input type="date" name="valid_till" class="form-control" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">HDCSA Registration Number</label>
                                             <input type="text" name="registration_number" class="form-control" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Arms Of Service</label>
                                             <select class="single-select form-select" name="arms_service" id="arms_service"  data-placeholder="Select Arms Of Service
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1">Service 1</option>
                                                <option value="2">Service 2</option>
                                                <option value="3">Service 3</option>
                                                <option value="4">Service 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Mustering</label>
                                             <select class="single-select form-select" name="mustering" id="mustering"  data-placeholder="Select Mustering
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1">Mustering 1</option>
                                                <option value="2">Mustering 2</option>
                                                <option value="3">Mustering 3</option>
                                                <option value="4">Mustering 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Language</label>
                                             <select class="single-select form-select" name="language" id="language"  data-placeholder="Select Language
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1">language 1</option>
                                                <option value="2">language 2</option>
                                                <option value="3">language 3</option>
                                                <option value="4">language 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-2">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Read</label>
                                             <select class="single-select form-select" name="read" id="read"  data-placeholder="Select Read
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1">Read 1</option>
                                                <option value="2">Read 2</option>
                                                <option value="3">Read 3</option>
                                                <option value="4">Read 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-2">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Write</label>
                                             <select class="single-select form-select" name="write" id="write"  data-placeholder="Select Read
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1">Write 1</option>
                                                <option value="2">Write 2</option>
                                                <option value="3">Write 3</option>
                                                <option value="4">Write 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-2">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Speak</label>
                                             <select class="single-select form-select" name="speak" id="speak"  data-placeholder="Select Speak
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1">Speak 1</option>
                                                <option value="2">Speak 2</option>
                                                <option value="3">Speak 3</option>
                                                <option value="4">Speak 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-2">
                                          <div class="mt-3 pt-4">
                                             <button type="button" class="btn btn-primary py-1 mt-1">+</button>
                                          </div>
                                       </div>
                                    </div>
                                    <?php } ?>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="card">
               <div class="card-body">
                  <div class="row">
                     <div class="col-md-12">
                        <div class="accordion" id="accordionExample">
                           <div class="accordion-item">
                              <h2 class="accordion-header" id="headingOne">
                                 <button class="accordion-button text-muted" type="button" data-bs-toggle="collapse" data-bs-target="#bank_detail" aria-expanded="true" aria-controls="bank_detail">
                                 Bank Details
                                 </button>
                              </h2>
                              <div id="bank_detail" class="accordion-collapse collapse" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
                                 <div class="p-3">
                                    <?php if(!empty($bank_detail)){?>
                                    <div class="row">
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Beneficiary Name</label>
                                             <input type="text" name="beneficiary_name" class="form-control" value="{{ $bank_detail->beneficiary_name }}">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Beneficiary Name-Other Language</label>
                                             <input type="text" name="beneficiary_name_language" class="form-control" value="{{ $bank_detail->beneficiary_name_language }}">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Account Number</label>
                                             <input type="text" name="account_number" class="form-control" value="{{ $bank_detail->account_number }}">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Account Type</label>
                                             <select class="single-select form-select" name="account_type" id="account_type"  data-placeholder="Select Speak
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1" {{ $bank_detail->account_type == 1 ? "selected" : "" }}>Type 1</option>
                                                <option value="2" {{ $bank_detail->account_type == 2 ? "selected" : "" }}>Type 2</option>
                                                <option value="3" {{ $bank_detail->account_type == 3 ? "selected" : "" }}>Type 3</option>
                                                <option value="4" {{ $bank_detail->account_type == 4 ? "selected" : "" }}>Type 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Bank Name</label>
                                             <input type="text" name="bank_name" class="form-control" value="{{ $bank_detail->bank_name }}">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">IFSC Code</label>
                                             <input type="text" name="ifsc_code" class="form-control" value="{{ $bank_detail->ifsc_code }}">
                                          </div>
                                       </div>
                                    </div>
                                    <?php }else{ ?>
                                    <div class="row">
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Beneficiary Name</label>
                                             <input type="text" name="beneficiary_name" class="form-control" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Beneficiary Name-Other Language</label>
                                             <input type="text" name="beneficiary_name_language" class="form-control" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Account Number</label>
                                             <input type="text" name="account_number" class="form-control" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Account Type</label>
                                             <select class="single-select form-select" name="account_type" id="account_type"  data-placeholder="Select Speak
                                                ">
                                                <option value="" hidden></option>
                                                <option value="1" >Type 1</option>
                                                <option value="2">Type 2</option>
                                                <option value="3">Type 3</option>
                                                <option value="4">Type 4</option>
                                             </select>
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">Bank Name</label>
                                             <input type="text" name="bank_name" class="form-control" value="">
                                          </div>
                                       </div>
                                       <div class="col-md-4">
                                          <div class="form-group mt-3">
                                             <label  class="form-label">IFSC Code</label>
                                             <input type="text" name="ifsc_code" class="form-control" value="">
                                          </div>
                                       </div>
                                    </div>
                                    <?php } ?>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="card">
               <div class="card-body">
                  <div class="d-flex justify-content-between">
                     <a href="{{ url('admin/student-list') }}" class="btn btn-secondary">Back</a>
                     <button type="submit" class="btn btn-primary">Save <i class="st_loader spinner-border spinner-border-sm" style="display:none;"></i></button>
                  </div>
               </div>
            </div>
   </form>
   </div>
            <div class="tab-pane fade" id="address" role="tabpanel">
               <div class="card">
                  <div class="card-body">
                     <form action="" method="post" class="address_submit">
                        <div class="row">
                           <div class="col-2">
                               <div class="form-group mt-3">
                                  <label class="form-label">Select Address</label>
                                  
                              </div>
                           </div>
                           <div class="col-4">
                           <div class="form-group mt-3">
                                          <select class="single-select form-select" name="address" id="address"  data-placeholder="Select School Phase">
                                             <option value="1"> Self Address</option>
                                             <option value="2">Parent/Guardian 1 Address</option>
                                             <option value="3">Parent/Guardian 2 Address</option>
                                             <option value="4">Parent/Guardian 3 Address</option>
                                             <option value="5">Local Guardian Address</option>
                                          </select>
                                       </div>
                           </div>
                        </div>
                        <div class="address_section mt-5">
                           <div class="row">
                                 <div class="col-md-6">
                                    <div class="common_box border mb-4">
                                       <div class="heading border-bottom">
                                          <h6 class="text-secondary bg-light py-2 px-3 mb-0">Current Address</h6>
                                       </div>
                                       <div class="bottom_section  py-2 px-3 my-2">
                                          <p>Address Not Added</p>
                                          <div class="address_btn">
                                             <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="add_address()">
                                                Address
                                             </a>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="common_box border mb-4">
                                       <div class="heading border-bottom">
                                          <h6 class="text-secondary bg-light py-2 px-3 mb-0">Address For Correspondence</h6>
                                       </div>
                                       <div class="bottom_section  py-2 px-3 my-2">
                                          <p>Address Not Added</p>
                                          <div class="address_btn">
                                             <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="add_address()">
                                                Address
                                             </a>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="common_box border mb-4">
                                       <div class="heading border-bottom">
                                          <h6 class="text-secondary bg-light py-2 px-3 mb-0">Permanent Address</h6>
                                       </div>
                                       <div class="bottom_section  py-2 px-3 my-2">
                                          <p>Address Not Added</p>
                                          <div class="address_btn">
                                             <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="add_address()">
                                                Address
                                             </a>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                                 <div class="col-md-6">
                                    <div class="common_box border mb-4">
                                       <div class="heading border-bottom">
                                          <h6 class="text-secondary bg-light py-2 px-3 mb-0">Office Address</h6>
                                       </div>
                                       <div class="bottom_section  py-2 px-3 my-2">
                                          <p>Address Not Added</p>
                                          <div class="address_btn">
                                             <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="add_address()">
                                                Address
                                             </a>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                           </div>
                        </div>
                     </form>
                  </div>
               </div>
            </div>
            <div class="tab-pane fade" id="parents_guardians" role="tabpanel">
                  <div class="card">
                     <div class="card-body">
                        <div class="row">
                           <div class="col-md-6">
                              <div class="common_box border mb-4 pb-3">
                                 <div class="heading border-bottom">
                                    <h6 class="text-secondary bg-light py-2 px-3 mb-0">Father Details</h6>
                                 </div>
                                 <div class="row align-items-center">
                                    <div class="col-9">
                                       <div class="bottom_section  py-2 px-3 my-2">
                                       <small class="d-block mb-1">Name: <b>Ashok Verma</b></small>
                                       <small class="d-block mb-1">Email Address: ashokverma@gmail.com</small>
                                       <small class="d-block mb-1">Mobile No.:91-9314579587</small>
                                       <small class="d-block mb-1">Alternate Mobile No.:</small>
                                       <small class="d-block mb-1">Has access to student:No</small>
                                       
                                    </div>
                                    </div>
                                    <div class="col-3">
                                       <div class="parents_img">
                                          <img src="{{ asset('assets/images/logo_1.jpg') }}">
                                       </div>
                                    </div>
                                 </div>
                                 <div class="address_btn px-3">
                                         <div class="all_btn d-flex">
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="parent_edit()">
                                                <i class="lni lni-pencil"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="parent_edit()">
                                                <i class="lni lni-eye"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-trash"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="parent_add()" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-plus-square"></i>
                                                   </a>
                                          </div>
                                          
                                          
                                         
                                         <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="reset_password()" class="btn btn-primary btn-sm py-1">
                                                <i class="lni lni-lock-alt"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="single_sign()">
                                                     SSD
                                                   </a>
                                          </div>
                                         </div>
                                 </div>
                                
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="common_box border mb-4 pb-3">
                                 <div class="heading border-bottom">
                                    <h6 class="text-secondary bg-light py-2 px-3 mb-0">Mother Details</h6>
                                 </div>
                                 <div class="row align-items-center">
                                    <div class="col-9">
                                       <div class="bottom_section  py-2 px-3 my-2">
                                       <small class="d-block mb-1">Name: <b>Rekha Verma</b></small>
                                       <small class="d-block mb-1">Email Address: rekha@gmail.com</small>
                                       <small class="d-block mb-1">Mobile No.:91-9314579587</small>
                                       <small class="d-block mb-1">Alternate Mobile No.:</small>
                                       <small class="d-block mb-1">Has access to student:No</small>
                                       
                                    </div>
                                    </div>
                                    <div class="col-3">
                                       <div class="parents_img">
                                          <img src="{{ asset('assets/images/logo_1.jpg') }}">
                                       </div>
                                    </div>
                                 </div>
                                 <div class="address_btn px-3">
                                         <div class="all_btn d-flex">
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="parent_edit()">
                                                <i class="lni lni-pencil"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="parent_edit()">
                                                <i class="lni lni-eye"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-trash"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="parent_add()" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-plus-square"></i>
                                                   </a>
                                          </div>
                                          
                                          
                                         
                                         <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="reset_password()" class="btn btn-primary btn-sm py-1">
                                                <i class="lni lni-lock-alt"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="single_sign()">
                                                     SSD
                                                   </a>
                                          </div>
                                         </div>
                                 </div>
                                
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="common_box border mb-4 pb-3">
                                 <div class="heading border-bottom">
                                    <h6 class="text-secondary bg-light py-2 px-3 mb-0">Guaridian Details</h6>
                                 </div>
                                 <div class="row align-items-center">
                                    <div class="col-9">
                                       <div class="bottom_section  pt-2 pb-5 px-3 my-2">
                                       <small class="d-block mb-1">Details not added</small>
                                       
                                    </div>
                                    </div>
                                   
                                 </div>
                                 <div class="address_btn px-3">
                                         <div class="all_btn d-flex">
                                         
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="parent_add()" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-plus-square"></i>
                                                   </a>
                                          </div>
                                          
                                         </div>
                                 </div>
                                
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="common_box border mb-4 pb-3">
                                 <div class="heading border-bottom">
                                    <h6 class="text-secondary bg-light py-2 px-3 mb-0">Local Guaridian Details</h6>
                                 </div>
                                 <div class="row align-items-center">
                                    <div class="col-9">
                                       <div class="bottom_section  pt-2 pb-5 px-3 my-2">
                                       <small class="d-block mb-1">Details not added</small>
                                       
                                    </div>
                                    </div>
                                   
                                 </div>
                                 <div class="address_btn px-3">
                                         <div class="all_btn d-flex">
                                         
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="parent_add()" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-plus-square"></i>
                                                   </a>
                                          </div>
                                          
                                         </div>
                                 </div>
                                
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="common_box border mb-4 pb-3">
                                 <div class="heading border-bottom">
                                    <h6 class="text-secondary bg-light py-2 px-3 mb-0">Visitor-1 Details</h6>
                                 </div>
                                 <div class="row align-items-center">
                                    <div class="col-9">
                                       <div class="bottom_section  py-2 px-3 my-2">
                                       <small class="d-block mb-1">Name: <b>Rekha Verma</b></small>
                                       <small class="d-block mb-1">Email Address: rekha@gmail.com</small>
                                       <small class="d-block mb-1">Mobile No.:91-9314579587</small>
                                       <small class="d-block mb-1">Alternate Mobile No.:</small>
                                       <small class="d-block mb-1">Has access to student:No</small>
                                       
                                    </div>
                                    </div>
                                    <div class="col-3">
                                       <div class="parents_img">
                                          <img src="{{ asset('assets/images/logo_1.jpg') }}">
                                       </div>
                                    </div>
                                 </div>
                                 <div class="address_btn px-3">
                                         <div class="all_btn d-flex">
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="parent_edit()">
                                                <i class="lni lni-pencil"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="parent_edit()">
                                                <i class="lni lni-eye"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-trash"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="parent_add()" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-plus-square"></i>
                                                   </a>
                                          </div>
                                          
                                          
                                         
                                         <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="reset_password()" class="btn btn-primary btn-sm py-1">
                                                <i class="lni lni-lock-alt"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="single_sign()">
                                                     SSD
                                                   </a>
                                          </div>
                                         </div>
                                 </div>
                                
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="common_box border mb-4 pb-3">
                                 <div class="heading border-bottom">
                                    <h6 class="text-secondary bg-light py-2 px-3 mb-0">Visitor-2 Details</h6>
                                 </div>
                                 <div class="row align-items-center">
                                    <div class="col-9">
                                       <div class="bottom_section  py-2 px-3 my-2">
                                       <small class="d-block mb-1">Name: <b>Rekha Verma</b></small>
                                       <small class="d-block mb-1">Email Address: rekha@gmail.com</small>
                                       <small class="d-block mb-1">Mobile No.:91-9314579587</small>
                                       <small class="d-block mb-1">Alternate Mobile No.:</small>
                                       <small class="d-block mb-1">Has access to student:No</small>
                                       
                                    </div>
                                    </div>
                                    <div class="col-3">
                                       <div class="parents_img">
                                          <img src="{{ asset('assets/images/logo_1.jpg') }}">
                                       </div>
                                    </div>
                                 </div>
                                 <div class="address_btn px-3">
                                         <div class="all_btn d-flex">
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="parent_edit()">
                                                <i class="lni lni-pencil"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="parent_edit()">
                                                <i class="lni lni-eye"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-trash"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="parent_add()" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-plus-square"></i>
                                                   </a>
                                          </div>
                                          
                                          
                                         
                                         <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="reset_password()" class="btn btn-primary btn-sm py-1">
                                                <i class="lni lni-lock-alt"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="single_sign()">
                                                     SSD
                                                   </a>
                                          </div>
                                         </div>
                                 </div>
                                
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="common_box border mb-4 pb-3">
                                 <div class="heading border-bottom">
                                    <h6 class="text-secondary bg-light py-2 px-3 mb-0">Visitor-3 Details</h6>
                                 </div>
                                 <div class="row align-items-center">
                                    <div class="col-9">
                                       <div class="bottom_section  py-2 px-3 my-2">
                                       <small class="d-block mb-1">Name: <b>Rekha Verma</b></small>
                                       <small class="d-block mb-1">Email Address: rekha@gmail.com</small>
                                       <small class="d-block mb-1">Mobile No.:91-9314579587</small>
                                       <small class="d-block mb-1">Alternate Mobile No.:</small>
                                       <small class="d-block mb-1">Has access to student:No</small>
                                       
                                    </div>
                                    </div>
                                    <div class="col-3">
                                       <div class="parents_img">
                                          <img src="{{ asset('assets/images/logo_1.jpg') }}">
                                       </div>
                                    </div>
                                 </div>
                                 <div class="address_btn px-3">
                                         <div class="all_btn d-flex">
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="parent_edit()">
                                                <i class="lni lni-pencil"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="parent_edit()">
                                                <i class="lni lni-eye"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-trash"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="parent_add()" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-plus-square"></i>
                                                   </a>
                                          </div>
                                          
                                          
                                         
                                         <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="reset_password()" class="btn btn-primary btn-sm py-1">
                                                <i class="lni lni-lock-alt"></i>
                                                   </a>
                                          </div>
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" class="btn btn-primary btn-sm py-1" onclick="single_sign()">
                                                     SSD
                                                   </a>
                                          </div>
                                         </div>
                                 </div>
                                
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="common_box border mb-4 pb-3">
                                 <div class="heading border-bottom">
                                    <h6 class="text-secondary bg-light py-2 px-3 mb-0">Visitor-4 Details</h6>
                                 </div>
                                 <div class="row align-items-center">
                                    <div class="col-9">
                                       <div class="bottom_section  py-2 pb-5 px-3 my-2">
                                       <small class="d-block mb-1">Details not added</small>
                                       
                                    </div>
                                    </div>
                                   
                                 </div>
                                 <div class="address_btn px-3">
                                         <div class="all_btn d-flex">
                                         
                                          <div class="single_btn mx-1">
                                                <a href="javascript:void(0);" onclick="parent_add()" class="btn btn-primary btn-sm py-1">
                                                <i class="bx bxs-plus-square"></i>
                                                   </a>
                                          </div>
                                          
                                         </div>
                                 </div>
                                
                              </div>
                            </div>
                        </div>
                     </div>
                  </div>
            </div>
            <div class="tab-pane fade" id="sibling" role="tabpanel">
               <div class="card">
               <div class="sibling_detail p-3 bg-light border-bottom">
                          <h6 class="mb-0">Sibling Detail</h6>
                     </div>
                  <div class="card-body">
               
                     <div class="copy_icon mb-3">
                        <a href="javascript:void(0);" class="btn btn-danger btn-sm py-1"><i class="fadeIn animated bx bx-copy"></i></a>
                     </div>
                     <table class="table table-borderless mb-0">
                           <thead class="border-bottom">
                              <tr>
                                 <th>Relationship</th>
                                 <th>Name</th>
                                 <th>Brend Locations</th>
                              </tr>
                           </thead>
                           <tbody>
                              <tr>
                                 <td colspan="3" class="text-center py-5">No Record </td>
                              </tr>
                              
                           </tbody>
                     </table>
                  </div>
               </div>
            </div>
   </div>
         </div>
         <div class="col-md-2">
                <div class="card h-100 pt-3">
                   <div class="card-body side_menu h-100 p-0">
                      <div class="search_icon bg-light px-3 d-none">
                         <div class="form-group">
                         <div class="position-relative">
                         <span class="position-absolute top-50 translate-middle-y" style="left:15px;font-size: 18px;"><i class="bx bx-search"></i></span>
                                             <input type="text" class="form-control ps-5" name="advisor_name" placeholder="Enter 3 Char to auto search" value="">  
                                          </div>
                         </div>
                      </div>
                   <ul class="nav nav-tabs nav-primary d-block border-0 sidetab" role="tablist">
               <li class="nav-item" role="presentation">
                  <a class="nav-link py-1 active persnaol_detail" data-bs-toggle="tab" href="#persnaol_detail" role="tab" aria-selected="false">
                     <div class="d-flex align-items-center" onclick="get_tab('persnaol_detail')">
                        <div class="tab-title">Student Persnaol Detail</div>
                     </div>
                  </a>
               </li>
               <li class="nav-item" role="presentation">
                  <a class="nav-link  address py-1" data-bs-toggle="tab" href="#address" role="tab" aria-selected="true" onclick="get_tab('address')">
                     <div class="d-flex align-items-center" >
                        <div class="tab-title">Address</div>
                     </div>
                  </a>
               </li>
               <li class="nav-item" role="presentation">
                  <a class="nav-link parents_guardians py-1" data-bs-toggle="tab" href="#parents_guardians" role="tab" aria-selected="false" onclick="get_tab('parents_guardians')">
                     <div class="d-flex align-items-center">
                        <div class="tab-title">Parents & Guardians</div>
                     </div>
                  </a>
               </li>
               <li class="nav-item" role="presentation">
                  <a class="nav-link sibling py-1" data-bs-toggle="tab" href="#sibling" role="tab" aria-selected="false" onclick="get_tab('sibling')">
                     <div class="d-flex align-items-center">
                        <div class="tab-title">Sibling</div>
                     </div>
                  </a>
               </li>
            </ul>
                   </div>
                </div>                       
         </div>
      </div>
     
      
</div>
<style>
   .student_img img {
   width: 80px;
   height: 80px;
   border-radius: 100%;
   object-fit: cover;
   border: 1px solid #ddd;
   box-shadow: 0 0 21px #e3e3e3;
   }
   legend {
   float: unset; 
   width: auto;
   padding: unset; 
   margin-bottom:unset; 
   font-size: unset; 
   line-height: inherit; 
   }
</style>
@endsection
@section("page-js-script")
<script src="{{ asset('assets/plugins/vectormap/jquery-jvectormap-2.0.2.min.js') }}"></script>
<script src="{{ asset('assets/plugins/vectormap/jquery-jvectormap-world-mill-en.js') }}"></script>
<script src="{{ asset('assets/plugins/jquery.easy-pie-chart/jquery.easypiechart.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('assets/plugins/datatable/js/dataTables.bootstrap5.min.js') }}"></script>
<script>

   $(document).ready(function() {
    $(".single-select").select2({
      theme: 'bootstrap4',
      width: $(this).data('width') ? $(this).data('width') : $(this).hasClass('w-100') ? '100%' : 'style',
      placeholder: $(this).data('placeholder'),
      allowClear: Boolean($(this).data('allow-clear')),
   });
   
   $(".allowno").keypress(function (e) {
   if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
   event.preventDefault();
   }
   }); 
   $('.allowno').on('paste',function (e){
   if (e.originalEvent.clipboardData.getData('Text').match(/[^\d]/)) {
   e.preventDefault();
   }
   });
   
   });
   
   function form_submit(e)
   {
   $(e).find('.st_loader').show();
   $.ajax({  
      'headers': {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          },
     url :$(e).attr('action'),  
     method:"POST",  
     dataType:"json",  
     data:$(e).serialize(),
      success: function(data){ 
              if(data.success==1){
                toastr.success(data.message,'Success');
                $(e).find('.st_loader').hide();
                $(e)[0].reset();
                var surl = "{{ url('admin/student-list') }}"; 
     		      window.setTimeout(function() { window.location = surl; }, 500);
              dataTable.draw(false);
            
              }else if(data.success==0){
                toastr.error(data.message,'Error');
                $(e).find('.st_loader').hide();
              }
            },
            error: function(data){ 
              if(typeof data.responseJSON.status !== 'undefined'){
                toastr.error(data.responseJSON.error,'Error');
              }else{
                $.each(data.responseJSON.errors, function( key, value ) {
                    toastr.error(value,'Error');
                });
              }
              $(e).find('.st_loader').hide();
            } 
   }); 
   }
   
   function student_image(form,url,id,input)
   {
      
    $(form).find('.'+id+'_loader').show();
    $.ajax({
      type: "POST",
      url :url+'?type='+id, 
      headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }, 
      contentType: false,       
      cache: false,             
      processData:false,
      dataType: "json",
      data: new FormData (form[0]), 
      success: function(res)
      { 
      if(res.status == 0){
        $(form).find('.'+id+'_loader').hide();
        toastr.error(res.msg,'Error');
      }else{
         $(form).find('.'+id+'_loader').hide();
        $('#'+id+'_prev').attr('src',res.file_path);
        $('#prev_input').val(res.file_path);
            $('#'+id+'_prev').show();
        $('#'+input).val(res.file_id);  
      }
      
      }
    });
   }
   function trigger_click(){
   $("#profile").trigger("click");
   }
  
   function snapshot_preview(id){
      $('#modal-default .modal-content').html('');
         $.ajax({ 
            'headers': {
                     'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
               }, 
         url :"{{ route('admin.student.profile.preview') }}",  
         method:"post",  
         data:{id:id},
         success:function(res){  
            $('#modal-lg .modal-content').html(res);
            $('#modal-lg').modal('show');
                  
         }  
         });
   } 
   
   function add_address(){
      $('#modal-default .modal-content').html('');
         $.ajax({ 
            'headers': {
                     'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
               }, 
         url :"{{ route('admin.student.add.address') }}",  
         method:"post",  
         data:{},
         success:function(res){  
            $('#modal-lg .modal-content').html(res);
            $('#modal-lg').modal('show');
                  
         }  
         });
   }

   function parent_edit(){
      $('#modal-default .modal-content').html('');
   $.ajax({ 
      'headers': {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }, 
     url :"{{ route('admin.student.edit.parent') }}",  
     method:"post",  
     data:{},
     success:function(res){  
      $('#modal-lg .modal-content').html(res);
      $('#modal-lg').modal('show');
            
     }  
   }); 
   }
   
   function parent_add(){
      $('#modal-default .modal-content').html('');
   $.ajax({ 
      'headers': {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }, 
     url :"{{ route('admin.student.add.parent') }}",  
     method:"post",  
     data:{},
     success:function(res){  
      $('#modal-lg .modal-content').html(res);
      $('#modal-lg').modal('show');
            
     }  
   }); 
   }

       function reset_password(){
  $('#modal-default .modal-content').html('');
   $.ajax({ 
      'headers': {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }, 
     url :"{{ route('admin.student.reset.password') }}",  
     method:"post",  
     data:{},
     success:function(res){  
      $('#modal-sm .modal-content').html(res);
      $('#modal-sm').modal('show');
            
     }  
   });
   } 
   
   function single_sign(){
  $('#modal-default .modal-content').html('');
   $.ajax({ 
      'headers': {
               'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }, 
     url :"{{ route('admin.student.single.sign.detail') }}",  
     method:"post",  
     data:{},
     success:function(res){  
      $('#modal-lg .modal-content').html(res);
      $('#modal-lg').modal('show');
            
     }  
   });
   }
   function get_tab(id){
      if(id=="address"){
         $(".sidetab li a").removeClass('active');
        var a =$(".sidetab li .address").addClass('active');
       
        
      }else if(id=="persnaol_detail"){
         $(".sidetab li a").removeClass('active');
         var a =$(".sidetab li .persnaol_detail").addClass('active');
        
      }else if(id=="parents_guardians"){
         $(".sidetab li a").removeClass('active');
         var a =$(".sidetab li .parents_guardians").addClass('active');
        
      }else if(id=="sibling"){
         $(".sidetab li a").removeClass('active');
         var a =$(".sidetab li .sibling").addClass('active');
        
      }

   }
</script>
@endsection