@extends("front.dashboard.layouts.app")
@section("style")
    <link href="{{ asset('assets/plugins/vectormap/jquery-jvectormap-2.0.2.css') }}" rel="stylesheet"/>
    <link href="{{ asset('assets/plugins/datatable/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" />
@endsection

@section("wrapper")
    <div class="page-wrapper">
        <div class="page-content">
             <div class="row ">
                <div class="col-md-6">
                    <div class="card radius-10 border-start border-0 border-3 border-info">
                       <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <p class="mb-0 text-secondary">Name: {{ Auth::user()->fname }} {{ Auth::user()->lname }}</p>
                                    <p class="mb-0 text-secondary">Email: {{ Auth::user()->email }}</p>
                                     <p class="mb-0 text-secondary">Mobile: {{ Auth::user()->mobile }}</p>
                                    <a href="{{ route('user.edit') }}">Edit User</a>
                                </div>
                                
                            </div>
                        </div>
                    </div>
               </div>
       
            </div><!--end row-->

 <div class="card">
         <div class="card-body">
            <div class="table-responsive">
               <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                  <thead>
                     <tr>
                        <th>S.No.</th>
                        <th>Enquiry No</th>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Product Name</th>
                        <th>Category</th>
                        <th>Sub Category</th>
                        <th>Quantity</th>
                        <th>Vendor</th>
                        <th>Created </th>
                     </tr>
                  </thead>
                  <tbody>
                  </tbody>
               </table>
            </div>
         </div>
      </div>
   

            

        </div>
    </div>
@endsection

@section("page-js-script")
    <script src="{{ asset('assets/plugins/vectormap/jquery-jvectormap-2.0.2.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/vectormap/jquery-jvectormap-world-mill-en.js') }}"></script>
    <script src="{{ asset('assets/plugins/chartjs/js/Chart.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/chartjs/js/Chart.extension.js') }}"></script>
    <script src="{{ asset('assets/plugins/jquery.easy-pie-chart/jquery.easypiechart.min.js') }}"></script>
    <script src="{{ asset('assets/js/index.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatable/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatable/js/dataTables.bootstrap5.min.js') }}"></script>
    <script>
        $(document).ready(function(){
      
         // user management
         window.dataTable = $('#dataTable').DataTable({
           'processing': false,
           'serverSide': true,
           'serverMethod': 'post',
           'searching': false,
           'ajax': {
             'headers': {
                       'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                   },
              'url': "{{ route('dashboard.product.enquiries.list') }}",
              'data': function(data){
                    
              }
           },
           'lengthMenu': [10, 20, 50, 100, 200, 500],
           'columns': [
              { data: 'sno' }, 
              { data: 'enquiry_number' }, 
              { data: 'name' }, 
              { data: 'email' }, 
              { data: 'product_id' }, 
              { data: 'product_category' }, 
              { data: 'product_sub_category' }, 
              { data: 'quantity' }, 
              { data: 'vendor_id' }, 
              { data: 'created_at' }, 
            ], 
           "order": [[1, 'asc' ]],
           "columnDefs": [
            { 
                "targets": [0 ], //first column / numbering column
                "orderable": false, //set not orderable
            }]
         });
          $('#datatable').on('page.dt', function() {
            $('#checkAll').prop("checked", false);
            $('.filed_check').prop("checked", false);
        });
   });
    </script>
@endsection
