@extends("front.dashboard.layouts.app")
@section("style")
<link href="{{ asset('assets/plugins/Drag-And-Drop/dist/imageuploadify.min.css') }}" rel="stylesheet" />
@endsection
@section("wrapper")
<div class="page-wrapper">
   <div class="page-content">
             <div class="row row-cols-1 row-cols-md-2 row-cols-xl-4">
                <div class="col">
                    <div class="card radius-10 border-start border-0 border-3 border-info">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <p class="mb-0 text-secondary">No. of Enquiries</p>
                                    <h4 class="my-1 text-info">{{ $total_enquiry }}</h4>
                                    
                                </div>
                                <div class="widgets-icons-2 rounded-circle bg-gradient-scooter text-white ms-auto"><i class='bx bxs-cart'></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                 <div class="col">
                    <div class="card radius-10 border-start border-0 border-3 border-info">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <p class="mb-0 text-secondary">Open Enquiries</p>
                                    <h4 class="my-1 text-info">6027</h4>
                                    
                                </div>
                                <div class="widgets-icons-2 rounded-circle bg-gradient-scooter text-white ms-auto"><i class='bx bxs-cart'></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                 <div class="col">
                    <div class="card radius-10 border-start border-0 border-3 border-info">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <p class="mb-0 text-secondary">Closed Enquiries</p>
                                    <h4 class="my-1 text-info">5158</h4>
                                    
                                </div>
                                <div class="widgets-icons-2 rounded-circle bg-gradient-scooter text-white ms-auto"><i class='bx bxs-cart'></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
      <!--breadcrumb-->
      <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
         <div class="breadcrumb-title pe-3">Enquiry List</div>
      </div>
      <div class="card">
         <div class="card-body">
            <div class="table-responsive">
                            <table id="dataTable" class="table table-striped table-bordered " style="width:100%">
                                <thead>
                                    <tr>                                    
                                    <th>S.No.</th>
                                    <th>Enquiry No</th>
                                    <th>Product Name</th>
                                    <th>Category</th>
                                    <th>Sub Category</th>
                                    <th>Quantity</th>
                                    <th>Vendor</th>
                                    <th>Created </th>
                                    <th>Status </th>
                                </tr>
                                </thead>
                                <tbody>
                                    
                                </tbody>
                                
                            </table>
                            
                        </div>
         </div>
      </div>
   </div>
</div>
@endsection

@section("page-js-script")
    <script src="{{ asset('assets/plugins/vectormap/jquery-jvectormap-2.0.2.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/vectormap/jquery-jvectormap-world-mill-en.js') }}"></script>
    <script src="{{ asset('assets/plugins/chartjs/js/Chart.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/chartjs/js/Chart.extension.js') }}"></script>
    <script src="{{ asset('assets/plugins/jquery.easy-pie-chart/jquery.easypiechart.min.js') }}"></script>
    <script src="{{ asset('assets/js/index.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatable/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('assets/plugins/datatable/js/dataTables.bootstrap5.min.js') }}"></script>
    <script>
        $(document).ready(function(){
      
         // user management
         window.dataTable = $('#dataTable').DataTable({
           'processing': true,
           'serverSide': true,
           'serverMethod': 'post',
           'searching': false,
           'ajax': {
             'headers': {
                       'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                   },
              //'url': "{{ route('admin.dashboard.list') }}",
              'url': "{{ route('product.enquiry.seller') }}",
              'data': function(data){
                  console.log(data);
              } 
           },
           'lengthMenu': [10, 20, 50, 100, 200, 500],
           'columns': [
              { data: 'sno' }, 
              { data: 'enquiry_number' }, 
              { data: 'product_id' }, 
              { data: 'product_category' }, 
              { data: 'product_sub_category' }, 
              { data: 'quantity' }, 
              { data: 'vendor_id' }, 
              { data: 'created_at' }, 
              { data: 'status' }, 
            ],
           "order": [[1, 'asc' ]],
           "columnDefs": [
            { 
                "targets": [0 ], //first column / numbering column
                "orderable": false, //set not orderable
            }]
         });
          $('#datatable').on('page.dt', function() {
            $('#checkAll').prop("checked", false);
            $('.filed_check').prop("checked", false);
        });
   });
    </script>
@endsection
