<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

   <!-- loader-->
    <link href="{{ asset('assets/css/pace.min.css') }}" rel="stylesheet" />
    <script src="{{ asset('assets/js/pace.min.js') }}"></script>
    <!-- Bootstrap CSS -->
    <link href="{{ asset('assets/css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500&display=swap" rel="stylesheet">
    <link href="{{ asset('assets/css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/css/icons.css') }}" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{{ asset('plugins/toastr/toastr.min.css') }}">
</head>

<body class="bg-login">
     @yield('content')
	
     <!-- The Modal -->
    <div class="modal" id="infoModal">
      <div class="modal-dialog h-100">
        <div class="d-table h-100 w-100">
          <div class="d-table-cell align-middle w-100">
            <div class="modal-content">

            </div>
          </div>
        </div>
      </div>
    </div>

	<!--plugins-->
	<script src="{{ asset('assets/js/jquery.min.js') }}"></script>
    <script src="{{ asset('plugins/toastr/toastr.min.js') }} "></script>
     <script src="{{ asset('js/custom.js') }} "></script>

    <script>
        $(document).ready(function () {
            $("#show_hide_password a").on('click', function (event) {
                event.preventDefault();
                if ($('#show_hide_password input').attr("type") == "text") {
                    $('#show_hide_password input').attr('type', 'password');
                    $('#show_hide_password i').addClass("bx-hide");
                    $('#show_hide_password i').removeClass("bx-show");
                } else if ($('#show_hide_password input').attr("type") == "password") {
                    $('#show_hide_password input').attr('type', 'text');
                    $('#show_hide_password i').removeClass("bx-hide");
                    $('#show_hide_password i').addClass("bx-show");
                }
            });
        });

        function loginSubmit(e) {
            $(e).find('.st_loader').show();
            $('.login_btn').attr('disabled',true);
            $.ajaxSetup({
                headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{route('parent.submitParentLogin')}}",
                method: "POST",
                dataType: "json",
                data: $(e).serialize(),
                success: function(data) {
                    if (data.success == 0) {
                        var er = '';
                        $.each(data.error, function(key, value) {
                        //   toastr.error(value,'Error');
                        er += value + '<br>';
                        });
                        toastr.error(data.message, 'Error');
                        $(e).find('.st_loader').hide();
                        $('.login_btn').removeAttr('disabled');
                    } else if (data.success == 1) {
                        toastr.error(data.message);
                        $(e).find('.st_loader').hide();
                        $('.login_btn').removeAttr('disabled');
                    } else if (data.success == 2) {
                        toastr.success(data.message);
                        $(e).find('.st_loader').hide();
                        viewOtp(data.email, data.otp);
                    }
                },
                error: function(data) {
                    if (typeof data.responseJSON.status !== 'undefined') {
                        toastr.error(data.responseJSON.error, 'Error');
                    } else {
                        var er = data.responseJSON.message;
                        $.each(data.responseJSON.errors, function(key, value) {
                        //   toastr.error(value,'Error');
                        er += value + '<br>';
                        });
                        toastr.error(er, 'Error');
                    }
                    $(e).find('.st_loader').hide();
                    $('.login_btn').removeAttr('disabled');
                }
            });
        }

        function viewOtp(email, otp) {
            $.ajaxSetup({
                headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{route('parent.viewParentOtpPage')}}",
                method: "POST",
                dataType: "json",
                data: {
                email: email,
                otp: otp
                },
                success: function(data) {
                    if (data.success == 0) {
                        toastr.error
                    } else if (data.success == 1) {
                        $('.form-body').html(data.view);
                        $('.login_heading').html('OTP-Verify');
                    }
                }
            });
        }

        function otpSubmit(e) {
            $(e).find('.st_loader').show();
            $('.login_btn').attr('disabled',true);
            $.ajaxSetup({
                headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('parent.parentOtpSubmit') }}",
                method: "POST",
                dataType: "json",
                data: $(e).serialize(),
                success: function(data) {
                    if (data.success == 1) {
                        toastr.success(data.message, 'Success');
                        var surl = "{{ route('parent.dashboard') }}";
                        $(e).find('.st_loader').hide();
                        window.setTimeout(function() { window.location = surl; }, 500);

                        //profileView(data.id,data.email);
                    } else if (data.success == 0) {
                        toastr.error(data.message, 'Error');
                        $(e).find('.st_loader').hide();
                        $('.login_btn').removeAttr('disabled');
                    }
                },
                error: function(data) {
                    if (typeof data.responseJSON.status !== 'undefined') {
                        toastr.error(data.responseJSON.error, 'Error');
                    } else {
                        $.each(data.responseJSON.errors, function(key, value) {
                        toastr.error(value, 'Error');
                        });
                    }
                    $(e).find('.st_loader').hide();
                    $('.login_btn').removeAttr('disabled');
                }
            });
        }

        function resendOtp(e,email) {
            $(e).find('.st_loader').hide();
            $.ajaxSetup({
                headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('parent.parentResendOtp') }}",
                method: "POST",
                data: {
                email: email
                },
                success: function(data) {
                if (data.success == 1) {
                    $('#otp').val(data.otp);
                    toastr.success(data.message, 'Success');
                    $(e).find('.st_loader').hide();
                } else if (data.success == 0) {
                    toastr.error(data.message, 'Error');
                    $(e).find('.st_loader').hide();
                }
                },
                error: function(data) {
                    if (typeof data.responseJSON.status !== 'undefined') {
                        toastr.error(data.responseJSON.error, 'Error');
                    } else {
                        $.each(data.responseJSON.errors, function(key, value) {
                        toastr.error(value, 'Error');
                        });
                    }
                    $(e).find('.st_loader').hide();
                }

            });
        }
            
    </script>

    @yield('page-js-script')
</body>

</html>
