	@extends("admin.layouts.app")

	@section("style")
	<link href="{{ asset('assets/plugins/datatable/css/dataTables.bootstrap5.min.css') }}" rel="stylesheet" />
	@endsection

		@section("wrapper")
		 <div class="page-wrapper">
                <div class="page-content">
                    <!--breadcrumb-->
                    <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
                        <div class="breadcrumb-title pe-3">Site Settings</div>
                        
                    </div>
					<hr/>
                    <!--end breadcrumb-->
                    <div class="row">
                        <div class="col-12 col-lg-3">
                            <div class="card">
                                <div class="card-body">
                                   <div class="fm-menu">
                                        <div class="list-group list-group-flush setting_menu"> 
											<a href="javascript:;" class="list-group-item py-1 system_settings active" onclick="get_page('system_settings')"><i class='bx bx-folder me-2'></i><span>System Settings</span></a>
                                            <a href="javascript:;" class="list-group-item py-1 change_password" onclick="get_page('change_password')"><i class='bx bx-devices me-2'></i><span>Change Password</span></a>
                                            <a href="javascript:;" class="list-group-item py-1 meta_settings" onclick="get_page('meta_settings')"><i class='bx bx-devices me-2'></i><span>Meta Setting</span></a>
                                            <a href="javascript:;" class="list-group-item py-1 email_settings" onclick="get_page('email_settings')"><i class='bx bx-analyse me-2'></i><span>Email Settings</span></a>
                                            <a href="javascript:;" class="list-group-item py-1 sms_settings" onclick="get_page('sms_settings')"><i class='bx bx-analyse me-2'></i><span>SMS Settings</span></a>
                                         </div>
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                        <div class="col-12 col-lg-9">
                            <div class="card">
                                <div class="card-body" id="card_body">
									
                                </div>
                            </div>
                        </div>
                    </div>
                    <!--end row-->
                </div>
            </div>
		@endsection
	
	@section("page-js-script")
	<script>
		$(document).ready(function(){
			get_page('system_settings');
		});

		function get_page(file){
			$.ajax({  
				'headers': {
                       'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                   },
				url :"{{ route('admin.setting.page') }}",  
				method:"POST",  
				data:{'file':file},
				success: function(data){ 
					$('#card_body').html(data);	
					$('.setting_menu a').removeClass('active');
					$('.'+file).addClass('active');
				},
			}); 
		}


	function form_submit(e)
	{
	$(e).find('.st_loader').show();
	$.ajax({  
	  url :$(e).attr('action'),  
	  method:"POST",  
	  dataType:"json",  
	  data:$(e).serialize(),
	   success: function(data){ 
            if(data.success==1){
              toastr.success(data.message,'Success');
              $(e).find('.st_loader').hide();
             }else if(data.success==0){
              toastr.error(data.message,'Error');
              $(e).find('.st_loader').hide();
            }
          },
          error: function(data){ 
            if(typeof data.responseJSON.status !== 'undefined'){
              toastr.error(data.responseJSON.error,'Error');
            }else{
              $.each(data.responseJSON.errors, function( key, value ) {
                  toastr.error(value,'Error');
              });
            }
            $(e).find('.st_loader').hide();
          } 
	}); 
	}
	</script>
	@endsection
	