@extends('student.layouts.master')
@section('title')
{{$title}}
@stop

@section('head')
@parent
    <link rel="stylesheet" type="text/css" href="{{asset('assests/js/select2/select2.css')}}" />

<style>
       .login-body {
          background-color: gray;
            background-size: cover;
            width: 100%;
            height: 100%;
        }  

        #college{
    margin-bottom: 15px;
    height: 40px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    border: 1px solid #eaeaea;
    box-shadow: none;
    font-size: 13px;
    color: #767676;
    }   
   </style>    
@endsection 

@section('content')

  <body class="login-body">
    <div class="container user_info_div">
      @if ($message = Session::get('success'))
          <div class="alert alert-danger alert-block fade in">
                  <button data-dismiss="alert" class="close close-sm" type="button">
                      <i class="fa fa-times"></i>
                  </button>
              <p>{{ $message }}</p>
          </div>
      @endif
      <form class="form-signin" id="myforma" onsubmit="payNow(this); return false;" style="margin: 60px auto;">
      {{ csrf_field() }}      
        <h2 class="form-signin-heading" style="padding: 25px 15px;">OP Jindal Global University</h2>
        <div class="login-wrap">
            {{-- <p>Enter your personal details below</p> --}}
            <input type="hidden" class="form-control" name="fee_raise_id" id="fee_raise_id" value="{{$student_data->id}}">
            <input type="text" class="form-control" name="student_id" id="student_id" value="{{$student_data->st_id}}" placeholder="Student ID" readonly>
            <input type="text" class="form-control" name="name" id="name" value="{{$student_data->first_name.' '.$student_data->last_name}}" placeholder="Student Name" autofocus>
            <input type="text" class="form-control" name="email" id="email" value="{{$student_data->email}}" placeholder="Email">
            <input type="text" class="form-control" name="phone" id="phone" value="{{$student_data->number}}" placeholder="Phone Number">            
           
             <select class="form-control" name="university">
                <option value="">--Select School--</option>
                <option value="1" selected>OP Jindal</option>
              </select>
             <br> 
            <input type="number" class="form-control" name="tot_amount" value="{{$student_data->fee_amount}}" id="tot_amount" min="1" placeholder="Enter Amount" value="" readonly>
            
            <button type="submit" class="btn btn-lg btn-login btn-block" type="submit">Pay <i class="st_loader fa-btn-loader bx bx-refresh bx-spin bx-1x " style="display:none;" ></i></button>
           <div><p><br>If you face any issue during payment please contact us at <a href="anbnair@jgu.edu.in">anbnair@jgu.edu.in</a> or <br><a href="tel:7419656501">+91-7419656501</a></p></div>

        </div>
      </form>
    </div>
    <div class="checkout_div" style="display:none;"></div>
    @endsection

    @section('footer')
    @parent
    
    <script type="text/javascript">
        $(function(){
             $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });



        });
    </script>
    <script type="text/javascript" src="{{asset('assests/js/jquery.validate.min.js')}}"></script>

    <script type="text/javascript">

    function changeplaceholder(str){
      if(str == 1){
        // $("#sat_id").attr('placeholder','Enter LSAT ID');
        $('#lsidselection').removeClass('hidden');
        $("#sat_id").hide();
      }else{
        // $("#sat_id").attr('placeholder','Enter registration Id');
        $('#lsidselection').addClass('hidden');
        $("#sat_id").show();
      }
    }

    function payNow(e){
      $(e).find('.st_loader').show();
      // $(e).find('.btn-login').attr('disabled',true);
      $.ajax({
        url:"{{ route('student.fee_payment_view') }}",
        type:"POST",
        data:$(e).serialize(),
        dataType:"json",
        success:function(res){
          if(res.status == 1){
            // $('body').removeClass('login-body');
            $('body .checkout_div').hide();
            $('body .user_info_div').show();
            $('body .user_info_div').html(res.view);
          }
          $(e).find('.st_loader').hide();
        },
        error: function(data){ 
          if(typeof data.responseJSON.status !== 'undefined'){
            toastr.error(data.responseJSON.error,'Error');
          }else{
            $.each(data.responseJSON.errors, function( key, value ) {
                toastr.error(value,'Error');
            });
          }
          $(e).find('.st_loader').hide();
          $(e).find('.btn-login').attr('disabled',false);
        } 
      });
    }

    function paycheckout(e,id){
      $.ajax({
        url:"{{ route('student.paycheckout') }}",
        type:"POST",
        data:$('#'+id).serialize(),
        dataType:"json",
        success:function(res){
          if(res.status == 1){
            $('body .user_info_div').hide();
            $('body .checkout_div').show();
            $('body .checkout_div').html(res.view);
          }
        } 
      });
    }

    function cancel_payment(e){
      $('body .user_info_div').show();
      $('body .checkout_div').hide();
    }

    </script>
@endsection