@extends('layouts.child')

@section('pagecontent')
<h1>{{-- Auth::user()->name--}}</h1>


<div class="row">
    <div class="col-md-12 text-center">
        
        @if(@$payment[0]->status=='FullPayment')
            <h2 style="color:green">Your admission is confirmed and seat is secured.</h2>
        @elseif(@$payment[0]->status=='PartialPayment')
            <h2 style="color:red">Please pay full payment to confirm your seat.</h2>
            <h3>Your balance amount is ₹ {{ @$payment[0]->amount_total - @$payment[0]->paid_amount}}</h3>
        @else
            <h2 style="color:red">Please pay fee to confirm your seat.</h2>
        @endif
        
    </div>
</div>
<div class="row">
    <div class="col-md-12 offset-md-3 fee">        
           <form class="form-signin" style="max-width: 60%;margin-top: 20px" id="myform" action="{{ route('selectpayment')}}" method="post" >
                {{ csrf_field() }}
              
                <h2 class="form-signin-heading" >OP Jindal Global University</h2>
                <div class="login-wrap">
                   {{-- @if(session('msg'))
                    <div class="alert alert-danger alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h5>{{ session('msg') }}</h5>                        
                    </div>
                    @endif --}}
                              
                    
                    
                     <input type="text" class="form-control" value="{{ Session::get('students_lset_id')}}"  name="lset_id" id="lset_id" placeholder="LSAT ID" autofocus readonly="">
                     
                      <input type="text" value="{{ Session::get('students_name')}}" class="form-control" name="name" id="name" placeholder="Full Name" required autofocus readonly>
                    <input type="text" class="form-control" name="email" id="students_email" value="{{ Session::get('students_email')}}" placeholder="Email" required readonly>
                    <input type="text" value="{{ Session::get('students_phone')}}" class="form-control" name="phone" id="phone" placeholder="Phone Number" required readonly>
                   
                     <select name="college" class="form-control school" id="college" required readonly >
                        @foreach($schools as $school)
                         <option value="{{ $school->id}}" >{{ $school->school_name}}</option>
                        @endforeach
                         
                     </select>
                     
                    <select name="course" class="form-control course" id="course" required>
                        @foreach($courses as $course)
                         <option value="{{ $course->id}}" >{{ $course->course_name}}</option>
                        @endforeach
                     

                     </select>
                     <input type="text" class="form-control" name="tot_amount" id="tot_amount" min="1" placeholder="Enter Amount" value="" required>
                    <div class="msg" style="color:red;font-size:20px;text-align:center;margin-top:20px;"></div>
                    
                    <button class="btn btn-lg btn-login btn-block" id="submit" type="submit"> {{'Submit'}}</button>

                    

                </div>

            </form>
    </div>
</div>
<style type="text/css">
    .form-signin select{
        height: 41px;
        border-radius: 5px;
        -webkit-border-radius: 5px;
        border: 1px solid #eaeaea;
        box-shadow: none;
        font-size: 12px!important;
        color: #767676;
        margin-bottom: 15px;
        border-radius: 5px;
        -webkit-border-radius: 5px;
        border: 1px solid #a5a1a1;
        box-shadow: none;
       
        text-transform: none !important;
        padding: 8px 12px;
        border-radius: 0px;
    }
</style>
@endsection
@section('js')
<script>
    $(document).ready(function() {
        $('select[name="college"]').on('change', function(){
            var college = $(this).val();
            if(college) {
                $.ajax({
                    url: "{{  url('/course/ajax') }}/"+college,
                    type:"GET",
                    dataType:"json",
                    success:function(data) {
                       var d =$('select[name="course"]').empty();
                          $('select[name="course"]').append('<option value="">------Select Programme----</option>');
                          $.each(data, function(key, value){                              
                              $('select[name="course"]').append('<option value="'+ value.id +'">' + value.course_name + '</option>');
                          });
                        //$("#course").niceSelect('update');
                        //$("#course").niceSelect('refresh');
                    },
                });
            } else {
                alert('danger');
            }
        });
        $('select[name="course"]').on('change', function(){
            var course = $(this).val();
            if(course) {
                $.ajax({
                    url: "{{  url('/getcourse/ajax') }}/"+course,
                    type:"GET",
                    dataType:"json",
                    success:function(data) {
                       console.log(data[0]);
                       $('#tot_amount').val(data[0].course_fee);
                       if(data[0].available_sets<=0){
                           $('#submit').attr('disabled','disabled');
                           $('.msg').html('Seats for this program are full . Please Check other courses');
                       }else{
                           $('#submit').removeAttr('disabled');
                           $('.msg').html(data[0].available_sets+' Seats Available ');
                       }
                    },
                });
            } else {
                alert('danger');
            }
        });
    });
    </script>
    @endsection