@extends('layouts.master')
@section('title')
{{$title}}
@stop

@section('head')
@parent
    <link rel="stylesheet" type="text/css" href="{{asset('assests/js/select2/select2.css')}}" />

<style>
       .login-body {
          background-color: gray;
            background-size: cover;
            width: 100%;
            height: 100%;
        }  

        #college{
    margin-bottom: 15px;
    height: 40px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    border: 1px solid #eaeaea;
    box-shadow: none;
    font-size: 13px;
    color: #767676;
    }   
   </style>    
@endsection 

@section('content')

  <body class="login-body">

    <div class="container">

    @if ($message = Session::get('success'))
        <div class="alert alert-danger alert-block fade in">
                <button data-dismiss="alert" class="close close-sm" type="button">
                    <i class="fa fa-times"></i>
                </button>
            <p>{{ $message }}</p>
        </div>
    @endif

      <form class="form-signin" id="myforma" action="{{route('summer_school.selectpayment')}}" method="post" style="margin: 60px auto;">
      {{ csrf_field() }}
      
        <h2 class="form-signin-heading" style="padding: 25px 15px;">OP Jindal Global University</h2>
        <div class="login-wrap">
            {{-- <p>Enter your personal details below</p> --}}
            <input type="text" class="form-control" name="name" id="name" placeholder="Student Name" required autofocus>
            <input type="text" class="form-control" name="student_id" id="student_id" placeholder="Student ID" required autofocus>
            <input type="text" class="form-control" name="email" id="email" placeholder="Email" required>
            <input type="text" class="form-control" name="phone" id="phone" placeholder="Phone Number" required> 
            
           
             <select class="form-control" name="school" required="">
                <option value="">--Select Summer School With--</option>
                @foreach($schools as $school)
                <option value="{{ $school->id}}">{{ $school->school_name}}</option>
               @endforeach
              </select>
             <br>
            <input type="number" class="form-control" name="tot_amount" id="tot_amount" min="1" placeholder="Enter Amount" value="" required>
            
            <button class="btn btn-lg btn-login btn-block" type="submit">Pay</button>

           <div><p><br>If you face any issue during payment please contact us at <a href="anbnair@jgu.edu.in">anbnair@jgu.edu.in</a> or <br><a href="tel:7419656501">+91-7419656501</a></p></div>

        </div>

      </form>
      

    </div>
    @endsection

    @section('footer')
    @parent
    
    <script type="text/javascript">
        $(function(){
             $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });



        });
    </script>
    <script type="text/javascript" src="{{asset('assests/js/jquery.validate.min.js')}}"></script>

    <script type="text/javascript">

    function changeplaceholder(str){
      if(str == 1){
        // $("#sat_id").attr('placeholder','Enter LSAT ID');
        $('#lsidselection').removeClass('hidden');
        $("#sat_id").hide();
      }else{
        // $("#sat_id").attr('placeholder','Enter registration Id');
        $('#lsidselection').addClass('hidden');
        $("#sat_id").show();
      }
    }

        $(document).ready(function(){
             $( "#myforma" ).validate({
                rules: {
                    name:
                    {
                        required:true
                    } ,
                    
                    email: {
                      required: true,
                      email: true
                      
                    },
                    school: { 
                        required: true
                    }, 
                    purpose:required,
                    phone: { 
                        required: true,
                        minlength: 10,
                        maxlength: 11
                    },
                    tot_amount:
                    {
                        required:true
                    }

                },
                  messages: {
                  confirm:"Please accept terms and condition",
                  name: "Enter your full name",
                  course:"Enter course applied for",
                  college:"Select college",
                  phone: "Enter 10 digit mobile number",
                  sat_id :"Enter LSAT ID",
                  email: {
                    required: "We need your email address to contact you",
                    email: "Your email address must be in the format of name@domain.com",
                    
                  },
                  tot_amount:
                  {
                    required:"Please enter amount"
                  }
                }
          });
        });
    </script>
@endsection