@extends('layouts.child')

@section('head')
@parent
    <link rel="stylesheet" type="text/css" href="{{asset('public/assests/js/select2/select2.css')}}" />
    <link rel="stylesheet" type="text/css" href="{{asset('public/assests/js/bootstrap-daterangepicker/daterangepicker.css')}}" />
    <style>
        .span6{width:50%;float:left;}
        .dataTable{width:100%;}
    </style>
@endsection

@section('pagecontent')
        <div class="row">
            <div class="col-md-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="{{url('admin')}}"><i class="fa fa-dashboard"></i> Dashboard</a></li>
                    <li><a href="javascript:;">Admission</a></li>
                    <li class="active">{{$opname}}</li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <section class="panel">
                    <header class="panel-heading">
                        {{$opname}}
                    </header>
                    @if(session('success'))
                                <div class="alert alert-success alert-block fade in">
                                    <button data-dismiss="alert" class="close close-sm" type="button">
                                        <i class="fa fa-times"></i>
                                    </button>
                                    <p>{{session('success')}}</p>
                                </div>
                    @endif
                    @if(session('error'))
                                <div class="alert alert-danger alert-block fade in">
                                    <button data-dismiss="alert" class="close close-sm" type="button">
                                        <i class="fa fa-times"></i>
                                    </button>
                                    <p>{{ session('error') }}</p>
                                </div>
                    @endif
                    <div class="panel-body">
                        
                      
                        <div class="row">
                          <div class="adv-table">
                            
                            <table  class="display1 table1 table-bordered table-striped dtable12" id="managefeemastertbl1">
                                <thead>
                                    <tr>
                                        <!--<th>School</th>-->
                                        <th>Course</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                        <th>LSATID</th>
                                        <th>Amount</th>
                                        <th>OrderId</th>
                                        <th>Payment Status</th>
                                        <th>Payment Via</th>
                                        <th>Date</th>
                                        <th>Payment Getway</th>
                                        <!--<th>Invoice</th>-->
                                    </tr>
                                <tbody>
                                    
                               {{--@if(!empty($admission_report))--}}
                               @foreach($admission_report as $value)
                               <tr id="1" class="gradeX">
                                    <!--<td></td>-->
                                    <td>{{$value->coursesname}}</td>
                                    <td>{{$value->name}}</td>
                                    <td>{{$value->email}}</td>
                                    <td>{{$value->phone}}</td>
                                    <td>{{$value->lset_id}}</td>
                                    <td>{{$value->amount}}</td>
                                    <td>{{$value->order_id}}</td>
                                    <td>{{$value->payment_status}}</td>
                                    <td>{{$value->payment_via}}</td>
                                    <td>{{$value->created_at}}</td>
                                    <td>{{$value->payment_getway}}</td>
                                    <td><a href="{{url('admission/viewInvoice')}}/{{$value->id}}" target="_blank">Download Fee Receipt</a></td>
                                </tr>
                                @endforeach
                                {{--@endif--}}
                                </tbody>
                                
                            </table>
                        </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
@endsection

