@extends('layouts.master')
@section('title')
{{$title}}
@stop
@section('content')
<style type="text/css">
       .login-body {
            background: url({{asset('public/assests/Images/research_center.jpg')}}) no-repeat;
            background-size: cover;
            width: 100%;
            height: 100%;
        }     
   </style>
  <body class="login-body">

    <div class="container">

      <form class="form-signin" id="myform" action="{{url('admission/saveRegistration')}}" method="post" style="margin: 60px auto;">
      {{ csrf_field() }}
      
        <h2 class="form-signin-heading" style="padding: 25px 15px;">Create New Account</h2>
        <div class="login-wrap">
            {{-- <p>Enter your personal details below</p> --}}
            <input type="text" class="form-control" name="name" id="name" placeholder="Full Name" autofocus>
            <input type="text" class="form-control" name="email" id="email" placeholder="Email" autofocus>
            <input type="text" class="form-control" name="phone" id="phone" placeholder="Phone Number" autofocus>
            <input type="password" class="form-control" name="password" id="password" placeholder="Password">
            <input type="password" class="form-control" name="cpassword" id="cpassword" placeholder="Re-type Password">
            <label class="checkbox">
                <input type="checkbox" name="confirm" id="confirm" value="1" value="agree this condition"> I agree to the Terms of Service and Privacy Policy.
            </label>
            <button class="btn btn-lg btn-login btn-block" type="submit">Submit</button>

            <div class="registration">
                Already Registered.
                <a class="" href="{{url('admission/login')}}">
                    Login
                </a>
            </div>

        </div>

      </form>

    </div>
    @endsection

    @section('footer')
    @parent
    
    <script type="text/javascript">
        $(function(){
             $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

        });
    </script>
    <script type="text/javascript" src="{{asset('public/assests/js/jquery.validate.min.js')}}"></script>

    <script type="text/javascript">
        $(document).ready(function(){
             $( "#myform" ).validate({
                rules: {
                name: "required",
                confirm:"required",
                email: {
                  required: true,
                  email: true,
                  remote:
                  {
                    url:"checkRegMail",
                    type:"post",
                    email:function()
                    {
                      return $('#email').val();
                    }
                  }
              },
              password: { 
                    required: true,
                    minlength: 6,
                    maxlength: 10,
                } , 

                phone: { 
                    required: true,
                    minlength: 10,
                    maxlength: 11,
                 } , 

                cpassword: { 
                    equalTo: "#password",
                    minlength: 6,
                    maxlength: 10
                 }

                },
                  messages: {
                  confirm:"Please accept terms and condition",
                  name: "Enter your full name",
                  phone: "Enter 10 digit mobile number",
                  password :"Password must contain more than 6 characters",
                  cpassword :" Enter Confirm Password Same as Password",
                  email: {
                    required: "We need your email address to contact you",
                    email: "Your email address must be in the format of name@domain.com",
                    remote:"This Email ID is already existed"
                  }
                }
          });
        });
    </script>
@endsection