<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Auth::routes();





Route::group(['prefix'=>'admin'],function(){
	Route::group(['middleware'=>'admin.guest:admin'],function(){ 
		Route::get('login',[App\Http\Controllers\admin\Auth\LoginController::class, 'showLoginForm'])->name('admin.login');
		Route::post('login',[App\Http\Controllers\admin\Auth\LoginController::class, 'login'])->name('admin.login');
	});
	Route::group(['middleware'=>'admin.auth'],function(){  
		Route::get('/',[App\Http\Controllers\admin\AdminController::class, 'index'])->name('admin.dashboard');
		Route::get('dashboard',[App\Http\Controllers\admin\AdminController::class, 'index'])->name('admin.dashboard');
		Route::post('logout',[App\Http\Controllers\admin\Auth\LoginController::class, 'logout'])->name('admin.logout');

        Route::get('admin-view-enquiry/{code}',[App\Http\Controllers\admin\AdminController::class, 'admin_enquiry'])->name('admin.dashboard.enquiry');

        Route::get('admin-view-all-enquiry',[App\Http\Controllers\admin\AdminController::class, 'admin_all_enquiry'])->name('admin.all.enquiry');
        Route::get('admin-view-enquiry-details/{code}',[App\Http\Controllers\admin\AdminController::class, 'admin_enquiry_details'])->name('admin.enquiry.details');
        //Route::post('admin-view-all-enquiry',[App\Http\Controllers\admin\AdminController::class, 'admin_all_enquiry'])->name('admin.all.enquiry');

        /*Route::post('admin-view-all',[App\Http\Controllers\admin\AdminController::class, 'admin_all_list'])->name('admin.all.list');*/ 
          Route::post('/all-list',[App\Http\Controllers\admin\AdminController::class, 'all_list'])->name('admin.all.list');
       /* Route::get('/enquiry-list',[App\Http\Controllers\admin\EnquiriesController::class, 'index'])->name('admin.enquiries');*/

        Route::resource('users', 'App\Http\Controllers\admin\AdminUsersController');
		Route::get('/user-list',[App\Http\Controllers\admin\AdminUsersController::class, 'index'])->name('admin.users');
		Route::post('/user-list',[App\Http\Controllers\admin\AdminUsersController::class, 'list'])->name('admin.users.list');
		Route::get('/user-destroy/{id}',[App\Http\Controllers\admin\AdminUsersController::class, 'destroy'])->name('admin.users.destroy');
		Route::post('/user-status',[App\Http\Controllers\admin\AdminUsersController::class, 'status'])->name('admin.users.status');
		Route::post('/user-destroy-multiple',[App\Http\Controllers\admin\AdminUsersController::class, 'destroy_multiple'])->name('admin.users.destroy.multiple');
        Route::post('/state',[App\Http\Controllers\admin\AdminUsersController::class, 'state'])->name('admin.state');
        Route::post('/city',[App\Http\Controllers\admin\AdminUsersController::class, 'city'])->name('admin.city');
        Route::get('/user-profile/{code}',[App\Http\Controllers\admin\AdminUsersController::class, 'user_profile'])->name('admin.user.profile');
        Route::post('/user-profile/',[App\Http\Controllers\admin\AdminUsersController::class, 'seller_product_enquiry_list'])->name('admin.enquiry.seller');
        Route::get('/user-add',[App\Http\Controllers\admin\AdminUsersController::class, 'create'])->name('admin.users.add');
        Route::post('/seller-profile-products/',[App\Http\Controllers\admin\AdminUsersController::class, 'seller_product_list'])->name('admin.enquiry.seller.products');
        Route::post('/user-store',[App\Http\Controllers\admin\AdminUsersController::class, 'store'])->name('admin.users.store');
        Route::get('/user-edit/{id}',[App\Http\Controllers\admin\AdminUsersController::class, 'edit'])->name('admin.users.edit');
		Route::get('/seller_enquiry_details/{code}',[App\Http\Controllers\admin\AdminUsersController::class, 'seller_product_enquiry_details'])->name('admin.enquiries.seller_enquiry_details');
		Route::get('/buyer_enquiry/{id}',[App\Http\Controllers\admin\AdminUsersController::class, 'buyer_product_enquiry'])->name('admin.enquiry.buyer');
		Route::post('/buyer_enquiry/{id}',[App\Http\Controllers\admin\AdminUsersController::class, 'buyer_product_enquiry_list'])->name('admin.enquiry.buyer.list');
		Route::get('/buyer_enquiry_details/{code}',[App\Http\Controllers\admin\AdminUsersController::class, 'buyer_product_enquiry_details'])->name('admin.enquiry.buyer_enquiry_details');

       
        
		Route::resource('sitesettings', 'App\Http\Controllers\admin\SiteSettingsController');
		Route::get('/site-settings',[App\Http\Controllers\admin\SiteSettingsController::class, 'index'])->name('admin.site.settings');
		Route::post('/get-setting-page',[App\Http\Controllers\admin\SiteSettingsController::class, 'get_setting_page'])->name('admin.setting.page');
		Route::post('admin-setting-password-update',[App\Http\Controllers\admin\SiteSettingsController::class, 'admin_password_update'])->name('admin.settings.password_update');

		Route::post('/sitesetting-upload',[App\Http\Controllers\admin\SiteSettingsController::class, 'upload'])->name('sitesettings.upload'); 
		Route::post('/sitesetting-favicon-upload',[App\Http\Controllers\admin\SiteSettingsController::class, 'favicon_upload'])->name('sitesettings.favicon.upload'); 


 		/* Start  Segment */
		 Route::resource('students', 'App\Http\Controllers\admin\StudentsController');
		 Route::get('/student-list',[App\Http\Controllers\admin\StudentsController::class, 'index'])->name('admin.students');
		 Route::post('/student-list',[App\Http\Controllers\admin\StudentsController::class, 'list'])->name('admin.students.list');
		 Route::post('/import-file',[App\Http\Controllers\admin\StudentsController::class, 'import_file'])->name('admin.students.import_file');
		 Route::get('/student-destroy/{id}',[App\Http\Controllers\admin\StudentsController::class, 'destroy'])->name('students.destroy');
		 Route::post('/student-status',[App\Http\Controllers\admin\StudentsController::class, 'status'])->name('admin.students.status');
		 Route::post('/student-destroy-multiple',[App\Http\Controllers\admin\StudentsController::class, 'destroy_multiple'])->name('admin.students.destroy.multiple');
		 Route::post('/student-upload',[App\Http\Controllers\admin\StudentsController::class, 'upload'])->name('admin.students.upload');
		 Route::get('/student-detail/{id}',[App\Http\Controllers\admin\StudentsController::class, 'student_detail'])->name('admin.student.detail');
		 Route::post('/student-reset-password',[App\Http\Controllers\admin\StudentsController::class, 'reset_password'])->name('admin.student.reset.password');
		 Route::post('/student-get-columns',[App\Http\Controllers\admin\StudentsController::class, 'getColumns'])->name('admin.student.get.columns');
		 Route::post('/student-profile-preview',[App\Http\Controllers\admin\StudentsController::class, 'profilPreview'])->name('admin.student.profile.preview');
		 Route::post('/student-add-address',[App\Http\Controllers\admin\StudentsController::class, 'addAddress'])->name('admin.student.add.address');
		 Route::post('/student-edit-parent',[App\Http\Controllers\admin\StudentsController::class, 'editParent'])->name('admin.student.edit.parent');
		 Route::post('/student-add-parent',[App\Http\Controllers\admin\StudentsController::class, 'addParent'])->name('admin.student.add.parent');
		 Route::post('/student-single-sign-detail',[App\Http\Controllers\admin\StudentsController::class, 'singleSigndetail'])->name('admin.student.single.sign.detail');
 		/* End Segment */
 		/* Start Segment */
		 Route::resource('reports', 'App\Http\Controllers\admin\ReportsController');
		 Route::get('/advance-report',[App\Http\Controllers\admin\FreePaymentsController::class, 'advacneReport'])->name('admin.advance.report');
		 Route::get('/free-projection-report',[App\Http\Controllers\admin\FreePaymentsController::class, 'freeprojectionReport'])->name('admin.free.projection.report');
		 Route::get('/free-report',[App\Http\Controllers\admin\FreePaymentsController::class, 'freeReport'])->name('admin.free.report');
		 Route::get('/statement-account',[App\Http\Controllers\admin\FreePaymentsController::class, 'statmentAccount'])->name('admin.statment.account');
		 Route::get('/voucher-summary-account',[App\Http\Controllers\admin\FreePaymentsController::class, 'voucherSummary'])->name('admin.voucher.summary');
		 Route::get('/jgp-scholarship',[App\Http\Controllers\admin\FreePaymentsController::class, 'jgpScholarship'])->name('admin.jgp.scholarship');
		 Route::get('/manage-jgp-scholarship',[App\Http\Controllers\admin\FreePaymentsController::class, 'managejgpScholarship'])->name('admin.manage.jgp.scholarship');
		 Route::get('/import-bulk-discounts',[App\Http\Controllers\admin\FreePaymentsController::class, 'importBulk'])->name('admin.import.bulk');
		 Route::get('/manage-finance-hold',[App\Http\Controllers\admin\FreePaymentsController::class, 'manageFinance'])->name('admin.manage.finance.hold');
		 Route::get('/manage-payment-plan',[App\Http\Controllers\admin\FreePaymentsController::class, 'managePayment'])->name('admin.manage.payment.plan');
		 Route::get('/invoice',[App\Http\Controllers\admin\FreePaymentsController::class, 'invoiceStudent'])->name('admin.invoice');
		 Route::get('/account-configuration',[App\Http\Controllers\admin\FreePaymentsController::class, 'accountConfiguration'])->name('admin.account.configuration');
		 Route::get('/configuration-mapping',[App\Http\Controllers\admin\FreePaymentsController::class, 'accountMapping'])->name('admin.configuration.mapping');
		 Route::get('/control-accounts',[App\Http\Controllers\admin\FreePaymentsController::class, 'controlAccount'])->name('admin.control.accounts');
		 Route::get('/payment-manage',[App\Http\Controllers\admin\FreePaymentsController::class, 'paymentManage'])->name('admin.payment.manage');
 		/* End Segment */

 		/* Fees Raise Segment Start */
		 Route::get('/fee-raise',[App\Http\Controllers\admin\FeeRaiseController::class, 'fee_raise'])->name('admin.fee_raise');
		 Route::post('/selectFeeData',[App\Http\Controllers\admin\FeeRaiseController::class, 'selectFeeData'])->name('admin.selectFeeData');
		 Route::post('/submitFeeData',[App\Http\Controllers\admin\FeeRaiseController::class, 'submitFeeData'])->name('admin.submitFeeData');
		 Route::post('/fee_raise_data_ajax_list',[App\Http\Controllers\admin\FeeRaiseController::class, 'fee_raise_data_ajax_list'])->name('admin.fee_raise_data_ajax_list');
		 Route::post('/paid_fee_raise_data_ajax_list',[App\Http\Controllers\admin\FeeRaiseController::class, 'paid_fee_raise_data_ajax_list'])->name('admin.paid_fee_raise_data_ajax_list');
		 Route::post('/unpaid_fee_raise_data_ajax_list',[App\Http\Controllers\admin\FeeRaiseController::class, 'unpaid_fee_raise_data_ajax_list'])->name('admin.unpaid_fee_raise_data_ajax_list');
		 Route::post('/failed_fee_raise_data_ajax_list',[App\Http\Controllers\admin\FeeRaiseController::class, 'failed_fee_raise_data_ajax_list'])->name('admin.failed_fee_raise_data_ajax_list');

		 Route::get('/view-fee-data/{id}',[App\Http\Controllers\admin\FeeRaiseController::class, 'viewFeeData'])->name('admin.viewFeeData/{id}');
		 /* Fees Raise Segment End */



	});
	
});



