<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Auth::routes();
Route::group(['prefix'=>'parent'],function(){
	Route::group(['middleware'=>'parent.guest:parent'],function(){ 
		Route::get('/login',[App\Http\Controllers\Parents\Auth\LoginController::class, 'showLoginForm'])->name('parent.login');
		Route::post('/login',[App\Http\Controllers\Parents\Auth\LoginController::class, 'login'])->name('parent.login');

		Route::post('/submitParentLogin',[App\Http\Controllers\Parents\Auth\LoginController::class, 'submitParentLogin'])->name('parent.submitParentLogin');
		Route::post('/viewParentOtpPage',[App\Http\Controllers\Parents\Auth\LoginController::class, 'viewParentOtpPage'])->name('parent.viewParentOtpPage');
		Route::post('/parentOtpSubmit',[App\Http\Controllers\Parents\Auth\LoginController::class, 'parentOtpSubmit'])->name('parent.parentOtpSubmit');
		Route::post('/parentResendOtp',[App\Http\Controllers\Parents\Auth\LoginController::class, 'parentResendOtp'])->name('parent.parentResendOtp');
		
	});

	Route::group(['middleware'=>'parent.auth'],function(){  
		Route::get('/',[App\Http\Controllers\Parents\DashboardController::class, 'index'])->name('parent.dashboard');
		Route::get('/dashboard',[App\Http\Controllers\Parents\DashboardController::class, 'index'])->name('parent.dashboard');
		Route::post('/logout',[App\Http\Controllers\Parents\Auth\LoginController::class, 'logout'])->name('parent.logout');

		/* Fees Raise Segment Start */
			Route::get('/fee-raise',[App\Http\Controllers\Parents\FeesPaymentsController::class, 'index'])->name('parent.fees_raise');
			Route::post('/parent_fee_raise_data_ajax_list',[App\Http\Controllers\Parents\FeesPaymentsController::class, 'parent_fee_raise_data_ajax_list'])->name('parent.parent_fee_raise_data_ajax_list');
			Route::post('/make-fee-payment',[App\Http\Controllers\Parents\FeesPaymentsController::class, 'makeFeePayment'])->name('parent.make_fee_payment');
		/* Fees Raise Segment End */
		
		/* Fee Payment Start */
			Route::get('/fee-payment',[App\Http\Controllers\Parents\PaymentController::class, 'index'])->name('parent.fee_payment');
			Route::post('/fee-payment-view',[App\Http\Controllers\Parents\PaymentController::class, 'selectpayment'])->name('parent.fee_payment_view');
			Route::post('/pay-checkout',[App\Http\Controllers\Parents\PaymentController::class, 'paycheckout'])->name('parent.paycheckout');
			Route::post('/paymentfee',[App\Http\Controllers\Parents\PaymentController::class, 'paymentfee'])->name('parent.paymentfee');
			Route::post('/paymentfee_paytm',[App\Http\Controllers\Parents\PaymentController::class, 'paymentfee_paytm'])->name('parent.paymentfee_paytm');
			Route::post('/paymentfee_payumoney',[App\Http\Controllers\Parents\PaymentController::class, 'paymentfee_payumoney'])->name('parent.paymentfee_payumoney');
			
			Route::any('/submit-fee-payment/{id}/{f_id}',[App\Http\Controllers\Parents\PaymentController::class, 'submit_fee_payment'])->name('parent.submit_fee_payment/{id}/{f_id}');
			
			Route::get('/view-invoice',[App\Http\Controllers\Parents\PaymentController::class, 'viewInvoice'])->name('parent.view_invoice');
		/* Fee Payment End */
	});
});

