<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Auth::routes();
Route::group(['prefix'=>'student'],function(){
	Route::group(['middleware'=>'student.guest:student'],function(){ 
		Route::get('/login',[App\Http\Controllers\Student\Auth\LoginController::class, 'showLoginForm'])->name('student.login');
		Route::post('/login',[App\Http\Controllers\Student\Auth\LoginController::class, 'login'])->name('student.login');
		
		Route::post('/submitStudentLogin',[App\Http\Controllers\Student\Auth\LoginController::class, 'submitStudentLogin'])->name('student.submitStudentLogin');
		Route::post('/viewStudentOtpPage',[App\Http\Controllers\Student\Auth\LoginController::class, 'viewStudentOtpPage'])->name('student.viewStudentOtpPage');
		Route::post('/studentOtpSubmit',[App\Http\Controllers\Student\Auth\LoginController::class, 'studentOtpSubmit'])->name('student.studentOtpSubmit');
		Route::post('/studentResendOtp',[App\Http\Controllers\Student\Auth\LoginController::class, 'studentResendOtp'])->name('student.studentResendOtp');
		
	});

	Route::group(['middleware'=>'student.auth'],function(){  
		Route::get('/',[App\Http\Controllers\Student\DashboardController::class, 'index'])->name('student.dashboard');
		Route::get('/dashboard',[App\Http\Controllers\Student\DashboardController::class, 'index'])->name('student.dashboard');
		Route::post('/logout',[App\Http\Controllers\Student\Auth\LoginController::class, 'logout'])->name('student.logout');

		/* Fees Raise Segment Start */
			Route::get('/fee-raise',[App\Http\Controllers\Student\FeesPaymentsController::class, 'index'])->name('student.fees_raise');
			Route::post('/student_fee_raise_data_ajax_list',[App\Http\Controllers\Student\FeesPaymentsController::class, 'student_fee_raise_data_ajax_list'])->name('student.student_fee_raise_data_ajax_list');
			Route::post('/make-fee-payment',[App\Http\Controllers\Student\FeesPaymentsController::class, 'makeFeePayment'])->name('student.make_fee_payment');
		/* Fees Raise Segment End */

		/* Fee Payment Start */
			Route::get('/fee-payment',[App\Http\Controllers\Student\PaymentController::class, 'index'])->name('student.fee_payment');
			Route::post('/fee-payment-view',[App\Http\Controllers\Student\PaymentController::class, 'selectpayment'])->name('student.fee_payment_view');
			Route::post('/pay-checkout',[App\Http\Controllers\Student\PaymentController::class, 'paycheckout'])->name('student.paycheckout');
			Route::post('/paymentfee',[App\Http\Controllers\Student\PaymentController::class, 'paymentfee'])->name('student.paymentfee');
			Route::post('/paymentfee_paytm',[App\Http\Controllers\Student\PaymentController::class, 'paymentfee_paytm'])->name('student.paymentfee_paytm');
			Route::post('/paymentfee_payumoney',[App\Http\Controllers\Student\PaymentController::class, 'paymentfee_payumoney'])->name('student.paymentfee_payumoney');
			
			Route::any('/submit-fee-payment/{id}/{f_id}',[App\Http\Controllers\Student\PaymentController::class, 'submit_fee_payment'])->name('student.submit_fee_payment/{id}/{f_id}');
			
			Route::get('/view-invoice',[App\Http\Controllers\Student\PaymentController::class, 'viewInvoice'])->name('student.view_invoice');
		/* Fee Payment End */

	});
});

